===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes       
===============================================================================


INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       25 March, 2015



TO:         Intel(R) Server Board S1400xx, S1600xx, S2400xx, S2600xx, W2600xx,
            & S4600xx customers


SUBJECT:    Integrated BMC(R) firmware 01.23.7783 release notes


===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation. 


*Other names and brands are the property of their respective owners.


Copyright (c) 2011,2012,2013 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php  


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: BMC_i_0123r7783.bin
Update script: fwUpdateBMC.nsh

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   01.23.7783

UBoot mode:         1.17
Device ID:          0x21
Manufacturer ID:    0x000157

Other version/revision information:

PSU Model          H/W revision      FW Version 
DPS 460KB A          S3               3.09.31
DPS 750XB A          S4               5.**.100           
DPS 750AB 5A         S2               2.03.07 
DPS 750AB 32A        S3               15.03.03
 
DPS 1200TB A         02               6.40.89 
PSSF162202A          00               0.09.64
PSSW162201A          S3               05.02.128
PSSF162202A          02A              0.09.68

Sustaining for older PSU hardware in engineering releases:
DPS 1200TB A         S3               3.39.77 
DPS 1200TB A         00               4.39.77 
PSSF162202A          S3               0.09.55
Node: ** indicates the PSU minor primary version, it may vary with different HW revision PSU.

HSBP FW:            01.08
Root/OS/WWW:        9.19
FWPIAUPD Utility:   11.0B9


MD5 checksum of BMC_i_0123r7783.bin: 05b3aa68010b0cf645041f000a54b33b

-------------------------------------------------------------------------------

A "Pong" version of the firmware image can be made available on request.

===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1.  BMC firmware
2.  BIOS
3.  Manageability Engine (ME) firmware
4.  FRU/SDR package specific to the baseboard.
5.  NIC EEPROM

===============================================================================
                            INSTALLATION PROCEDURE
===============================================================================
1.  Copy the entire contents of the BMC_i_0123r7783.zip archive file to the
    storage medium of your choice. This can be a hard disk, floppy disk
    or USB flash drive.
    All of the files in the zip archive must reside in the same directory.


2.  Boot to EFI and then run the fwUpdateBMC.nsh script file to update the
    Integrated BMC.

    Modification of the update script or using cmdtool.efi with your own
    command line parameters is not supported and doing so is at your own risk!


3.  Install latest available FRU/SDR package specific to the platform.

===============================================================================
                     FIRMWARE RECOVERY PROCEDURES
===============================================================================
The Recovery process can be initiated by setting the recovery jumper (called 
BMC Force Update Jumper) to the recovery position.

The jumper is normally in the normal/de-asserted position. The system must be
completely powered off (A/C power removed) before the jumper is moved.

After power is re-applied and the firmware update is complete, the system must
be powered off again and the jumper must be returned to the de-asserted
position before normal operation can begin.

A BMC recovery can be accomplished from a USB flash drive. 

1.  Copy the entire contents of the BMC_i_0116r4010.zip archive file to the
    storage USB flash drive.
    All of the files in the zip archive must reside in the same directory.

2.  Remove A/C power from the system and wait 30 seconds.

3.  Move the BMC Force Update Jumper to the recovery position. 
    Details regarding the jumper ID and location can be obtained from the
    Board EPS for that Platform.

4.  Insert the USB flash drive.

5.  Reapply A/C power to the system and power on the system.

6.  The BIOS POST screen will appear displaying the progress press F6 to
    select boot options. At the boot option menu select to boot to the
    EFI SHELL.

7.  Switch to the directory where you stored the update files and then run
    the fwUpdateBMC.nsh script file to update the Integrated BMC.

    Modification of the update script with your own command line parameters is
    not supported and doing so is at your own risk!

8.  Remove A/C power from the system and wait 30 seconds.

9.  Move the BMC Force Update Jumper to the normal position.

10. Reapply A/C power to the system and power on the system.


===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================
Upgrade of BMC FW from version 01.23.7783 to later versions will be documented
in the release notes for those versions.

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Always observe caution when downgrading firmware.

WARNING: There were changes in the size of the user-information database at certain
releases.  Be advised that the following downgrades WILL cause a reset of all user
settings to their default settings.
1.  01.07 or newer -> 1.05 or older
2.  01.05 or newer -> 01.01 or older


WARNING: With the release of R01.02.xxxx and the corresponding pre-release image
R00.30.xxxx, there is a fix to PMConfig which may force the PMConfig to migrate
data from any pre-V10 PMConfig.  This means that downgrading from release R01.02
or R00.30 to an earlier release will reset ALL PMConfig values to defaults.

Upgrade of BMC FW from any version prior to BMC 00.16.1504 can be performed as
follows:

a) First upgrade to 00.15.1476 using the firmware upgrade program from the
00.15.1476 package.  This should work correctly for any released firmware prior
to 00.15.1476.

b) Then, update from 00.15.1476 to 01.23.7783 using the fw upgrade program from
the 01.23.7783 package.

Downgrade of BMC FW from version 01.23.7783 to all versions down to 00.16.1504
inclusive is supported by using the appropriate firmware update program included
in the package for the earlier version.

Downgrade of BMC FW from 01.23.7783 to versions lower than BMC 00.16.1504 is
unsupported.
 
If necessary, the following downgrade paths should work.

a) 00.15.1476 -> 00.14.1421 or 00.13.1335
When downgrading the BMC FW to a version prior to 00.15.1476, use the flash
programmer to program the firmware image.


b) 00.15.1476 -> 00.15.1476
When reprogramming the BMC FW from 00.15.1476 to itself, downgrade to 00.14.1421
first using the flash programmer, then upgrade to 00.15.1476 using the firmware
upgrade program from 00.15.1476.


c) 00.15.1476 -> 00.12.1288 or earlier
Downgrade to 00.13.1335 first follow the step a) above, and then follows the below
steps :
1.  Downgrade to 00.13.1335 first follow the step a) above.
2.  Remove AC power, and move the BMC force update mode jumper to the "asserted"
    position
3.  Re-apply AC power
4.  DC power on system and then follow the normal steps to update the BMC FW
5.  After a successful flashing of the downgraded BMC firmware version remove
    AC power and move the BMC force update mode jumper back to its default position
6. The following will be cleared and reset to defaults:
    - IPMI user configuration data
    - IPMI channel configuration data
    - Sensor event log (SEL)
    - Sensor data repository (SDR)
    - Diagnostic debug logs

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================
- This BMC FW update package is to be used only on EPSD server baseboards and
  does NOT support customer reference boards (CRB) or silicon reference
  platforms (SRP) such as Rose City.
  Contact your PDT to deterine where to download the BMC FW for these products.

- The BMC FW image file in this package is to be used only with the provided
  FWPIAUPD update utility.
  Using the FW image file with a SPI flash device programmer will result in a
  non-functional system.

- The version of FWPIAUPD provided in this release may not support the
  detection of invalid images by the BMC. Do not attempt to install from this
  version to an unsigned BMC image via FWPIAUPD. See the Upgrade Procedure for
  more instructions and information on firmware upgrade paths.

-If need to run multi-session stress for SOL, please setup timeout of each
 session to be longer than 99ms.

* NOTE: With release 1.07, there was a change to the password system used by
*                    SSH AND SMASH.
* As a result, SMASH users may be informed of a possible security attack, by
* the utility, when they first log in after updating.
* This is not an attack, it is an update which will take place once.



- The following Romley requirements/features are not available in this release:
4.5.1.5.22 - System shall support CPU DTS-based specification for fan speed
control for Ivytown.   [Note - this exclusion applies only to Ivytown.]

===============================================================================
                                ISSUES FIXED
===============================================================================

01.23.7783

-EPSD100246910: Cold boot issue on Grizzly Pass.
-EPSD100027513: There are "IO Module removed or absent" events logged during AC/DC stress test with TWL IO Module installed
-EPSD100027062: There was a problem of "IPMI error 204" while deleting BMC user in EWS. It is a supplement to the issue, last checkin r7595 is not perfect.
-Upgrade openssl to 0.9.8zf.

01.23.7685

-EPSD100026957: [FW EVL] get session id failed via IHC
-EPSD100244951: Clone of: Security vulnerability with OpenSSL 
-EPSD100243688: BMC Web GUI is inaccessible after IT scan
-EPSD100245753: RMM4 dedicated NIC on the S2600WP may no responding after disabled onboard NIC around 2 hours
-EPSD100244829: [KNP_BMC]EWS login failed during run DC cycle with ITAS.
-EPSD100246186: When performing power cycle test with BMC 1.21.6680 and 1.22.6890, Cannot get HSBP sensors reading events were logged to SEL.
-EPSD100027062: Title:[FW EVL] There was a problem of "IPMI error 204" while deleting BMC
-EPSD100245479: Syscfg_v13.1.4:utility cannot set the "Alert Destination IPV6 Address" to default value by command:syscfg.efi /rfs
-Copyright's ending time is incorrect displayed both in KVM console's "Jviewer" item and EWS's "About" item.
-Upgrade openssl to 0.9.8ze.

01.22.6890

-EPSD100244473: IPMB Bridging commands to a Satellite controller doesn't work
-EPSD100241257: The result of IPMI raw command 20 c0 71 00 02 00 00 shows telnet can be supported.
-EPSD100026102: The satellite FW updating status is 00 while updating HSBP FW.
-EPSD100238020: i2c-adapter i2c-7: Arbitration lost on data transmission
-EPSD100025838: Remote KVM video have some dirty mouse cursor under linux system
-EPSD100026151: The System Fan 5 spining in 100% speed on BlackBear Pass Platform after updated the BMC to 1.21.6038.
-EPSD100241307: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode.
-EPSD100242394: BMC code issue for fan detection on S2600CO.
-EPSD100240752: EWS can't interpret SmaRT/CLST event
-EPSD100242668: GZP EWS_update tool fail with SUP S2600GZ_GL_EFI_BIOS02030003_ME20107328_BMC1216038_FRUSDR113 
-Fixed several openssl vulnuerabilities.
-EPSD100026731: IPv6 can't get IP address via DHCP server.
-EPSD100237334: LHP P3 LVDIMM voltate reading is 1.5V sometimes during system booting up
-EPSD100243260: EPSD100243260-HSC firmware not updating with BMC 1.21.6038;
-FARS 2753 and 2762: BMC Hangs upon the first A/C Power On of the board. Subsequent A/C power cycles, the BMC boots. 
-Bundled the new PSU fw for PSSF162202A.
-Bundled the new PSU fw for "DPS 750AB 32A".
-Downgrade RMM4 speed from 1G to 100Mbps on JeffersonPass, WashingtonPass, JacksonPass, LincolnPass

01.21.6038

-QAN 5581: Cold Redundant Power Supply Configuration Issue, fix it by a DPS 750XB A PSU v100 image.
-EPSD100240732: BMC User configuration is corrupted and users cannot be re-created.
-EPSD100240407:The response of getting satellite fw update status is always 01
-EPSD100240294:HSC slots status present sensor showed NA in EWS.
-EPSD100237202: (X) Disk Drive LED - Locating drive is inconsistent in time to illuminate and stop
-EPSD100235547: Hot Plug Fan not changing system status on Fan failure.
-EPSD100235645: EWC Fan sensor readings disappear when filtered and there is a fan failure.
-EPSD100239835: (X) BMC hung after network Scan.
-EPSD100025398: Current power is incorrect on EWS while power down SUT by pressing power button.
-EPSD100025534: Special characters '<>' of FRU info can't be shown in the EWS page.
-EPSD100238609: Recurring temperature alarms on sensor #0x22(SSB).
-EPSD100237672: (X) S600GL/S2600GR - Fail EMC Brownout testing.
-EPSD100238525: DIMM Thrm Mrgn sensor shows "unknown" when just plug DIMM in Channel3 on EN
-EPSD100238053: [X] Java dropping JAR support will affect KVM operation.
-EPSD100237751: Romley Get SOL Configuration parameters 5 & 6 should not return invalid response.
-EPSD100237697: EWS is incorrectly decoding ME firmware update SEL events.
-EPSD100238006: BMC channle 1 can not ping succesfully and EWS login fail while using static IPV6 address.
-EPSD100025201: Baseboard IP address can't be assigned when IPv6 address set as auto-configuration.
-EPSD100025200-IP address can't be assigned when IPv6 address set as dynamic.
-none: BMC Hangs during first A/C power up.
-none: Reading the PCI Riser temperature sensors for CopperPass was not operating correctly.
-none: CFM calculation failed on PSU removal/insertion.
-none: Enable FPGA logic to preserve PWM registers.
-none: Check in 750AB V8 PSU image per PSU verification team's request
-none: Porting FRU discovery APIs from Grantley where the Auto-Configuration feature requires the operational 
       status of the managed FRUs.
-none: Add the displaying of the PS HW Revison for the PS if update is required or not.

01.20.5446

-EPSD100023440: The BMC WebUI describes the incorrect version of ME Firmware.
-EPSD100023624: "BMC Watchdong Asserted Event" will be generated after updated
                 BMC1.19.4942 or performed BMC cold reset command.
-EPSD100023645: nothing displayed on EWS while logging in it with IPv6
                address(stateless ICMPv6 discovery).
-EPSD100234300: DC PSU:  BMC Web Console session not maintained with power cycle
                - either on or off.
-EPSD100235211: DC PSU:  BMC Web Console session not maintained when system is
                powered on.
-EPSD100235629: E1208GL4GCN BIK - does not maintain BMC web console session during
                power state change or system reset
-EPSD100234568: The MIC card numbering is not consistent with riser slot numbering
                on server board.
-EPSD100235237: EWC SEL text log not decoding BIOS update versions correctly.
-EPSD100236001: Port from Denlow. Remove CRTC24/CRTC26/SEQ4 register check when BMC
                capture video data.
-EPSD100236058: MIC Status 7 lost in EWS in Iron Pass.
-EPSD100023376: The MIC Card Status Sensor shows "Unknown" when only 1 MIC card
                exists in system.
-EPSD100236299: Cannot set link-local gateway for BMC Network Management Interface
                using IPv6.
-EPSD100236296: Port from Denlow. Add support for link-local support.
-EPSD100236336: [X] Web Console not defaulting to English when another non-English
                browser is detected.
-EPSD100236469: Add X-Frame-Options sameorigin to prevent cross-frame scripting of
                login.html or index.html.
-EPSD100236472: Browser autocomplete enabled before authentication.
-EPSD100236501: SMI Timeout errors not logging IIO Global error registers in Debug Log.
-EPSD100236613: BMC LAN connection not working after IP address change.
-EPSD100237430: For Half-width board, node with ID 1111 is not regarded as single node
                in the chassis.
-EPSD100235867: BMC email alerts refused by some servers.
-EPSD100024528: IP address of baseboard management NIC can't be configured
                successfully when dynamic and static IP changed.
-EPSD100024529: The baseboard management NIC can't get a dynamic IP address when the
                VLAN set as enable.
-none: Check in 1600W PSU image PSSF162202A_02A_0_09_65 for accustic issue.
-none: Change BMC Reset to warm reset when first time AC on after BMC FW programmed.
-none: Kernel panic in tulip driver when out-of-memory.
-none: POST Error 0xA6A0 wasn't defined, and was causing the SEL page to fail to render.
       Also fixes POST Error 0x0012 being hidden, and invalid POST Errors
       causing ov erflow.
-none: The ME firmware got 2 minor versions in the update SEL, update the format in
       OEM command to support.
-none: This change simplifies the memory-mapped calls a little bit.

01.19.5018

-EPSD100235757: Fixed false watchdog events after BMC update or reset.
-EPSD100023376: The sensor severity table didn't include a MIC status sensor
            entry (OEM reading type, not covered by standard types). Added
            severities based on SMC spec.
-EPSD100228704: Added OEM byte decode for DIMM thermal margin sensors.
-EPSD100230010: Add rKVM watchdog. Modify adviserd_mon to run on non-blades as
            well as blades. Modify advised init script to start/stop adviserd_mon as well.
-EPSD100233046: Ignore 0xC1 (unsupported command) responses for optional IPMI Get
            Sensor Event Status command. This prevents us from zeroing-out a
            good sensor reading from satellite controllers.
-EPSD100234202: After UID blinked, press the UID button, the UID is off, but it
            should be on.
-EPSD100234373: The IHC (Intel Hybrid Cloud) interface exposes a self-signed
            certificate embedded in the BMC firmware image containing a
            developer name and email addr ess.
-EPSD100234562: JViewer incorrectly treats Ctrl+Alt+F1 the same as Ctrl+F1 and
            brings up the About dialogue box. Also, update the amiKeys
            certificate since it has exp ired.
-EPSD100234576: When injecting a 1/2 cycle AC loss every 900mS, a fan fault
            would happen causing fans to boost until the failing sensor was
            rearmed. This change cause s fan speed readings to be ignored
            whenever the SMB Alert signal from the power supplies is asserted.
-EPSD100234577: Fixes improper use of WEBPAGE_WRITE_JSON_RECORD call. Old call
            overflowed and corrupted the pre-declared JSON structure.
-EPSD100234717: Changed "IBMC" to "BMC".
-EPSD100234731: Update the system between BMC 1.16 and BMC 1.17, SEL log text
            version report "updated between 1.22 and 1.23".
-EPSD100234864: Halfwidth IOM and SAS are inserted to PCIE slot. There is a MUX
            between BMC SMBUS2 and PCIE slots. If want to access IOM and SAS
            Temp/FRU, MUX must be controlled.
-EPSD100235257: We decrement the enabled user count dependent on user enabled
            IPMI messaging in two places, but we only increment it in one
            place.In addition,it appea rs that we do not change the count on
            enable/disable of link authentication.
-EPSD100235547: With a custom modified SDR that specifies 0xff as the redundancy
            sensor in the redundancy mapping OEM SDR, the fan tach and
            presence sensors are ignored. This fix checks the redundancy
            sensor number in the OEM record and will only ignore tach and
            presence if the redundancy sensor number specified is not 0xff.
-none: Add JeffersonPass / LincolnPass Front Panel NMI support from motherboard.
-none: BMC crashing during network flooding.
-none: Fixed some POST Errors causing EWS' SEL viewer to fail.
-none: BMC update will failure after 4 times because after update finished, now
       BMC restart reason become WDT restart. So after 4 times, BMC will enter
       uboot when starting.
-none: Change version number and prepare for the formal release of Romley
       BMC Q2 release.
-none: DCMI 1.5 spec compliance on Romley
-none: Enable MIC card for Crown/Iron Pass.
-none: JViewer always shows "Error reading video data" pop-up and a black screen.
       When mouse mode is set to relative and JViewer tries to hide the cursor,
       the createC
ustomCursor() java call on some configurations will always throw an undocumented
       exception because of an incompatibility with the underlying X11 library. The
       unhandle d exception propagates all the way up to the top level network packet
       processor. Add try/catch handlers around all calls to createCustomCursor().
-none: Multicast traffic was being passed through to the BMC. This change enables
       multicast filtering, but still allows IPv6 multicast for Neighbour Advertisement,
       Ro uter Advertisement, and DHCPv6 relay and server multicast.
-none: Reverted the developer drop for use in power supply firmware updating.
-none: Reverts 1600W DC PSU test firmware versions
-none: Send Master Write Read command to only read 1 byte from TPM75 TK 2nd source,
       this caused SMBUS be locked by TPM75 TK 2nd source. So modify the code to
       read TPM 75 2 bytes.
-none: The UBoot code detects a bad CRC of the RamImage when attempting to boot Linux.
-none: The recommendations in the Web Console Mouse Mode tab are out of date.
       Update text.
-none: Update Default/FCT SDR of CopperPass from version 1.09 to 1.10.
-none: Update Default/FCT SDR of Crown/Iron Pass from 1.09 to 1.10.
-none: Update JacksonPass FCT/Shipping SDR to version 1.04 again
-none: Update JacksonPass FCT/Shipping SDR to version 1.04.
-none: Update Romley HSBP to 1p3 .
-none: Update for 1600W DC PSU FW.
-none: Updated version number information for BBP and GZP platforms for
       Quarterly release.
-none: Kernel panic in tulip driver when out-of-memory.
01.19.4942

-EPSD100235757: Fixed false watchdog events after BMC update or reset.
-EPSD100023376: The MIC Card Status Sensor shows "Unknown" when only 1 MIC card
                exists in system.
-EPSD100228704: Added OEM byte decode for DIMM thermal margin sensors.
-EPSD100230010: Add rKVM watchdog. Modify adviserd_mon to run on non-blades as
                well as blades. Modify advised init script to start/stop
                adviserd_mon as well.
-EPSD100233046: Ignore 0xC1 (unsupported command) responses for optional IPMI
                Get Sensor Event Status command. This prevents us from
                zeroing-out a good sensor reading from satellite controllers.
-EPSD100234202: After UID blinked, press the UID button, the UID is off, but it
                should be on.
-EPSD100234373: The IHC (Intel Hybrid Cloud) interface exposes a self-signed
                certificate embedded in the BMC firmware image containing a
                developer name and email address.
-EPSD100234562: JViewer incorrectly treats Ctrl+Alt+F1 the same as Ctrl+F1 and
                brings up the About dialogue box. Also, update the amiKeys
                certificate since it has expired.
-EPSD100234576: When injecting a 1/2 cycle AC loss every 900mS, a fan fault would
                happen causing fans to boost until the failing sensor was rearmed.
                This change causes fan speed readings to be ignored whenever the
                SMB Alert signal from the power supplies is asserted.
-EPSD100234577: Fixes improper use of WEBPAGE_WRITE_JSON_RECORD call. Old call
                overflowed and corrupted the pre-declared JSON structure.
-EPSD100234717: Changed "IBMC" to "BMC".
-EPSD100234731: Update the system between BMC 1.16 and BMC 1.17, SEL log text
                version report "updated between 1.22 and 1.23".
-EPSD100234864: Halfwidth IOM and SAS are inserted to PCIE slot. There is a MUX
                between BMC SMBUS2 and PCIE slots. If want to access IOM and
                SAS Temp/FRU, MUX must be controlled.
-EPSD100235257: We decrement the enabled user count dependent on user enabled
                IPMI messaging in two places, but we only increment it in one
                place.In addition,it appears that we do not change the count on
                enable/disable of link authentication.
-EPSD100235547: With a custom modified SDR that specifies 0xff as the redundancy
                sensor in the redundancy mapping OEM SDR, the fan tach and presence
                sensors are ignored. This fix checks the redundancy sensor number
                in the OEM record and will only ignore tach and presence if the
                redundancy sensor number specified is not 0xff.
-none: Add JeffersonPass / LincolnPass Front Panel NMI support from motherboard.
-none: BMC crashing during network flooding.
-none: Fixed some POST Errors causing EWS' SEL viewer to fail.
-none: BMC update will failure after 4 times because after update finished, now
       BMC restart reason become WDT restart. So after 4 times, BMC will enter
       uboot when starting.
-none: Change version number and prepare for the formal release of
       Romley BMC Q2 release.
-none: DCMI 1.5 spec compliance on Romley
-none: Enable MIC card for Crown/Iron Pass.
-none: JViewer always shows "Error reading video data" pop-up and a black screen.
       When mouse mode is set to relative and JViewer tries to hide the cursor,
       the createCustomCursor() java call on some configurations will always
       throw an undocumented exception because of an incompatibility with the
       underlying X11 library. The unhandled exception propagates all the way
       up to the top level network packet processor. Add try/catch handlers around
       all calls to createCustomCursor().
-none: Multicast traffic was being passed through to the BMC. This change enables
       multicast filtering, but still allows IPv6 multicast for
       Neighbour Advertisement, Router Advertisement, and DHCPv6 relay and
       server multicast.
-none: Reverted the developer drop for use in power supply firmware updating.
-none: Reverts 1600W DC PSU test firmware versions
-none: Send Master Write Read command to only read 1 byte from TPM75 TK 2nd source,
       this caused SMBUS be locked by TPM75 TK 2nd source. So modify the code to
       read TPM75 2 bytes.
-none: The UBoot code detects a bad CRC of the RamImage when attempting to boot Linux.
-none: The recommendations in the Web Console Mouse Mode tab are out of date.
       Update text.
-none: Update Default/FCT SDR of CopperPass from version 1.09 to 1.10.
-none: Update Default/FCT SDR of Crown/Iron Pass from 1.09 to 1.10.
-none: Update JacksonPass FCT/Shipping SDR to version 1.04 again
-none: Update JacksonPass FCT/Shipping SDR to version 1.04.
-none: Update Romley HSBP to 1p3 .
-none: Update for 1600W DC PSU FW.
-none: Updated version number information for BBP and GZP platforms for
       Quarterly release.

01.18.4442

-EPSD100019986: Though the special characters are given in %xx format inside
                the URL, IHC handler is not able to decode these characters.
-EPSD100022895: The POST codes do not have any relevance when the system
                boots to OS.
-EPSD100224275: Port of trunk svn 4189 for EPSD100233193.
-EPSD100231133: When the BMC owed sensor reading is in failure state, such as
                a NAK on i2c bus, for 10 consecutive sensor errors on the same
                sensor, BMC FW Health sensor should assert offset 04h as
                described in the UPMI spec.
-EPSD100233360: Added call to reinitialize DIMM voltage sensors after the init
                agent is run (and only if POST is complete).
-EPSD100233639: The javascript to construct the tables was passing arrays by
                joining them with a comma, and splitting on commas. Any table
                cell that contained a comma got split an extra time. This change
                passes arrays directly to avoid needing to join and split them.
-EPSD100233646: IHC was using full Chassis Status response byte to get power
                state, instead of just the power state bits.
-EPSD100233876: The "PEF happened" log was being processed by the PEF itself,
                causing an infinite loop of events for wildcard matches.
-EPSD100233881: Enabling events in the web console automatically enabled event
                logging for PEF actions. This change prevents automatically
                enabling event logging for PEF actions, and adds a UI element to
                enable it manually.
-none: Adding PSU FW for DC 750 W PSU
-none: Adds 1600W DC PSU Firmware PSSW162201A_02_01_128.bin.
-none: BMC WDT may triggered in FW Xfer mode due to the resource allocation
       shortage for other processes/threads in xfer tasks.
-none: Changed PSoC HSBP FRU Read algorithm to read full pages, instead of
       byte-by-byte. Only affects FRU reads to PSoC-based hot swap disk
       backplanes.
-none:: Developer Initiated - Change "Manufactory" to "Manufacturer" in DIMM
       info page. 
-none: From AMI. Potential fix for some of the JViewer Video Socket Error
       issues. Retry send() system calls if interrupted by signal.
-none: Reverting the test images for 750 & 1200 PSU FW. Syncing to the old one
-none: The end of the PCIE slot map table was not correctly being detected. Only
       an issue if no matching slot number is found in the table. 
-none: The logic for detecting which SMC versions are compatible with the BMC was
       incorrect 
-none: Various Klocwork fixes.

01.17.4151

-EPSD100021062: VFP power led was always solid green while system was in S1 state.
-        Now blinks, per spec.
-EPSD100022361: Correct Fw versions retrieved by IHC
-EPSD100022570: See EPSD100231451
-EPSD100022734: With 350W PSU(PMBUS1.1), Fixed where power statistic showed N/A when
-        pmbus cable was connected.  
-EPSD100022746: Add logging of PSU Config Error deassert event after removal of PSU
-EPSD100022769: Fix a DIMM Thrm Mgn error in SEL while load BIOS EPSD default using
-        Nvtest tool
-EPSD100022792: Desc: Added "OS Event" as the sensor name for events generated by
-        0x0041, to resolve inocorrect sensor name&type of SEL after Win2k8 R2
-        64bit graceful shutdown
-EPSD100022879: Remove the dummy option of selecting IP version from LCP.
-EPSD100022891: Fix If the string contains some special characters, then LCP
-        displays different characters in those places.
-EPSD100022895: Fix LCP displaying wrong Last Post Code (LPC).  Last Post Code
-        was displayed as 0507 always on LCP.
-EPSD100224075: Failed to test PEF Bit for Get PEF Capabilities. Add OEM Action
-        support to the Get PEF Capabilities response. Invalidate Diagnostic
-        Interrupt Action from Set PEF Configuration Parameters for
-EPSD100224969: (KVM segfaults/socket errors).  Various Klocwork fixes for KVM
-        and media redirection. Partial fixes for EPSD100231119 (header
-        length/validity). Potential fixes for EPSD100230010, EPSD100224969
-        (KVM segfaults/socket errors).
-EPSD100228161: Fixed LCP displaying "No BIOS POST C" when enter into LPC under
-        VIEW menu.
-EPSD100229671: The screen transition from BANNER/EVENT menu to MAIN menu was
-        not visible when ENTER button was pressed repeatedly when banner
-        screen was scrolling. A small delay (half a sec) was added between
-        the screen transition from MAIN menu to BANNER/EVENT menu.
-EPSD100230010: Also See: EPSD100231119
-EPSD100231116: Webgo: Various Klocwork fixes for IPMBRcv and Webgo. Fixed coding
-        standard - return codes now checked, logical errors, unsafe string handling.
-EPSD100231119: (header length/validity) Partial fixes. Also see: EPSD100224969
-EPSD100231451: LincolnPass: Changed minor version of BMC firmware to a BCD
-        encoded value.
-EPSD100231476: Change to show "lenovo" and "three" accounts on Web GUI and
-        allow users to change passwords.
-EPSD100231544: Reset the SMASH timeout timer to zero on any SOL activity
-        (user or terminal). Remove the special hard-coded SOL timeout value
-        and use the user-configurable SMASH timeout instead.
-EPSD100231617: Fixed spelling inconsistency - Subnet Mask abbreviated as
-        SMask across different displays.
-EPSD100231760: Issue:Vbat voltage shows low critical SEL on some Romley
-        platforms, such as GrizzlyPass, JacksonPass. Add workaround in
-        BMC to avoid such kind of SELs by initialize Vbat sample count
-        as maximumi(0x3F) in the begining, and change to minimum sample
-        count(0x00) if the first time monitor value is normal(which means
-        battery is existing). This can detect battery missing during power
-        on, but can't detect battery missing battery if removing battery
-        during system running(which is considered as invalid user case from TME) 
-EPSD100232376: - PEF Postpone timer test was failing. Add IPMI Legacy OFF to
-        the list of powered-down states to clear the postpone timer.
-        Correct behavior when the last processed software event ID is set
-        equal to the last BMC event. Old behavior would purge the last PEF.
-        New behavior rearms the timer without purging the event. See IPMI 2.0 section 30.2.
-EPSD100232466: Max SMASH timeout was only 600 seconds (10 min). Increased the
-        maximum smash timeout.
-EPSD100232544: LHP Product name has been corrected to "S4600LH" 
-EPSD100232545: Fix some event descriptions, especially confusing are the
-        non-criticals
-EPSD100232630 - Changed file permissions in BMC embedded debug files to
-        read-only.
-EPSD100232732: Fix setting of a custom string should automatically become
-        the LCP banner.
-EPSD100233046: Ignore 0xC1 (unsupported command) responses for optional
-        IPMI Get Sensor Event Status command. This prevents us from zeroing-out
-        a good sensor reading from satellite controllers. Fixes Embedded Web
-        console not displaying sensor values for sensors from another controller.
Issue: IPv6 is not supported on LCP, but the "Conf" screen shows an option to
-        configure IP version.
-none: 1600 W PSU FW 0.9.58 for Samsung PSU. It has bootloader changes, so the
-        minimum required FW will be from 0.9.58
-none: Add 1600 W PSU FW from samsung with crc 16 for corruption issue. Note:
-        Contains boot loader change, hence PICKIT 3 programming to PSU
-        FW 60 is needed
-none: Add auto detection, sensor, and FSC support for KNC cards  
-none: Added ability to override internal PCIE slot map table 
-none: Added additional product ID for KNC 
-none: Added LHP FRUSDR18 release package
-none: Add Samsung 1600 W PSU FW version 59 for 00 F PSU (fix for READ_EIN and
-        lin calculation).  
-none: BBP Default and FCT SDRs need updating to match latest FRUSDR package.
-         Updated the BBP Default and FCT SDRs to versions D1.02 and F1.02
-        respectively on behalf of Quanta.
-none: Changed mutex used in API_ExecuteCmd scope to local, not global. Fixes
-        file-handle deploetion in the kernel.
-none:  Define for LCP buttons logical GPIO numbers. Mapped them to physical
-        GPIO numbers for each platform that supports LCP.
-none: Fix broken AES lanplus when packets are bigger than 256 bytes. Set the
-        length variable (in one of the three implementations) to a INT8U
-        instead of INT16U, which only allowed AES packets smaller than 256 bytes.
-none: Fix RMM4 of LHP limit to 100Mbps.  
-none: Fix the current scrolling functionality of the LCP forcing the user to
-        wait till the scrolling of the existing text completes though the
-        user is not interested in reading the entire text.
-none: Fix wrong slot number mapping for Grizzly Pass. Slot numbers were reversed.
-        Slot index 0 should be on the right (0xE6). 
-none: Issue: 1200 W 02 F PSU FW file name was specified in hex instead of decimal.
-        Correcting the same to maintain consistency and for correct release notes
-        generation.
-none: Issue:In LHP LANsku, doesnt have Power button. So BMC shouldnt support
-        "stayoff" option in power restore policy. Restore policy shoud be
-        POWERON by default. When flashing the new BIOS and BMC, then plugging
-        in the AC power, system will boot automatically.
-none: JacksonPass: Factory SDR update to V1.00
-none: JFP and WSP: Fixed IO Mod Presence will not present when SAS Mod present
-none: Klocwork fix for Webgo. Change session cookie strings to max+1. This was
-        preventing login in Grantly.
-none: PSU FW images for 460 W S3F, 750W S4F, 1200 W 02F, 1600 00A - workaround
-        for the PSON bounce signal issue. 
-none: PSU FW images for 460 W S3F, 750W S4F, 1200 W 02F, 1600 00A - workaround
-        for the PSON bounce signal issue. Verified the same in swiftcurrentPass
-        460, 750 and 1200 W PSU (Note: avoid downrev bit set for 460, 750 &
-        1200 W PSU) Except 1600 W 
-none: PU Redundancy sensor did not behave as expected. The Power Unit Redundancy
-        sensor was not getting rearmed when AC/DC Input power was removed and then
-        restored. When interrupting input power from one of the redundant power
-        supplies, the Status LED will blink green. Restoring power to the power
-        supply causes the Status LED to return to solid green and there is a
-        SEL entry for Redundancy regained.
-none: Replaced FRUSDR18 with FRUSDR19 package for LHP
-none: Revert "Firmware transfer mode commands work over LAN channels". Firmware
-        transfer commands should work on all channels. After many discussions,
-        the conclusion is that there is no problem with allowing firmware updates
-        over LAN channels. Users are required to authenticate with
-        usernames/password over LAN channels, and we still allow them on loopback
-        interfaces (as well as on KI), it does not make sense to disable them now.
-none: Scale CFM sensor reading by B value in SDR. Platforms are using different
-        scaling factors in the SDR for the system CFM sensor. This change reads
-        the scaling factor from the SDR and adjusts the raw sensor reading
-        accordingly.
-none:  Updated FCT and Default SDRs to sync with SDR19 FSC sheet Rev0.8 V1
-none: Updated SDR version 18 
-none:  Updated uboot version number because 4081 denlow and 4082 romley changes
-        fixed a bug in uboot
-none: Update JEFFERSONPASS factory SDR 1.10
-none: Update Samsung PSU FW 64 for 1600 W 00A PSU's. Fix include EWS
-        reporting 0 W, double Power value workaround for ME issue. Image
-        for Q4 and drop 2 LHP. 
-none: Update SwiftcurrentPass/FreemontPass/EaglePass Default/FCT SDR
-none: Update WashingtonPass Factory SDR 1.07
-none: Updating the special build platforms for PSU fixes for released firmware.
-none: Web Console Remote Session check. From AMI. Do not allow web console to
-        change remote session parameters while JViewer is running. Suspected of
-        causeing blank screens/Video Socket errors in JViewer.
-none: When a Power Supply was inserted, the PS Redundancy sensor was not getting
-        rearmed. In order to more acurately reflect the current PS Redundancy
-        state, the PS Redundancy sensor is rearmed when a PS is inserted and
-        full redundancy is regained. This is specified in the EPS and was not
-        being done.  When redundancy is regained, the LED should stop blinking
-        and turn solid green. There should also be a Redundancy Regained SEL
-        event in the SEL.
the Global Action Control param.

01.16.3908

-none: CopperPass: Update FCT/Shipping SDR of CO to version 1.09. 
-none: CrownPass and IronPass: Update FCT/Shipping SDR of CR/IP to version 1.09. 
-none: GranitePass: Update FCT/Shipping SDR of GP to version 1.06. 
-none: GrizzlyPass: Update Default and FCT SDRs of GzP to 1.05
-none: Updated BlackbearPass and Freemontpass FRUSDR.zip files to current distro.

-SPRD: Corrects an issue where the BMC was generating incorrect SEL events.  The BMC will not
-      generate SEL events for CPU presence when it starts up or after an SDR update, per the
-      requirement in the SPRD excluding such events.

-EPSD100022439: see EPSD100022557
-EPSD100022557: Race conditions between the Link Monitor process and the other LAN actors
-               (IPMI stack & Linux network init scripts) would sometimes cause multiple
-               DHCP & DHCPv6 client processes per interface to be created. Changed so
-               Link Monitor process will not monitor until the linux network init scripts
-               are complete.  Adds a semaphore with PendTask so Link Monitor doesn't try to
-               refresh an interface while it is actively being reconfigured. Also, bumps up
-               the size of the root image section by one sector since this code addition
-               causes it to overlap w/ the www section.
-EPSD100229707: Add support for handling network configurations with NAT/Port Forwarding
-               between the browser and the BMC. Two fixes: 1) in hapi.c, handles the case where
-               CGI var HTTP_HOST has a nondefault port as well as an IP; 2) adds three boxes to
-               the web page for Remote Session to configure the non-standard ports JViewer should
-               use for KVM/CDROM/USB-Floppy.
-EPSD100231420: Added re-caching of SDR data when necessary (based on SDR last added time, and time of last cache)

01.15.3885

-none: Added another Platform ID (LizardHeadPassDP SKU) for depop sku of LHP.
-none: LincolnPass - Add SAS module Temp to this platform.
-none: LizardHeadPass - Modified/Added the SDRs as per the Lizard Head Pass
-      CONFIG-FSC Rev0.7 - Version (v4) datasheet (same as FRUSDR17 zip file.)
-none: LizardHeadPass - update zip file to FRUSDR17 for LizardHeadPass.
-none: Update FRUSDR for JacksonPass from version 0.05 to version 0.07 for BMC release 1.15
-none: Added power-state fixes for the following conditions:
-      1) chassis power-off when i2c connection to PCH fails, now supports 4-second power
-         button shutdown;
-      2) allows user to configure OEM PEF to perform graceful shutdown if they wish.
-         Default remains immediate hard-shutdown.  This fix was made to support request
-         for more robust operation with half-width chassis.

-EPSD100021840 - see CCB531
-EPSD100021851: see EPSD100022305
-EPSD100021988: see EPSD100022305
-EPSD100022111: see EPSD100022305
-EPSD100022305: Firmware transfer mode commands are now disabled over IOL/RMCP/RMCPP and will fail with 0xD4.
-EPSD100225799 see EPSD100229938
-EPSD100229818 see EPSD100229938
-EPSD100229938: When network link was lost, the routing table information was not
-               cleared, causing stale routing table, causing packets to be routed
-               to the interface which doesn't have link. This was generic across
-               all platforms and boards.  Corrected so that when link is lost, the
-               driver will purge the routing table (GW) for that interface, and bring
-               up the interface once link is detected back. However, if NC-SI
-               communication is down for more than 3 loops, then mark the link as down.
-EPSD100231115: Scrubs information in diagnostic dumps to remove unwanted data.

01.14.3855

-none: For JeffersonPass and WashingtonPass:
-      1.  Add sensor monitor code for sensor#2D to monitor address 0x90 on i2c bus 2.
-      2.  Add sensor monitor code for sensor#28 to monitor address 0x94 on i2c bus 2.
-      3.  Remove sensor monitor code for .240VA Fault. on GPIO0.
-      (GPIO0 is .FM_NMI_EVENT_N. on JFP and WSP)
-none: King Island - Some SEL-related commands were returning incorrect data after SEL
-      roll-over (KI has a circular SEL). Note that the KI SEL accepts up to 3639 entries
-      before it rolls over.
-none: Re-enable 1600W PSU and update FW to version 0.9.53 for S3F and 00A PSU Models
-none: Updated from FRUSDR15 to FRUSDR16 zip release package for LHP
-none: Update LHP Default and FCT SDRs to sync with latest FSC sheet Revision 0.7 Version (v1)
-Customer Request: Update translation of word 'threshold' in Chinese string on EWS per customer request.
-                  Should now be "yuzhi" rather than "fazhi"  

-EPSD100020024: EaglePass RMII Tx Clock management has been changed to correct an issue where
-               RGMII_IBMC_RMM4_TXD_0 and RGMII_IBMC_RMM4_TXD_1 at RTL8211D side falling ringback
-               did NOT match spec and were non-monotonic.
-EPSD100020040: Corrected error where OEM bytes (last 8 bytes) of SEL records retrieved by IHC module were wrong.
-EPSD100021705: Timer tick should not be a part of Sensor Monitoring code, as we can't guarantee that
-               every loop completes in expected time.  SMI Timeout sensors had a waiting period of
-               90 seconds, in which signal had to be asserted, before triggering the event. Code has
-               been modified to use uptime, for the 90 second timeout, instead of sensor loop tick. 
-EPSD100022097: Boot option configured by LCD config menu will no longer permanently change the
-               selection. It will now be applicable only for the next boot.
-EPSD100022523: see EPSD100022528
-EPSD100022528: Power Unit Redundancy sensor behavior at BMC startup has two bugfixes.
-               First, erroneous Power Unit Redundancy events at startup were generated due to the
-               sensor checking the Power Supply Status sensor before they were properly initialized
-               and Presence bits set.  Second, removal of a PSU when the system is powered off will
-               generate an event correctly.
-EPSD100022536: JacksonPass - The 450W mini-ERP power supply used with JacksonPass does not support
-               Cold Redundancy. The Get/Set CR Configuration commands have been changed for JacksonPass
-               only, to return 0x81.
-EPSD100022555: see EPSD100022556
-EPSD100022556: Removing a power supply causes all corresponding "assert" status change events for that
-               PSU which have not yet been processed into the SEL to be de-asserted. Normally this is
-               correct because a de-asserted status change means the 'problem' is gone. However,
-               A/C Power Lost should not be de-asserted since the A/C power has not yet been restored, since
-               the PSU has been removed.  So, A/C Power Lost assertions will not be de-asserted now.
-EPSD100226862: see EPSD100229966
-EPSD100229659: BMC Automatic Update of HSBP FW was unstable and impacting BIK Factory.  Root cause of
-               this issue was that after accessing PSOC bootloader, BMC shouldn't access any other
-               i2c devices on the same bus within 20-30ms, otherwise, PSOC will hold the i2c clock line
-               low. WORKAROUND added pending bug-fix to HSBP firmware.
-EPSD100229678: MTT CPU sensor scaling have been corrected for LHP FCT and Default SDRs
-EPSD100229827: see EPSD100229966
-EPSD100229840: LizardHeadPass had issue with spurious Temp and Voltage events logged to SEL during
-               BFT SEL Check.  Added filtering logic in FCT and default SDRs to avoid these.
-EPSD100229966: The Chassis Identification fields of the Get Chassis Status response were not set properly
-               for all methods of turning on the ID LED. This change adds the status to all methods of
-               turning the ID LED On/Off.
-EPSD100230154: The Chassis Control command to power off the chassis was implemented with the Power Button
-               press. This started a Graceful shutdown instead of an immediate one. This change causes the
-               Chassis Control command for power down to immediately power down by writing to the PCH
-               control register via the PCH slave I2C interface.

01.13.3724

-none: JacksonPass: Corrected the slave address for FHFL riser temperature device
-none: JacksonPass: added new temperature sensors for new SAS module
-none: Updated JacksonPass FCT and Default SDR to 0.07 code in build.
-none: Updated Salmonpass Default.sdr and FCT.sdr as well as platform.c to address
-      SAS module address from 0x96 (incorrect) to 0x98 (correct).
-none: Updated Lizard Head Pass FCT and Default SDRs to sync with FRUSDR15 release  
-none: Removed BlackbearPass FRUSDR11 and added FRUSDR100 zip packages.
-none: Removed CrownPass FRUSDR1.07 and added FRUSDR1.08 zip packages.
-none: Removed FreemontPass FRUSDR03 and added FRUSDR04 zip packages.
-none: Removed GranitePass FRUSDR104 and added FRUSDR105 zip packages.
-none: Removed IronPass FRUSDR1.07 and added FRUSDR1.08 zip packages.
-none: Removed LincolnPass FRUSDR0107 and added FRUSDR108 zip packages.
-none: Removed SalmonPass FRUSDR04 and added FRUSDR05 zip packages.
-none: Removed SwiftCurrentPass FRUSDR0105 and added FRUSDR105 zip packages.
-none: Removed FRUSDR14 and added FRUSDR15 zip packages for LHP platform.  Updated
-      the FRUSDR15 release package with fixes.  Updated BB DDR Voltage SDR records
-      to add filtering logic for LHP FRUSDR 15 release. 
-none: Added LHP baseboard FRU files for all the supported SKUs (LHP ROW Twinville,
-      ROW Powerville and LAN Twinville SKU BB FRUs)
-none: Change the Richmond(lenovo) default active lanuage to English for WW support.
-      Also updated the Lenovo logo in login page. 

NOTE: For Romley BMC release build R0113, the BIOS of plan is release x056, but that
-     release is not available at the time of build for BMC Release R0113.

-EPSD100021255: see EPSD100021260
-EPSD100021256: see EPSD100021260
-EPSD100021258: see EPSD100021260
-EPSD100021260: JacksonPass: Changed Mac0 Drive strength to conform to SI/EAs requirement.
-EPSD100022252: When using manual rearmed sensor with deassertions disabled, status LED
-               would not go back to green.  The code was not correctly handling the
-               Health Status update when manually rearmed sensors are rearmed. This also
-               fixes an issue where the code was not adhering to the IPMI spec when only
-               selected offsets are rearmed on threshold based sensors.
-               NOTE: this change causes an FTF test failure due to an error in the FTF
-               test code. The test is sensorverifyRearmCommand.tcl. This should be fixed
-               in the next FTF package release.
-EPSD100022441: [FW EVL] After sending the "turn off KVM services" IPMI command, the KVM
-               button was still active, resulting in a pop-up "Socket Error" message when
-               the button was clicked.  A check of BMC Services Status has been added so
-               that the KVM button is only active if they are enabled.
-EPSD100228795: Front panel LCD was incorrectly showing informational events in SEL display.
-               Only current active events in the system need to be displayed when the
-               EVT menu item is selected for LCD.  Changed to show only current active events.
-EPSD100228978: Romley-Quard Issue-ID-672081.  PS Presence event was triggering before the
-               status of the PSU was scanned, resulting in incorrect redundancy information.
-               Changed to wait for status sensor scan (ac lost/fault, etc) before reporting PS presence.
-EPSD100229501: The DHCPv6 DUID (client identifier) was not being kept in non-volatile storage,
-               so it would sometimes change. Will now keep the dhclient leases file which
-               contains the chosen DUID in the /conf directory so it will be persistant.

01.12.3663

-none: CopperPass with the Kontron Fan SKU was showing System fan RPM 0; added Copper Kontron
-      specific SKU handling in fan_speed_read function
-none: King Island: SEL Overflow flag is (incorrectly) set when circular SEL record number exceeds
-      max number of records.
-none: the ADM1276 would not respond correctly after NACK no hold time case.  Fixed.
-none: Updated BlackBearPass FRUSDR
-none: Updated Lizard Head Pass FCT and Default SDRs to sync with FRUSDR14 release 
-none: Added FRUSDR14 zipfile for LHP platform
-none: When entering FW Update mode, CMC sent an event message even though it had already closed
-      the message queue on full-width systems. This caused a write to a stale file descriptor, which
-      is a stability risk. Fixed.

-EPSD100021048: see EPSD100021705.
-EPSD100021154: LHP Fan fault LEDs not working for system fan 7 to 11 - fixed.
-EPSD100021705: issues corresponding to PCI Map building for 3 & 4 CPU, resulted in scanning of
-               pci bus 0 to FF.  This resulted in system halt without reboot after CATERR, on some
-               multi-CPU systems. Fixed.
-EPSD100021968: [FW EVL]Vlan help page of EWS was incorrect.  Changed help page to align with functionality.
-EPSD100021979: Typo errors found in BMC WebUI. Fixed typographical errors.
-EPSD100021985: [MIC-CDAD] Onboard VGA cannot setup to highest resolution (1920x1080 up).  Changed driver
-               to correctly handle settings.
-EPSD100022132: MC FAN PWM freq has been reduced to 11KHz from 22KHz (FAB1: 22KHz, FAB2: 11KHz)
-               (to fix speed scaling bug)
-EPSD100022261: DIMM mapping was not correct for processor P3 and P4; Updated EWS code for correcting
-               all the DIMM mapping for LHP P1, P2, P3 and P4
-EPSD100022285: Processor DIMM Thermal Margin sensor reading was unavailable for 2P config on LHP. Fixed
-EPSD100022331: [FW EVL] Added decode (web and download) of NM exception events for EWS.
-EPSD100228898: With Scotch Valley connected, Drive "locate" action was waiting 10 to 30 seconds before
-               drive led blink. The root cause is that HSC needs 50 seconds timeout after access HSC FRU.
-EPSD100229245: Merges r3615 from KI-RC branch to RomleyDev branch.  Blade specific issue where a kernel oops
-               intermittently occurs when the BMC boots up with the board powered on.

01.11.3597
-none: Reverts change in SDR entry length to 64 bytes, to meet IPMI spec requirements.
-none: corrects LizardHeadPass FCD SDR to meet 64 byte max entry size per IPMI spec limits. Adds support
-      for multi-entry fan scaling records to support LHP requirement to control 28 fans.
-none: Corrects LHP Fan tach calculation based on the fan scaling record.
-none: Updated Lizard Head Pass FCT and Default SDRs to sync with FRUSDR13 release  
-none: updated LizardHeadPass FRUSDR zip file to version 13  
-none: updated FreemontPass Default SDR
-none: Set MAC0 drive strength as 5.6IOL/IOH to improve SI on SalmonPass
-none: updates additional FRUSDR zip files, and tools archived for FRUSDR, IFlash32, OFU, and SysINfo.
-none: The Samsung 1600W S3 PSU FW has been removed temporarily.

-SPRD 4.8.1.5.25: Implements requirement that LCD panel shall allow for a custom text string to display as
-                 the banner. The custom LCD text string shall be modifiable via BIOS setup.  Adds
-                 the "Write LCD Custom" string command, CmdNo 0xB3, NetFn 0x30). Now BIOS or any other
-                 application should be able to insert a custom string inside the BMC. Front panel LCD
-                 should be able to display the entered string.


LCD FRU READ BUGFIX: Every time when System Name, System Model or Asset Tag has to be displayed, LCD module
-                    was reading FRU data, instead of storing and using the local copy till FRU gets updated
-                    next time. Because of frequent FRU access, BMC was crashing at apparently random times.
-                    This was partially fixed in R01.10 - see EPSD100228143, EPSD100228184, EPSD100228354

-EPSD100021157: fixes error where SensorMonitoring Thread is killed becuase of invalid memory access 
-EPSD100021250: FMP/SMP initialization separated to prevent extended solid amber status LED on FreemontPass
-               and SalmonPass.
-EPSD100021842: DIMM thermal Trip Event is incorrect in EWS Event log - fixed.
-EPSD100021959: [FW EVL]SMP shows no socket present in CPU information page of EWS. (Fixed typo in code.)
-EPSD100021974: Code paths for NMI button and IPMI command converged, causing the event added for the IPMI
-               command to also add an extra event when pressing the front panel button. This change simulates
-               the effect of a front panel button press for an IPMI commanded-NMI, instead of creating a new event.
-EPSD100022080: The fan fault LED did not light after inserting a broken fan. The Fan Fault LED table in
-               the code needed to be changed to reflect the same fault LED configuration as Grizzly Pass.
-EPSD100228143: LCD FRU READ BUGFIX: Default banner text when server with normal health is displaying some
-               junk characters at the end.
-EPSD100228145: LCD banner configuration menu item "Err" is not working as expected.  When "Err" is set as
-               banner, it displays "No Error" instead of "System Health Ok" as defined in SPRD.
-               Verify fix: traverse to Conf->Ban menu on LCD and set "Err" as banner. Traverse back to the
-               banner menu and see that it should display either currently active event or "System Health Ok"
-               if there are no active events currently.
-EPSD100228184: LCD FRU READ BUGFIX: SN (Server Name) displays different values at VIEW menu and SN as a banner.
-EPSD100228354: LCD FRU READ BUGFIX: In LCD default screen after power on is not a banner text, it is displaying
-               some text with "(none) Romley" as default screen after power on.
-EPSD100228918: OnSWCTimer get's hanged for data in API_ExecuteCmd, when another thread also calls API_ExecuteCmd.
-               In this case LCD and OnSWCTimer calls API_ExecuteCmd. Eventhough PostMsgQueue is locked, GetMsg
-               is not locked.  Implemented Mutex to avoid this problem
-EPSD100228936: Blade specific modification to "ignore" the IPMI Set SEL Time command from the KCS SMM interface.
-               Successful completion code is still returned, but blades won't actually change the date/time.
-               This is similar to what was already done for the KCS (non-SMM) interface. This change is to cover
-               the SMM case.
-EPSD100229109: King Island BMC doesn't power on board (based on power restore policy) after the 12 minute
-               CMM presence timeout has expired.  After AC cycle (blade insertion) King Island fails to resore
-               the host power per the PRP setting.  In addtion FP power button is inoperative if PRP is
-               "Last State"  This change was previously checked into KI-RC, this ci merges the changes to the
-               dev branch
-EPSD100229148: There is a race condition in the BMC startup between the IPMI stack and the init networking
-               script where the RMCP sockets aren't rebuilt after Failover has been configured. Have the
-               networking script indicate when it is done with a marker file and have the LANIfc check for
-               the marker LAN file and rebuild the sockets at that point. Also fix the Restore Factory Defaults
-               script to remove the failovermode file from /conf since failover should be disabled by default.

01.10.3560

none: Add JacksonPass and WashingtonPass PCIeSlotMap Table
none: Adds option (0xfe) for SlotIPMB command to ignore mux completely.
none: Adjust RGMII Tx clock delay to -250ps for SalmonPass according to SI requirement 

none: Command .OEM Get Reading. will now return units-based value converted by using .y=Mx+B.
none: fixes to LCD Code defects identified in code review were incorporated.
none: Some strings on LCD were formerly displayed improperly on LCD.
none: incorporate USB Selective Suspend feature from AMI. Advertises that the rKVM virtual keyboard/mouse
-     can selectively be suspended through USB OEM OS String Descriptors.
none: Increased total SDR record length to 0x48h from 0x40h to accommodate the LHP SDR requirements.
none: JacksonPass: Corrects the baseboard temperature sensor mapping so that it works.

none: updated zip archives of FRUSDR files.
- BlackbearPass to version 09
- CanoePass to version 106
- CopperPass to version 1.07
- CrownPass to version 1.07
- EaglePass to version 100
- IronPass to version 1.07
- JeffersonPass to version 1.07
- LincolnPass to version 0106

none: Updated FCT/Shipping SDRs for various platforms:
- Canoe Pass to version 1.07. 
- Copper Pass to version 1.08. 
- CrownPass/IronPass to version 1.08. 
- Granite Pass to version 1.05. 
- JacksonPass to V0.05
- JeffersonPass to 1.08 
- LizardHeadPass to version 12 and updated LizardHeadPass FCT SDR for FSC support 
- WashingtonPass SDR to 1.05
- also updated versions for GrizzlyPass to 1.03 (to match corresponding released zips)


-EPSD100020726: Fixed issue with post code where more than one LPC Reset was decrementing it too much
-EPSD100021603: disabling vlan was breaking dhcp configuration.  nwIsDhcpRunning failed to properly
-               test if an interface is running dhcp if it is a vlan interface.  This change adds
-               nwIsVlanConfig which tests if the interface is configured as vlan so nwIsDhcpRunning
-               can create the proper test case based on vlan status.  This was causing a disconnect
-               between the ipmi and linux configuration for the nic.
-EPSD100021624: An NMI sensor event was not logged when issuing "chassis control" command to trigger NMI.
-               Added NMI event after forcing an NMI using the Chassis Control command. Also removed
-               irrelevant bus information from EWS SEL translation for NMI events.
-EPSD100021646: BMC would freeze under heavy network traffic loads (e.g. broadcast storm). Changes the NIC
-               driver to use NAPI approach and implemented a simple throttling logic to avoid the livelock condition.
-EPSD100021835 Added other chassis support in LizardHeadPass and corrected RPM calc based on the new data
-               sheet. Also updated FreemontPass/SalmonPass Default/FCT SDR to reflect change.
-EPSD100021892+: Issue found when investigating EPSD100021892.  Wrong offset bit was set, hence SEL event
-               was logged with wrong Event Data 1, 2 & 3. Fixed. (EPSD100021892 remails open)
-EPSD100021914: Network Interface hold time was out of spec for Grizzly Pass and Blackbear Pass.  The hold
-               time is supposed to be 1nS but was actually less than that. This change extends the hold
-               time to just over 1nS.
-EPSD100021980: An incorrect "Set CR Configuration" command (testing error codes) will now return the expected error.
-EPSD100228142: Error messages should scroll automatically now, without pressing LEFT and RIGHT keys.
-EPSD100228143: Default banner text when server with normal health should not display junk cahracters at the end.
-EPSD100228150: Number of characters displaying in LCP display was only 16 instead of 18 characters. Fixed
-EPSD100228161: LCP displayed "No BIOS POST C" when enter into LPC under VIEW menu - fixed
-EPSD100228162: Unable to view the entire IP or Gateway or Subnet addresses using LCD display, last digit
-               is missing during display: fixed.
-EPSD100228163: Firmware information contents in LCP displaying did not match the actual version. Fixed.
-EPSD100228163: LCD display (View->FV->ME) of the ME version should now be same as that of EWS System info web page. 
-EPSD100228178: Banner text was not reflecting after set SM or LPC or POW as a banner. Fixed.
-EPSD100228320: implements Lenovo request that BMC user 2 and 3 username and password change enabled
-               for Richmond product.
-EPSD100228354: In LCP default screen after power on should be banner text rather than default initialization texts.
-EPSD100228476: SMBIOS rev 2.7.1 added additional socket types. This change adds those types to the SMBIOS
-               translation tables.
-EPSD100228590: Added fan domain mapping record so that Fans under FCT SDR's can be controlled with fan domains
-EPSD100228590: Updated Lizard Head Pass FCT SDR for to resolve issues where fans specified in FCT SDRs
-               couldn't be controlled with fan domains.
-EPSD100228638: On King Island, the BMC was ignoring power button presses after the first AC Cycle. This was
-               due to ACPI state confusion (ambiguity), and has been corrected.
-EPSD100228719: King Island: Changed to always delete MDR data (/conf/smbios1 and /conf/smbios2) if an
-               AC cycle is detected. After an AC cycle, HW configuration (CPUs, DIMMs, etc.) could have
-               changed and the existing MDR data may no longer correspond to the current HW configuration.
-EPSD100228738: BMC 1.08 LizardHeadPass FCT SDR was missing Sensor 0x2C (Riser 2 Left Forward Temperature)
-EPSD100228743: Exit Air Temp reading mismatch when using IPMI command under Linux.  The sensor initialization
-               code was checking both assertion/deassertion enables and settable/readable thresholds before
-               actually setting the thresholds. This was causing the Exit Air Temp sensor to fail to set
-               thresholds (all thresholds became 0), since the SDR lists them as settable, but does not
-               activate any assertions/deassertions. Removed assertion/deassertion check when setting thresholds
-               to correct this behavior.
-EPSD100228755: King Island: changed default PMCOnfig IPMI ACPI state value to 0x2A (unknown). Default was 0 which
-               made it incorrectly seem like the previous state was S0 (on). 
-EPSD100228766: Host name was not included in Email Alert subject line.  Subject line could potentially be set
-               before host name was set. This change sets the subject line again after the host name is set/changed.
-EPSD100228776: King Island BMC uboot sometimes sends truncated IPMB responses. Following the truncated IPMB
-               response is always an unintentional I2C transaction (I2C master read to address 0x20). Problem was
-               that when the data checksum in the IPMI message calulates to 0x00, the CS is not sent, so response
-               is trucated.  Fix was to send complete response anyway.
-EPSD100228778: Several problems related by code section or by code interactions.
-               -  uboot NCSI Set Link command was failing because uboot was enabling auto negotiation which is
-                  not supported on blades. Now blades call NCSI_Issue_SetLink with the options for fixed speed,
-                  1G full.
-               -  The change for r3384/3389 (EPSD100228684), to fix fw updates from uboot over LAN with data
-                  cache enabled, was resulting in a 20 second delay when NCSI_Issue_ClearInitialState is called
-                  on the non-existent third channel of a dual port NIC. Modified code for blades to only attempt
-                  to discover a max of two NCSI channels.
-               -  Added printf to make it obvious when data cache is being enabled. 
-EPSD100228842: Added "About" button to top bar to satisfy item 6 in the OpenSSL license. Other explicit
-               advertising clauses can be added to EWS through the same means.

01.09.3404

-none: Fixes to LCD module to address occcasional crashes in FSC tests. LCD thread event handling changed
-      to display latest high severity event in situations where there are multiple events queued for
-      display (Per SPRD).  Button handling modified to encapsulate all "wait for button events" to a
-      single function that processes all consecutive Sys events before handling the buttons.
-none: Update LizardHeadPass Default and FCT sdrs to current LHP Config-FSC Rev 0.6 per V1 datasheet.
-none: Added LED control and status changes to FreemontPass and SalmonPass.
-none: Updated the text output of ews-oem-tools to match documentation
-none: JacksonPass FCT SDR 0.04 checked in.
-none: Update LizardHeadPass to FRUSDR package 11, bringing Default and FCT sdrs to current
-      LHP Config-FSC Rev 0.6 per V1 datasheet.
-none: Update FRUSDR zip packages (provided for testing) to following versions:
-      JacksonPass:      S1600JP_FRUSDR_0.03.zip
-      SalmonPass:       S1400SP_FRUSDR_01.zip
-      LincolnPass:      S2400LP_FRUSDR_0105.zip
-      SwiftcurrentPass: S2400SC_FRUSDR_0104.zip
-      BlackbearPass:    S2400BB_FRUSDR_08.zip
-      EaglePass:        S2400EP_FRUSDR_03.zip
-      WashingtonPass:   S2600WP_FRUSDR_1.03.zip

-note: Testing with BIOS/2050_Package.zip (2.05 BIOS) with ME 02.01.05.091 
-      UBoot increments to 1.11 in this release due to changes in LCD handling (EPSD100228184)

-EPSD100021436: Corrected null pointer dereference when disabling failover with two ethernet cables
-               plugged in. This is a fix to the IPV6 handling.
-EPSD100021551: Corrected typoes in EWS online help page.
-EPSD100021537: Load BMC Configuration default followed by set shutdown policy "disabled" was causing
-               an unhandled exception.  This has been corrected.
-EPSD100228184: Front Panel LCD was displaying "AMI" when displaying System Name in the Banner.  This
-               was being taken from "gethostname" -- it will now default to "S2600" as a partial fix;
-               it should be able to find the actual value in the FRU (but the FRU was incorrect for
-               some platforms and this will be fixed separately.)
-EPSD100228513: BlackBearPass fans were boosting to full speed, due to the DIMM Therm Margin sensors
-               not being disabled from FSC when they are in OLTT mode. This change corrects that.
-EPSD100228621: Merge r3358 from KI-RC branch to trunk.  PowerOffPayload() was leaving the power
-               button passthru enabled. Modified PowerOffPayload() to keep power button passthru
-               disabled for blades.

01.08.3329

Romley:
-none: Updated JacksonPass FCT and Default SDR to 0.03
-none: Commit r3270 did not properly fix the port80 issue.  It inadvertently added another issue,
-      namely causing POST LEDs to stop updating during POST.  This fix gets the best of both worlds. 
-      SOL works, port80 interrupts cannot destabilize the BMC, and the POST LEDs still work at POST.
-none: Updated SalmonPass GPIO table to improve Fan Tach reading.
-none: BMC was sending 0xD0 PMBus command to non-supported CR feature PSU - corrected.
-none: Update LizardHeadPass default and FCT SDRS and associated zip to sync with latest FSC sheet
-      Rev0.5,Version (v6)
-none: LHP: Added debug to identify cause of system resets after CATERR.
-none: Position in code sequence where checking SUPPORT_FP_LCD has been changed to build the code
-      properly, when SUPPORT_FP_LCD=0.
-none: IPv6 not working when 2 NCSI channels enabled or Failover is enabled:  The kernel's built-in
-      DAD (Duplicate Address Detection) algorithm does not work with bonding or virtual NCSI mux
-      devices & was incorrectly disabling addresses. Disable DAD by default. Part of the fix
-      for EPSD100021436, but other parts are not yet fixed.

-EPSD100018664: there was an error message on virtual front Page when logging in EWS with user
-               privilege - should be gone now.
-EPSD100021063: VFP power LED was always solid green when system is in s1 state. Will now be green blinking.
-EPSD100227296: [SLV] Event description different when viewed in EWC vs. when saved via EWC: Added decode
-               of OEM event type 0x70, sensor type 0x2B events.
-EPSD100228040: due to a corrupted .dat file, an overlarge SDR count was returned which resulted in malloc
-               failure. Fixing the problem of unhandled null to avoid crash.
-EPSD100228113: EWS user was disappearing when privilege is set to 5 using ipmitool. Added a defined string
-               for user privilege level 5 (OEM).
-EPSD100228261: The LCP code was opening a file descriptor on events that affect health status but never
-               closing the descriptor. This caused the system to run out of file descriptors and crash the
-               BMC. Added the closing of the descriptor when it use was completed.  This corrects (among
-               other things) BMC crashes during FSC clamp testing.
-EPSD100228311: BMC would crash when all users defined then deleted.  The SetUserAccess command was not
-               checking for a NULL pointer returned from another function thus causing a SIGSEGV crashing 
-               the Message Handler and causing the Watchdog to reset the BMC. Added checking for the NULL
-               pointer as well as fixing another issue that was causing the NULL pointer to be returned.

01.07.3244

None: Updated SalmonPass Default.sdr and FCT.sdr, update SAS module presence sensor number to 0x2d 

None: Adding syslog entry to identify the BMC process crashed.  When BMC process crashed, BMC WDT
-     would reset the BMC FW. We now add a syslog entry to identidy the crashed process.

None: BMC sshd password set to invalid by default. Previously was set to no-value by default.
None: Additional support for SSL - spec requires that user can upload both certificate and private key,
-     now supported (server.pem and then privkey.pem).

None: Update U-boot version to 1.8 
None: Update FRUSDR package (and defaults) for LizardHeadPass to revision 08
None: Updated Default and FCT SDRs for Lizard Head Pass platform: Modified and added the SDRs as
-     per the Lizard Head Pass CONFIG-FSC Rev0.4 - Version (v5) datasheet.
None: Updated FCT SDR for Lizard head pass platform: Modified HSBP temp SDR threshold values as
-     per the Lizard Head Pass CONFIG-FSC Rev0.5 -Version (v2) datasheet.
None: Corrected problem with LHP FRUSDR with Other chassis options that was causing system fan issues.
None: Removed annoying debug printing on BMC console during HSBP FRU accesses.  
None: Updated key certificates to correctly manage auto-keyed images (very rare.)

None: Due to a change made previously to automatically detect if the PS Fan Status command is
-     supported with PAGE_PLUS, 1200W power supplies are generating Fan Failure events. This change
-     reverts this test to always NOT use PAGE_PLUS for Fan Status commands. This is a workaround.  

None: Added a proper RPK_Revision and checksum to developer key.

None: The zlib license says you must state if a file was modified.  The Makefile.in was modified as
-     well as removing various unused components of zlib.  This just makes sure that we are in complete
-     compliance with the zlib license.

None: Now that all images will auto-key themselves if they find a blank key area, we will be reporting
-     that in syslog in the ERROR log that's saved in /conf/messages.  Also reports success on success.

None: BMC boot up had a window where BMC HW watchdog was not enabled.  Default timeout was 18 hours,
-     reset by IPMIMain startup to 30 seconds.   Changed to 4 minutes so that if IPMIMain fails to
-     start, the hardware watchdog will trigger.


None: When the BMC reboots with an active SOL session, the SOL mux was not automatically reset to
-     redirect serial data out the system serial port.  This prevented both SOL and system serial
-     from working.  Now resets SOL mux at BMC boot to prevent this situation.

None: SSB Temp message errors could cause message spew to console and log.  While the ME is updating
-     (and posssibly while down for other reasons) the PCH temp sensor could not be read leading to
-     an error message being generated each time an attempt is made to read the sensor.  This spew
-     of error messages sometimes resulted in important debug messages being overwritten or rotated
-     out of the syslog.  Code has been added to GetPCHTemp() to limit the number of messages sent
-     to the console and to the syslog to 5.  After five consecutive read errors of the PCH temp
-     sensor, the error messages are suspended until an error-free read of the PCH temp is completed.
-     A message indicating that the error messaging is suspended is sent to the console and the log.
-     The error count is reset and a message indicating that the error messages are restored is sent
-     to the console and the log.

None: Adding FreemontPass default and FCT SDRs.  Updates FreemontPass and SalmonPass DIMM offsets in
-     the web display, and also adds information on FreemontPass Fan Fault LED to table.

None: The PET Acknowledge command was requiring an open IPMI session. As per IPMI spec, this command
-     will be sessionless and belongs to same class as Get Channel Authentication capabilities.  

None: IPMBRcv orphaned responses should auto-expire in aprox. 10 seconds.  g_u32SecondsSincePowerOn was
-     not being incremented.  This will now happen, and will be reported at the bottom of IPMBRCV.stats.
-     This prevents stale responses from being passed back up the stack and also fixes a memory leak.

EPSD100020596, EPSD100019907, EPSD100021085, EPSD100020586: "Enter Firmware Transfer Mode" command could
-       generate an unexpected FW update start log. Changed to start the log AFTER the image was downloaded.

EPSD100020531: when Exit FW transfer happens after the download of the image (i.e aborted before
-       programming), the update failure sel event was not logged (even though update start event
-       was logged). The event should now be in the SEL.
EPSD100020788: when updating BMC would send last Write Block Command to PSoC when it was unable to
-       respond, then timeout would prevent further communication. Retries in BMC code now for PSoC
-       status, to prevent the mutual "it's your turn".
EPSD100021049: Some of the sensor numbers used for LizardHeadPass were same as for other Romley
-       platforms, resulting in some erroneous displays of processor fan info.  The Sensor numbers
-       have been changed to avoid conflict. 
EPSD100021177: BMC hang/reset information is now logged in /conf
EPSD100227746: HSBP FRU information was sometimes unreadable via IPMITOOL.  Added retries to HSBP
-       mutex locking. The HSBP's mutex isn't always immediately available, which was causing
-       IPMITool to read 0x81 (device busy).
EPSD100227796: Combined both debug files into a single zip. Passwords on individual files are unchanged.
-       Container zip has no password. Modified system debug commands to only accept log type 0x00
-       as a parameter, since there is now only one file generated.
EPSD100227842: HDD drive numbers in HDD Status sensor SDRs did not match expected values.  The BMC
-       was using 1 based drive numbers, while customer documentation specified 0 based numbers.
-       This change implements the changes for Grizzly Pass FCT sdr as well as internaming conventions
-       for the sensor numbers. Note that this change alone does not fix the issue. It is only part of
-       the fix. The FRUSDR for each platform must also be updated with corrected numbers.
EPSD100227875: Update HSBP FW to 00.14 to remove the "HDD present detection dependency on valid SGPIO";
-       Adds PreRearm call back for HDD status sensor and HSBP Health sensor.  
EPSD100227986: SOL in GRUB was triggering sio-psr interrupt flood due to port80 interrupt flooding
-       (listed as sio-psr in /proc/interrupts).  This was a regression since revision 1489, where at
-       the top of the interrupt handler, code that disabled the interrupt was removed.  The interrupt
-       never should have been disabled in the interrupt handler in the first place, only the status
-       flag cleared.  Second, the code should not have been removed, it should have been modified to
-       reset the interrupt flag, not disable the interrupt.  This fixes the GRUB problem and still
-       allows for the POST codes to be read (the reason for fix r1489).
EPSD100228041: Get DIMM Offset command was rejecting any DIMM number greater than 48 with completion
-       code 0xCC. This has been changed to support all DIMM numbers.  Number of DIMMS supported varies
-       by platform, and is set by platform now.
EPSD100228064: BlackBearPass -- Default and FCT version 0.07 SDR files provided.

KNC HSDr 4116306:  Knights Corner sometimes needs slightly more than 1 second wait for Cmd_SlotIPMB
-       to receive a response; the timeout has been increased from 1 to 2 seconds.

SPRD 4.8.1.5.1 to 4.8.1.5.26: All files required to support the add-in LCD hardware on CanoePass
-       or GrizzlyPass have been added.  User can now plug in module and traverse the LCD menus by
-       pressing the buttons provided on the LCD hardware module.

TAO162919: Blade/King Island specific changes.  Merged in AMI KI M08 drop. These changes are blade
-          specific to conmgr.c, sessionmgr.c for fixing tracker 162919 as well as correcting issues
-          identified in code reviews; also added check to verify whether an RKVM session was still
-          established, rather than allowing it to become a zombie and consume resources.

00.36.3156

-none:          Lenovo-specific: Root user was removed for Richmond project, which is incorrect; root is
-               required for correct operation. Root user was restored for that platform.  
-none:          KI and blade specific: part of the general security code for BMC images was suppressed for
-               blades; it has been restored so that BMC on blades now behaves compatibly with the way BMC
-               on other platforms does.  
-none:          King Island uboot IPMB was not working after SEDID related change svn r3114.  Modified uboot
-               to detect A02 version of Pilot-III and then set I2C CLK speed registers appropriately to
-               achieve around 100kHz.  Similar change was previously made to the Linux I2C driver. 
-none:          EaglePass FCT/Default SDR updated
-none:          Updates JacksonPass SDR to Version 2 
-none:          Update/correct HalfWidth platform list
-none:          LizardHeadPass plus: Adds Memory Trip support for CPU 3 and CPU 4 
-none:          LHP: Updated Default and FCT SDR version to 08 for LizardHeadPass Platform. 
-none:          LHP: Updated LizardHeadPass FRUSDR zip archive to FRUSDR08.
-none:          LHP: Fixed the System Fans reading for the LizardHead Pass platform to work correctly.
-none:          ThunderRidge: unspecified multiple platform changes for Thunder Ridge CRB; Updates for
-               Thunder Ridge CRB GPIOs 
-none:          Thunder Ridge default SDR updated
-none:          Thunder Ridge SGPIO changes for MEM_thermal_event

-none:          Incorporated generally released Linux driver fixes for bonding-related bugs, glitches, etc.  
-none:          The default key built into the BMC was not validating properly thus causing the BMC
-               to reject all future updates. The validation function will now allow the CHECKSUM_INIT_VALUE
-               if the RPK_version number is 00.00 or 01.00.  
-none:          increased the security on the EWS OEM image so that now ews-action only allows regular
-               files, only files within 'res' and 'style', and only files named as png, gif, jpg, or css.
-none:          The cramfs tools originally used in ews-image were licensed as GPL, but in an attempt to
-               keep these utilities proprietary, the entire cramfs tools suite has been rewritten from
-               scratch according to the guidelines in the "GPL, Linux, and Copyright" Intel Learning course.
-               In addition to the cramfs rewrite, this patch adds more paranoia in image creation, throwing
-               errors if anything but regular files are in the source directory.  This prevents symlink
-               and device node attacks.  Also added to this commit is code to allow for building .deb,
-               .rpm and .msi install packages.  Currently the windows installer only does 32-bit, but the
-               linux packages are available in both 32- and 64-bit varieties.  Some of these changes are
-               outlined in the updated user document that gets distributed with the binary.
-none:          Corrects a too-enthusiastic reaction to bad OEM records in SDR. Previously, this would
-               report an error and reset the entire SDR with default values. This was done in an attempt
-               to ensure that fans would not be run at unsafe speeds. This is not required, and the
-               delete step will no longer happen, as there are copious failsafes in the FSC code to
-               ensure the fans run at safe speeds.
-none:          The IPMB Recv threads use a "busy poll" for I2C slave read packets. This change modifies
-               the I2C SLAVEREAD ioctl to block if no packets are available so these threads don't
-               waste CPU time. Ensures that no locks are held during the blocking ioctl. The locks
-               weren't necessary anyway since the interrupt handler does all the actual I/O and adds
-               the received packet to a list that the SLAVEREAD ioctl takes from. There is still a
-               per-device data lock guarding the list.  This is an interruptable sleep, so that
-               signals can be accepted while blocking.
-none:          KI but affects other platforms. Modified uboot handling of Enter FW Transfer Mode command
-               to match Linux handling, to return completion code 0x80 (already in FW transfer mode) if
-               the Enter FW Transfer Mode command has been sent previously.  This allows the FW updater
-               (CMM, for example in the King Island case) to differentiate between a) when the BMC is
-               in uboot and a FW update has not been initiated and b) when the BMC is in uboot and a
-               FW update has been initiated and is in progress.
-none:          Moves SEDID fix from Rubix to Uboot, and undoes all related Rubix changes.  This is
-               for risk mitigation - to reset SEDID from Uboot instead of Rubix removes any need to
-               udpate Rubix in-field. 
-none:          Corrects debug print messages for platforms with single PSU configuration erroneously
-               complaining of missing PSU.
-none:          Due to a change made previously to automatically detect if the PS Fan Status
-               command is supported with PAGE_PLUS, 1200W power supplies were generating
-               spurious Fan Failure events. This change reverts this checking to always NOT
-               use PAGE_PLUS for Fan Status commands.
-none:          Now that all images will auto-key themselves if they find a blank key area,
-               we will be reporting that in syslog.  Previously it was logged with LOG_INFO
-               only, not LOG_ERR, so messages did not get saved in /conf/messages.  Now we
-               use LOG_ERR and also make sure that on sucess, we are reporting sucess.
-none:          The BMC sshd user password was not set.  It is now configured as invalid.


-EPSD100017402: see EPSD100227150 below.
-EPSD100019913: Reset NM statistics for all platforms in S0. This generalizes a previous fix.
-EPSD100020311: Fixes missing EaglePass/FreemontPass/SalmonPass status LED initialization. It will
-               no longer hold solid amber for prolonged period after AC cycle.
-EPSD100020776: Fixes SNMP alert/email alert issue with Node manager on EaglePass/SalmonPass/FreemontPass
-               where SNMP alerts and Email alerts were blocked when the node manager power policy defined
-               threshold was exceeded.
-EPSD100020788: During firmware updates, HSBP firmware would sometimes crash due to BMC transaction failure
-               reading PSoC status. Retries were added to allow the BMC to recover.
-EPSD100020867: LincolnPass DIMM event SEL had wrong SGPIO port for Lincolnpass DIMM event; now identifies
-               correct memory location on board.
-EPSD100227150 and EPSD100017402: Supply status was not maintained when the BMC read the status, leading to
-               incorrect "ok" status report.  The correct behavior is now to keep the PS Fault status as
-               long as the PWRDOOD_NEG bit in the status word is set. LED will reflect that status.
-EPSD100227327: This corrects an issue which has the same root cause as this tracker.  After updating SDR
-               on slave node, PSU temp sensors would be in Disable status, while other PSU sensors were
-               correct. They should now remain in the state they were in before updating.
-EPSD100227547: BMC boot up had a VERY LONG window where BMC HW watchdog was not enabled.  BMC HW WDT was
-               defaulted to trigger after 18 hours in the device driver, before the IPMIMain resets it to
-               30 seconds. If IPMIMain fails to start, the HW WDT would not trigger until 18 hrs later.
-               This default timeout has been changed to 4 minutes.
-EPSD100227657: Swift Current Pass: SCP Pilot III with P02 BMC Chip - PCI Express prefetchable bit
-               (BAR10-BIT3) was not set for memory range in A0 step. Workaround fixed, tied to an A2
-               workaround also incorporated in this change.
-EPSD100227705: KI and other Clearbay Blades: The BMC has an embedded web server which conflicts with and
-               is not supported by the CMM web server which controls the blades.  Thus, the EWS is
-               disabled for those platforms only.
-EPSD100227747: The Management Engine 1.1V Stby voltage sensor was generating events when the power
-               button was held in for longer than 4 seconds.  As a workaround, the sensor code will
-               now disable reading the 1.1V sensor while system power is off.  (This is a workaround.)
-EPSD100227795: KI specific: Modified uboot to enable/configure the data hold time I2C registers of
-               the Pilot-III similar to how the BMC's Linux I2C driver is doing it. This prevents
-               unexpected NACK responses from CMM because it doesn't know that there is an I2C data
-               hold time in effect.

-EPSD100020369: Canoe Pass
-EPSD100020491: Crown/Iron Pass
-EPSD100020868: Granite Pass
-EPSD100020761: Copper Pass
-EPSD100020703: Washington Pass
-EPSD100227702: BMC would sometimes hold IPMB CLK low after BMC reset, and the BMC would reset
-               before the i2c transaction completed, causing i2c to hang.  This change disables all
-               i2c ports before BMC resets, and upon BMC startup in UBoot. They are then re-enabled
-               later when the BMC can properly handle them.


00.35.3050
-none:    Added Expected/Actual debug statement for ramdisk image
-none:    Added logging to the IPMI Chassis Control command.
none:     Additional customization provided to the Lenovo custom web interface.  Only affects systems which have this interface, which replaces the standard web interface.
-none:   Additional log messages can be enabled for all Set LAN Config Parameter commands, to assist in diagnosing custpomer LAN issues.
-none:    Changed Node Manager SEL entry descriptions to match marketing descriptions exactly.
-none:    Extraneous Power Off events have been observed when BMC goes through a reset, even though no power state change occurred.  A PreEventLg callback was added to inhibit rearm of the power unit sensor during a BMC reboot.
-none:    Object CRC will now print whenever LINUX is loaded, instead of only printing on failures. (visible on BMC serial console.)
-none:    The LAN parameters 24 "RMCP+ Messaging Cipher Suite Privilege Levels" and 23 "RMCP+ Messaging Cipher Suite Entiers" should return values in the same order.  Previously, parameter 23 was returning the cipher suites mostly in order (except for returning 0 at the end instead of the beginning); parameter 24 was returning privilege information for unsupported cipher suites.  Now each supported suite in order listed by parameter 23 matches up with the appropriate nibble in parameter 24.
-none:    Minor fixes provided to some EWS functions, not detailed (details not provided in check-in notes.)
-none:    Modified the Kontron PWM mapping as per their hardware schematic. (Affects FSC)
-none:    Removed some .dat and .orig files that were incorrectly incorporated into the source database.  No effect on user.

-none:    update BlackBearPass built-in default and FCT SDRs
-none:   JacksonPass was not recognized as a Half Width board by the BMC FW.  Added JacksonPass to the list of HWFF boards.
-none:    King Island/blade systems: For blades intended for ClearBay systems, ncsi_do_discovery() now sets up init data such that the Set Link command is sent with Auto Neg disabled.  Clear Bay switch only supports fixed speed, 1G Full. Additional debug enhancements added.
-none:    King Island: Due to hardware limitations in Fab1 of KI, a fix for NC-SI devices was disabled.  With Fab2 of KI, this has been fixed, so we now enable the fix for KI.  This remedies a situation where NC-SI device (interfaces) fail to be created under heavy network traffic.
-none:    King Island (may apply to other platforms as well.)  During cold reset testing of KI PIDs log file growth consumed virtually all of /conf because the system would reset before the logs could be rotated.  this uncontrolled growth of PIDs led to the file consuming 97% of /conf preventing the the complete booting of the BMC. The PIDs file will now be removed and/or old copies compressed at appropriate times before IPMI starts.
-none:    King Island: On rare occasions, the KI will not DC power on after re-insertion into the chassis.  Problem is not repeatable, but there have been several sightings.  Added system logging to a number of events to aid in diagnosis of this issue when next seen.
-none:   King Island: rKVM Error Opening Video Socket error workaround added.  Requires BMC serial interface and root password.  On BMC console, verify that adviserd and adviserd_mon are both running.  Stop the adviserd process (killall -9 adviserd).  Wait 75 seconds and there should be a series of console messages showing the detection and restart of the stopped service. After adviserd is restarted, open the web UI and confirm that a KVM session can be started and there is no video socket error.  The console messages will also appear in the syslog. xx If adviserd is killed while a KVM session is active, be sure to refresh the "Chassis Front" web page so that the KVM button reads "Terminate KVM" and then terminate the KVM session.  If the session is terminated as the adviserd service is being restarted, you will have to wait an additonal 60 seconds for the service to be restarted. xx These instructions are framed for King Island users, with the ClearBay user interface.

-none:    LizardHeadPass: Added missing P3 and P4 releated functionality for ERR2 and DIMM Thermal trip events for Lizard Head Pass. Updates CPU ERR2 timeout and DIMM THERM TRIP event sensors functions for P3 and P4 support.
-none:    Support added for 48 LHP DIMMS.  OEM config data increased from 500 to 1000 for future use. Also fixes the DIMM Threshold mapping for 4 socket systems.  This is relevant to multiple platforms.  Additionally, a PMConfig size migration was added since the PMConfig incorporates this data as well.

-none:    Added next FRUSDR07 release package for LizardHeadPass Platform.  Modified FRUSDR package to sync with configuration sheet Rev 0.4 v3.
-none:    LHP: Several Updates to LincolnPass FCT.sdr, Default.sdr for silver factory build and updated SDRs to sync with LHP FSC configuration sheet revision 0.4 (v3).

-none:    Romley EN Salmon Pass added to set of platforms. This platform was not built in this release.

-none:   As part of support for release 00.35, the following support packages were updated in the FW directory:
-        BIOS updated to x045_package.zip
-        BlackbearPass updated to S2400BB_FRUSDR_07.zip
-        CanoePass updated to S2600CP_FRUSDR_104.zip
-        CopperPass updated to S2600CO_FRUSDR_1.05.zip
-        CrownPass updated to S2600IPCR_FRUSDR_1.05.zip
-        FreemontPass added with S1400FP_FRUSDR_01.zip
-        GranitePass updated to S2400GP_FRUSDR_101.zip
-        IronPass updated to S2600IPCR_FRUSDR_1.05.zip
-        JeffersonPass updated to S2600JF_FRUSDR_1.05.zip
-        LincolnPass updated to S2400LP_FRUSDR_0103.zip
-        WashingtonPass updated to S2600WP_FRUSDR_1.00.zip

-TAO 163018: KingIsland ONLY: Merged in AMI's King Island M07 drop. This addresses the JViewer "Unable to connect VMedia" error.  Additionally, for unknown reasons the redirection services stops running making it impossible to start a remote KVM session w/o rebooting the BMC. xx A monitor script was added to restart the redirection service as a work-around until the root cause is determined and fixed.  It tests for the existence of adviserd in the process list - if not there, adviserd is restarted. (IF you have access to the BMC serial interface, and the root password, the following applies.) The redirection service may be stopped using "/etc/init.d/adviserd_blade_check stop".  This also kills the services monitor so that adviserd will not be restarted.  Use "/etc/init.d/adviserd_blade_check start" to restart adviserd & adviserd_mon.

-EPSD100020695: [UT] A failed node(Depop baseboard) couldn't be powered off gracefully by BMC during a (simulated) critical event of a temp sensor and system fan failure. This has been corrected.
-EPSD100227342: Security related issue fixes. Fixed SSL Server supporting weak encryption < 128 bits, by not allowing those cipher suites. Fixed SSLv2 issue, by disabling SSLv2 support.  NOTE: Partial fix for TLS Protocol has been placed on hold pending further testing.
-EPSD100227446: (Shown on LizardHeadPass and SwiftCurrentPass platforms, may affect others.) BB VBAT sensor reading was not showing crtical state for missing baseboard battery.  This has been corrected.
-EPSD100227479: BMC would return wrong completion code of 'get shutdown policy' command on non-halfwidth platform. This was caused by a typo in the code - is fixed now.
-EPSD100227547: BMC boot up had a window where the BMC HW watchdog was not enabled. xx The window was between the time UBoot exits to load Linux and 60 seconds after IPMIMain has created all of its tasks. During this window, if the BMC encountered a "hang" (an intermittent kernel oops for example), the BMC HW watchdog wasn't enabled to reset the BMC to auto-recover. We now enable the BMC HW WDT prior to the handover the control to Linux kernel.

00.34.2939

-None:          Update FCT/Shipping SDR of Copper Pass to version 1.04.
-               Update to FRUSDR 06 release for LizardHeadPass Platform 
-None:          Fixed an issue where getDiskTotalNum would get wrong number of disks.
-None:          For LizardHeadPass, change to limit RMM4 to 100MB; because it uses a cabled RMM4, it needed to be
-               limited to 100MB to avoid EMI issues.

-EPSD100019338: Web page was reporting incorrect DIMM channel number when ECC errors were injected.
-               Verify fix by inserting two DIMMs on channel A1 and A2, and injecting an ECC error at A1.
-               The event log should record correctable ECC at A1 rather than B1.
-EPSD100226231: Write and Read Global nw buffer, must kept separate in order to avoid corruption. This fix
-               ensures that they will, as well as replacing all reconstructed global data for VLAN & IPv6
-               with authoratative data from the BMC config global PMConfig structure.
-EPSD100227001: Customer found there would be excessive drive fault SELs with an ESRTII RAID5 confugured 
-               with 3 hard drives and 1 Hard Drive set as of hotspare or unconfigured.
-               This fix corrects the problem.


00.33.2860

-none:          King Island BMC default for Power Restore Policy should now be Last State.
-none:          King Island specific: BIOS INTC_IPMI_fan_config_set command was failing.  When the BIOS sent
-               the INTC_IPMI_fan_config_set command, it would fail with a CC of 0xFF (unxpecified error).
-               The INTC_IPMI_fan_config_get commands would also fail in the same way.
-               The INTC_IPMI_fan_config_set/get commands subsequently send a message to the FSC system that
-               would ultimately fail on King Island as no FSC system is running causing the CC of 0xFF to
-               be returned. This was corrected by bypassing the call to the FSC system and setting/returning
-               the 8 bytes of DIMM config info only for blades. Also converted some printf DIMM debug
-               statements to syslog error statements in sensorCBDimms.c - these archive new DIMM config
-               info recvd by the BMC.
-none:          King Island specific: bonding script was incorrectly setting vlan mode to vlan_only when
-               failover is enabled. This was causing BMC LAN to be unresponsive in a non-vlan test board
-               environment. Fixed.
-none:          LizardHeadPass: Modified device addresses as per updated SMBus diagram.  Added support for
-               Riser temp sensors
-none:          LizardHeadPass: Multiple fan fixes.
-               1.  Redesigned the Fan number mapping in MDS
-               2.  Changed the Max72408 DDF file to support the fan numbering
-               3.  Fan number mapping in sensor monitoring
-               4.  PWM register value mapping  for each fans in  Set PWM command
-               5.  Fan presence bit mapping for 3 max device
-               6.  Fixed the Timing issue in accessing the malfunction fan tach
-               7.  Updated fan numbering for TACH sensors to correspond to LHP fan configuration for
-                   external fan controller support.
-               8.  Added new ddf file to support external fan controller device MAX72408.
-none:          Removed fab1 ethernet port swap code from astmac.c
-none:          Updated LizardHeadPass FRUSDR to release 0.05 (also zip package provided for firmware updates.)
-none:          Update FCT/Default SDR of CopperPass, CrownPass, and IronPass to version 1.03.

NOTE: This build is being tested with BIOS release 0x044.

-EPSD100018167: According to SPRD, we require an EWS update capability. This adds the BMC portion of that
-               capability.  The EWS portion is still pending.
-EPSD100019820: LizardHeadPass: Status LEDs are connected in SGPIO. This has been propagated into LHP.
-EPSD100223931: King Island: The BMC was umable to access SSBTemp directly via SMLink.  This has been resolved
-               with BIOS x043, enabling BMC scanning of the SSBTemp sensor.  Also modified the sensor scanning
-               code to perform the I2C write/read on the correct I2C bus, using the PCH I2C slave address as
-               configured by BIOS.
-EPSD100226808: The Graceful OS Shutdown action caused the "Perform Action" button in the EWS to be disabled
-               during the process, however it wasn't re-enabled until the user reloaded the page. This change
-               disables the button after any action, and re-enables the button after any action completes.
-EPSD100226811: EWS Remote Control Page - when logged in to the EWS with a non-admin user, RKVM should no
-               longer be available. The KVM launcher page (and help page) should auto-redirect to a page
-               explaining the lack of privilege.
-EPSD100226817: The KVM/JViewer Copyright (visible in the "about" dialogue for the viewer) was updated
-               from 2005 to 2011.
-EPSD100226862: The Get Chassis Status command was returning "off" status for the Chassis Identification LED
-               whether or not it was on.  It should now return the correct status.
-EPSD100226871: Fans were boosted after updating SDR after a forced FW update.  When the sensor subsystem is
-               reset by the InitAgent after an SDR update, the FSC code was receiving OEM SDR records to
-               process before the sensor table was initialized from the new SDR causing some invalid sensor
-               issues and creating Clamp faults.  This change separates the processing of OEM SDRs until
-               after the sensor info area has been initialized from the SDR.

00.32.2781

-none:          There was a problem where the BMC, during reboot, was not disabling the i2c-4 channel, resulting
-               in spurious SEL entries from the Management Engine.  This has been corrected.
-none:          new FW drop received from Delta for the PMAX issue in PSU FW for 750W, 1200W S3/00 revisions.
-               Additional FW drop received from Delta for i2c timeout issue - 2nd timeout happening after a
-               i2c reset for 750W, 1200W S3/00F
-none:          Problem identified by ME team while bridging commands to ME via BMC IPMI.
-               AMI identified and provided this fix:  Sessions were being closed prematurely leaving session
-               handles in Active state incorrectly. Since handle is a number in an INT8U variable, it wraps
-               around quickly under heavy use.  Negotiating a new connection, the wraparound was resulting
-               in existing Active handles being attempted for new connections; this would result in confusion
-               and timeout if there was nothing listening for the UDP traffic from the theoretically closed
-               channel.  Code changed to check any new session handle to see if it's in use before attempting
-               to allocate a new session using it.
-none:          Updates Default/FCT SDR for some boards to newest versions:
-               WashingtonPass IB/De-pop SKU to version 00.08, JeffersonPass IB/De-pop SKU to version 1.03,
-               CanoePass to version 1.03, GranitePass to version 1.00
-none:          VCCQ VR temperature sensors were not working in BlackBear Pass.  The sensor access code in MDS
-               had the wrong sensor numbers for the VCCQ VR temperature sensors. This change fixes the problem.
-none:          Due to a change in the PMConfig table, we now have revision 11 PMC.  The items listed in the
-               MigrateTbl can be set by the operator to one of InitType: DFLT_TO_NEW, OLD_TO_NEW, or NONE.
-               The InitNewPMConfig function can now use this to determine whether to copy the old or default
-               PMConfig data into the new structure before handing it off to the MigrateFn to handle the
-               finer details of migration.
-none:          ** A fix added in SVN 2578 broke VLAN & IPv6.  It introduced yet another global copy of the
-               network config data in nwcfg.c, but some code was updating one copy while elsewhere code was
-               looking at the other copy.  As a temporary fix the VLAN & IPv6 code will write to both copies.
-               Longer term we should get rid of all the reconstructed global data in nwcfg.c and only use
-               the authorative data from the BMC config global PMConfig structure.
-               ALSO - we should check this against check EPSD1000019983.
-none:          External Fans PWM get function is corrected and MAXIM device address and PWM adddress are now
-               assigned based on the Skus.
-none:          Due to timing issues, we were unable to get valid readings from the Maxim "tach" device.
-               A 10 ms delay has been added for Tach reading and now tach reading will come correctly
-none:          Fan Fault LED is not working as expected in Lizardheadpass and Kontron Sku - CopperPass.
-               This change fixes the FaultLED mapping table, Gpio Initialization, Fault sensor Index,
-               and MAx device access.
-none:          Updated GPIO mapping table for LizardHeadPass to add Port 20 GPIO pin mapping for
-               LizardHeadPass platform

-EPSD100019403: During the ME update process the Management Engine responds with error codes (different codes
-               for different update modes). Changed the BMC to not count update mode error codes against
-               the management subsystem health sensor.
-EPSD100020045: We now initialize PCA9557(Node Presence)pin 4-7 as Output-High for LincolnPass, JeffersonPass,
-               and WashingtonPass. This should fix a "floating pins" issue.
-EPSD100020049: IPv6 ping was failing when LAN Failover was disabled.  Linux network config was going to the
-               default when disabling failover.  It will now copy the config from the IPMIstack whenever
-               Failover is disabled. This change also addsa generic method for sensors to access their
-               hardware in a seperate thread and changes some of the PECI access sensors to use it. Also
-               provides the capability for the DIMM sensors, but it is currently disabled pending testing. 
-EPSD100225798: Fans would randomly speed up when onboard NIC was disabled.  This was caused by the sensor
-               monitor thread taking too long to complete because of timeouts accessing the NIC when it is
-               disabled. Changed the Lan Lease Lost check to be done in a seperate thread. In implementing this,
-               also added a generic method for sensors to access their hardware in a seperate thread and
-               changed some of the PECI access sensors to use it. This capability is present for the Dimm
-               sensors also, but it is currently disabled pending further testing.
-EPSD100226612: for the RMS25CB080(Candado Beach) SAS Mod Temp (sensor).  The I2C address of the SAS Mezzanine
-               module was changed when the board was changed to fix the I2C clock/data line swap. This change
-               implements the new address for the temperature sensor.
-EPSD100226628: LAN alerts for channel 2 & 3 were not skipped when failover enabled. We skip the network
-               configuration of channel 2 & 3 when failover is enabled, so a similar approach will now be
-               used for LAN alerts.  The help section of the alerts page has been updated to describe this.
-EPSD100226676: SEL entries with the ME as the generator ID were getting tagged as unknown sensor and not
-               getting interpreted correctly.  Management Engine-generated SEL entries should now be correctly
-               identified.
-EPSD100226699: For Jefferson Pass, the PSOC HSBP temperature sensor was intermittently unavailable during
-               hot-plug process, resulting in incorrect states displayed for other nodes than the one being
-               changed.  This should be fixed now.

00.31.2679

-none:         Developer Initiated - adding Springville to the supported NCSI table.
-none:         Adding FreemontPass to the platform possiblities.
-none:         Adding external fan support for CopperPass and LizardHeadPass via external Maxim device.
-none:         Voltage 1.1V standby for Crown Pass, Iron Pass, and Granite Pass can't support standby mode.
-              Changed 1.1V standby sensor monitoring mode to non-standby for these boards.
-none:         for Lenovo custom web interface only: updates two translations of Richmond Project.
-none:         Update Default/FCT SDR of Canoe Pass to version 1.02.
-none:         Update Default/FCT SDR of Crown Pass and Iron Pass to version to 1.02.
-none:         Updated PSU FW for 1200W CRPS (S3 and 00 model) to correct the issue in Bobcat Peak (shows
-              on CanoePass) and JeffersonPass system, where system shuts down under certain conditions (updating)

-EPSD100018700: For SCP/LNP, CPU1/2 DIMM channel 0 is not used. When DIMM thermal trip events are found on CPU1
-               they should show in the SEL as "CPU1, DIMMA", and when found on CPU2, as "CPU2, DIMMD"
-EPSD100018874: King Island: Changes to FRU/SDR to correct errors related to sensors.  Sync'ed with Canoe Pass
-               SDR 1.01. Updated SDR version to 1.01.
-               Changed "Mem P2 Thrm Trip" and "Mem P2 Thrm Trip" to have sensor type = 0x01, and Reading
-               Type = 0x03. 
-               - "LAN NIC Temp": Modified Entity ID / Instance.
-               - Modified Entity Instance of following sensors:
-                   "P1 Therm Margin" "P2 Therm Margin"
-                   "P1 Therm Ctrl %" "P2 Therm Ctrl %"
-                   "P1 DTS Therm Mgn" "P2 DTS Therm Mgn"
-                   "P1 VRD Hot" "P2 VRD Hot"
-                  - Modified following BIOS owned sensors:
-                   - 'Mem Rdnc Sensor' Sensor Owner ID from 1 change to 0x33.
-                   - 'Mem Conf Sensor' Sensor Number from 9 change to 2,
-                      Event/Reading Base Type from 0x6F change to 0x09.
-                   - Add SDR 'QPI Link Width'(0x09).
-                   - Add SDR 'Sparing Rdnc'(0x11).
-                   - 'Rdnc Mod Sensor'(0x12) Sensor Owner ID from 0x33 change to 0x01.
-                   - Add SDR 'Mmry Parity Err'(0x13).
-                   - 'PCIe Fat Sensor' Sensor Number from 0x04 change to 0x14,
-                      Event / Reading Base Type from 0x70 change to 0x76.
-                   - 'QPI Fatl Sensor' Sensor Number from 0x07 change to 0x17,
-                      Event / Reading Base Type from 0x73 change to 0x74.
-                   - Add SDR 'BIOS Evt Sensor'(0x83)(two BIOS Evt Sensor).
-                   - Add SDR'PCIe Fat Sensor'(0x04)(two PCIe Fat Sensor). 
-EPSD100019152: When KVM enabled via LAN1 or LAN2, there were difficulties in entering BIOS via the F2 key during
-               the correct window.  This should no longer be a problem
-EPSD100019539: An error dialog box pop-up was appearing when accessing the Alerts page on platforms that only
-               support a single onboard shared NIC.  This should no longer cause an error dialogue.
-EPSD100019554: Sensor severity for thermal trip was incorrect. It should now read "Thermal fault" on VFP when
-               the system under test powers off due to processor thermal trip, rather than "Temperature has
-               crossed critical value".
-EPSD100019597: see EPSD100019700
-EPSD100019700: When installing a non-redundant PSU, an advisory is now added to the system debug log and can
-               be found in the system debug log as provided by the web interface.
-EPSD100226198: Disabling a running PEF postpone timer could potentially cause alerts to be disabled for a
-               short period. Alerts were taking 10s to register sometimes after an AC cycle (reproduced in
-               automated testing.) This should no longer happen.
-EPSD100226380: On HWFF platforms, two nodes share one backplane(node1/node3 shares one, and node2/node4 shares
-               the other one, drive0~3 belongs to node1/2 and drive 4~7 belongs to node3/4). however in code,
-               node3/4 HDD sensor call back was still decoding drive0~3's status for rebuild/fault event.
-               This has been corrected.  
-EPSD100226542: For KI, IDROM and PMC back-up data was being written to an area in FLASH after the FRU data area
-               instead of overlaying the FRU data. Offset modification in previous change was based on
-               incomplete/incorrect information.  This has been corrected to work on all platforms.
-EPSD100226568: When RMM4 PHY EEE (energy efficient ethernet) is enabled, recieve frame errors increase to an
-               unacceptable level.  EEE has been disabled until a better solution is developed.

-TAO162456:     King Island: remote keyboard/mouse sometimes non-responsive - fixed at AMI in M05
-TAO162751:     King Island: UI cannot tell when the KI KVM session is closed - fixed at AMI In M05
-TAO162725:     King Island: rKVM mouse mode is always Absolute at launch even when Relative mode is selected.
-               - fixed at AMI in M05

00.30.2607 
NOTE: Reverting version to 00.30 for this branch for ongoing development.
Release builds for 00.30 map to release 01.02 (but are not from the same code branch).

-none:           This build will be tested with Romley BIOS x041_package.zip, the 041 BIOS release.
-            Updates to the zip-bundled FRUSDR packages are provided as follows:
-                CanoePass/S2600CP_FRUSDR_100.zip updated to CanoePass/S2600CP_FRUSDR_101.zip
-                CopperPass/S2600CO_FRUSDR_1.00.zip updated to CopperPass/S2600CO_FRUSDR_1.01.zip
-                GrizzlyPass/S2600GZ_FRUSDR_08.zip updated to GrizzlyPass/S2600GZ_FRUSDR_100.zip
-                JeffersonPass/S2600JF_FRUSDR_1.00.zip updated to JeffersonPass/S2600JF_FRUSDR_1.01.zip
-                LincolnPass/S2400LP_FRUSDR_11.zip updated to LincolnPass/S2400LP_FRUSDR_13.zip
-                SwiftcurrentPass/S2400SC_FRUSDR_23.zip updated to SwiftcurrentPass/S2400SC_FRUSDR_24.zip
-                WashingtonPass/S2600WP_FRUSDR_06.zip updated to WashingtonPass/S2600WP_FRUSDR_07.zip
-                Updated CrownPass and IronPass default SDR and FCT SDR version to 1.01
-                Updated Lincoln Pass Default.sdr FCT.sdr to 00.13
-                Updated Grizzly Pass Default and FCT SDR to version 1.00
-None:           The Chassis Intrusion flag is cleared when a Get Chassis Status command is processed.
-                The Get Chassis Status command now reads the state of the sensor rather than the value
-                of the flag, when reporting chassis intrusion state.
-None:           Lenovo Richmond BMC should now be able to edit User1 and User2 in the EWS.
-None:           This restores the Cipher Suites and features listed in SPRD for RMCP+ which had been
-                added then removed in an earlier release.  This changes LANConfig structs in PMConfig,
-                as well as adding the newly enabled algorithms to the allowed algorithms per channel.
-None:           LizardHeadPass - Removed LHP Fan Board FRU data detection for this release.
-none:           BMC NVRAM corruption after DHCP configuration was due to mis-configuration
-                of the PMConfig versioning. This was causing inappropriate migration and thus
-                corrupted data.  PDKMigrate was also only handling one version per migration. 
-                This change causes migration to call all the applicable migration functions in order.
-None:           development/oem/firmware/IPMI/oem/Intel/Porting/IBMC/cfg/PMConfig.i now includes CR.i
-                to support Granite Pass.
-None:           some console debug prints for sensorCBFans have been removed.

-EPSD100017169: for Jefferson and Washington Pass, change RGMII 10ohm + drive strength from 4.2mA
-               to 5.6mA to correct EMI issues. (RGMII_IBMC_RMM4_TXD_0/2 monotonic)
-EPSD100018664:  When logging into the EWS with an account which only has the "user" privilege set, the
-                "wait" status should not be displayed for the Virtual Front Panel page.
-EPSD100018672: S1400/2400 DIMM naming was incorrect in SEL.  Channels A/B/C on S1400 and S2400
-               platforms should now correspond to the same channels on S1600 and S2600 platforms.
-               On an S1400 platform, add a SEL for DIMM A1 (ED2 = 0x08). The EWS and downloadable SEL
-               should show the DIMM as A1, not B1.
-EPSD100018684: during update of BMC FW under EFI Shell using package for BearToothPass, the system was
-               hanging at "BMC Firmware Update Status".  This should no longer happen.  If update fails,
-               it should provide an advisory as expected.
-EPSD100018697: Lincoln Pass systems could experience an "NMI activated-system halted" error during system
-               reset.  On the configuration with DePOP SKU, during update of BMC26, an NMI was detected.
-               This should not happen now.
-EPSD100019156 see EPSD100226243.
-EPSD100019157 see EPSD100226243.
-EPSD100019289 see EPSD100226243.
-EPSD100019327:  EWS will no longer display an invisible "LOADING" message.  The showwait() function was
-                adding an invisible text string (same color as background) indicating
-                "L O A D I N G . . . P L E A S E W A I T". This is redundant, as the moving gif is visible,
-                and an accepted form of loading indicator. This change removes the invisible text.
-EPSD100019331 see EPSD100226243.
-EPSD100019375: for Copper Pass, when BMC is booting, the on board Status LED and FP status LED should
-               follow the same blink and color status values as other platforms.
-EPSD100226154:  We now clear the buffer before reading the network interfaces, so that when there is no
-                ip associated with an interface, we will get 0.0.0.0 instead of the old static ones.

-EPSD100226231: interface file was getting corrupted in two scenarios,
-                which has been corrected with this release:
-               1. When reading new cfg during the update of interface file,
-                it would attempt to read the half written data, causing the
-                data to be corrupted. Fix: all writes go to a temporary file
-                and when finished, then moved to the real file using mv command).
-                This protects against file corruption during AC failure.
-               2. Same global buffer was used for read and write, so configuration
-                could be overwritten when a read is performed.
-                Fixed by separating the write and read buffer. WARNING: there
-                is still no locking code in place and hence care has to be taken
-                to avoid that issue.
-EPSD100226171:  Reading more than 106 bytes from ID ROM caused a SIGSEGV if the IPMI requests
-                was sent via RMCP.  When an IPMI Read ID ROM request was sent using RMCP, the
-                sytem appeared to respond normally until 0x6A byest were requested. The system
-                would auto-reset with a segmentation fault when 0x6A to 0x80 bytes were requested.
-               The problem was in the RMCP authentication of the returned data.  The
-               authentication buffer was hard coded to 128 bytes. This was large enough for
-               the data but not when IPMI, RMCP and authentication codes were added to the data.
-               Investigation of this issue uncovered problems with the R/W routine used for
-               FRU flash access (IDROM shares FLASH space with FRU).  Prior systems used a separate
-               EEPROM that used 16 bit addressing hence offsets and addresses are past and boundary
-               checked based on 0->0xFFFF.
-               On KI, FRU FLASH is contained in memory outside 16bit addressing.  Parameters and
-               bounds checking was modified to takes this into account. Also, the constant used for
-               ID ROM location overlayed ID ROM on top of the first 2K of FRU data.
-               The constant was modified to make ID ROM immediately follow FRU data in physical memory.
-EPSD100226198:  A patch for an earlier issue added a 10second delay to allow LAN interfaces to wake up
-                before permitting the PEF taks or the SEL to update.  Order of start has been modified so
-                that the LAN is completely initialized before PEF and SEL can run, so this delay has been
-                removed since it causes intermittent failures in automated nightly tests.
-EPSD100226243: Aggregates several IHC module handler fixes.  IHC request handler was being treated as a
-               valid handler if the request string contained any one of the defined handler names as a
-               substring. This has been changed so the string has to match exactly.  The last two SEL
-               records were being returned with incorrect data when requested via iHC when the sel was
-               full. This should be fixed now.  The command sequence to Clear the SEL and then Get all
-               SEL Entries using wget in Linux was returning an incorrect response. This should be
-               correct now.  There was no Hex format for the "log has been cleared" message when reading
-               via wget.  This should now be provided.  The last SEL record data retrieved by iHC was
-               missing when compared with the selviewer tool - this should now provide the last record data.
-               SEL/Power/FWver handlers were not giving error responses as expected during negative testing.
-               They should now return the required error responses when given bad parameters.
-EPSD100226250:  Channel Access flag was not checked before sending the PEF entry. This has been corrected.
-                This was causing some alerts to be lost. Further, when upgrading to this revision from an
-                earlier revision, the alerts should still be generated and pmconfig values retained.
-                (Note that downgrading to a version which doesn't have this support may still lose alerts.)
-EPSD100226288:  User Defined Temperature Sensor has been re-enabled.  This was inadvertently disabled
-                by a fix to another issue, but some high power PCIe cards require the Auxiliary Cooling
-                feature which then requires this sensor to be configurable.
-EPSD100226336:  PS Sensors on Half Width boards could be disabled and not re-enabled.  This should no
-                longer be the case; forcing a Power Supply Sensor error on the Master node should generate
-                1 or 3 event data bytes.  Verifying the SEL data from the non-master node should show that
-                the error on the master node was tracked in the SEL of the non-master, and the sensor
-                should remain enabled on the non-master.

01.01.2484  (maps to 00.29)
-none:           JacksonPass JacksonPass Porting code checked in
-none:           Lenovo  Add Lenovo Richmond Chinese version support 
-none:           Lenovo  Add Lenovo Richmond Customized EWS background image and Logo image 
-none:           Added FRU id for external fan controller board detection.
-none:           Debug dump now contains BMC revision number.
-none:           EP Updated EaglePass Default.sdr and FCT.sdr according to 1.0 sys config table 
-none:           Fixed ID LED issue broken by fix for chassis issue 
-none:           fix to syslog.conf to correct an omission that was preventing warnings from being logged.
-none:           HSBP changes: for half-width backplanes, a complex formula decides which BMC will act as
-                CMM for the chassis. With SVN 2428, adds new logic in CMC to monitor and grant (if needed)
-                the pSoC ownership every 10 seconds. This should prevent some deadlock issues with
-                breaking existing logic.
-none:           Implemented FWupdate status sensor to log BMC build id (binary) and ME build id (bcd)
-                + decoding logic for the same has been added in EWS
-none:           LHP Added FRU IDs for PCI Risers 3 and 4 for LHP. 
-none:           LHP Added initial FRUSDR release package for Lizard Head Pass platform.
-none:           LHP Added IO Module 2 support for LHP
-none:           LHP Added IO Module 2 temp sensor support for LHP 
-none:           LHP Added P3 and P4 related voltage sesnors support for LHP.
-none:           LHP Added system fan1 and fan2 sensor numbers for LHP baseboard only support. 
-none:           LHP Add LNP/WP support in some half-width specific code. 
-none:           LHP Modified as per the latest LHP SGPIO table 
-none:           LHP Updated FCT and Default SDRs as per the LHP FSC sheet Rev 0.1 
-none:           LHP Updated LNP Default.sdr and FCT.sdr according to config table 1.0 
-none:           Modified the Bus number for external fan board FRU
-none:           Removed almost all BMC centric debug dump from the regular file. Also, removed memory
-                info and processes info in the regular debug dump file.
-                This information was potentially confusing at best.
-none:           SCP  Updated SCP Default.sdr and FCT.sdr according to config table 2.5 
-none:           Updated SVN FW archive and manifest with BIOS 0x40,
-                and FRUSDR files for the following components: CanoePass/S2600CP_FRUSDR_100.zip,
-                CopperPass/S2600CO_FRUSDR_1.00.zip, CrownPass/S2600IPCR_FRUSDR_1.00.zip,
-                GranitePass/S2400GP_FRUSDR_10.zip, IronPass/S2600IPCR_FRUSDR_1.00.zip,
-                JeffersonPass/S2600JF_FRUSDR_1.00.zip, SwiftcurrentPass/S2400SC_FRUSDR_23.zip,
-                WashingtonPass/S2600WP_FRUSDR_06.zip
-                and Utilities updated for the following: FRUSDR/FRUSDRV11_0_Build7.zip,
-                FWPIAUPD/FWPIAUPDV11_0_B5.zip, IFlash32/iFlash32V11.0-Build07-AllOS.zip,
-                OFU/OFU-V11.0-Build6-AllOS.zip, SELViewer/SELViewerV11.0-Build6_AllOS.zip,
-                SysCfg/SysCfgV11.0-Build06_AllOS.zip, Sysinfo/SysinfoV11_0_B7.zip
-none:           Corrected name of LHP FRUSDR file in SVN FW archive. (incorrect in the previous checkin)
-none:           Various changes to manifest and scripts to support nightly automated builds and
-                to generalize customized build entities.
-none:           SDR JeffersonPass IB/Depop Factory SDRs are updated to V1.01
-none:           SDR Update Default/FCT.sdr of Canoe Pass to version 1.01.
-none:           SDR Update Default/FCT.sdr of Copper Pass to version 1.01. 
-none:           SDR Update Default/FCT.sdr of Crown/Iron Pass to version 1.01.
-none:           SDR Update WashingtonPass IB/Depop factory SDRs to V0.07
-CRB:            Changes to add support for Thunder Ridge CRB
-CRB:            Changes to add support for Thunder Ridge CRB
-CRB:            Changes to add support for Thunder Ridge CRB 
-CRB:            Changes to support Thunder Ridge CRB. SGPIO init changes related to Thunder Ridge 
-CRB:            new platform files and other support added for Thunder Ridge CRB 
-CRB:            Thunder Ridge CRB GPIO changes. Platform specific GPIO changes.
-CRB:            Thunder Ridge CRB PWM and tach related changes. enabling upper PWMs and tachs. 
-CRB:            Thunder Ridge CRB SGPIO init related changes. Thunder Ridge uses full length 80 bits SGPIO chain 

-TAO162452:      King Island BMC specific: SOL - last couple characters not echo'ed back, fixed

-EPSD100017452see EPSD100018519
-EPSD100017745 see EPSD100018519
-EPSD100017816 see EPSD100018519
-EPSD100018020:  In EWS could not see the RMM4 lan alerts setting when use IDA(ver:5.0 Beta2) to set it.
-                Cause: Alert configuration lan channels are not detected dynamically, hence CP didn't show
-                basboard mgmt 2 + RMM presence was never verified before allowing it to configure.
-                Corrected the alert entry and destination selectior configuration similar to IDA, so
-                configuration by EWS will be visible to IDA and vice versa.
-EPSD100018271 see EPSD100018274
-EPSD100018274:  Crown Pass board doesn't have COM port COMA, SOL was failing because default port was COMA.
-                Now checks for COMB as well, before failing if that isn't there.
-EPSD100018519:  Add information about support PEC in debug file
-EPSD100018790:  Send IPMI command to Read Platform Debug Log file was returning Normal Completion in a
-                circumstance where it should have returned invalid command (C1) - test case in ClearQuest
-                tracker contains an error and should be replaced with corrected test described in SVN 2352.
-EPSD100018884:  Updates to PSU Fw for 460 W and 1200W 00 & S3F psu
-EPSD100018979:  When the VR timeout event was asserted, the VR timeout flag was cleared. It resulted a
-                deassertion in the next sensor scan.  The fix is to not clear the flag until the
-                VR power good# is asserted.
-EPSD100019003:  On SwiftCurrentPass, CPU2 FAN fault LED and Rear FAN fault LED SGPIO number was swapped,
-                resulting in incorrect LED lighting amber when one or the other failed.
-EPSD100019004:  VLAN config fixes: VLAN ID was not always being read back correctly. Fixed LANConfig to
-                return IPMI value for VLAN ID, not stale value from nwcfg. Fixed VLAN Priority to work like
-                all the other network parameters (had multiple processes doing read-modify-writes on
-                /conf/vlanpriority without a semaphore). Fixed IPv6 support in /conf/vlaninterfaces. Fixed setting
-                IPv6 to DHCP on web, which was erroneously returning IPMI Error 213. Changed LANConfig to
-                return IPMI CC error when config commands fail to be queued to the Pend Task.
-EPSD100019036:  Virtual Front Panel was not reflecting chassis ID LED blink. It now detects and replicates this.
-EPSD100019071:  1.1V Standby voltage senor generating unwanted events during AC off.  This was root caused to
-                the 1.1V Stby voltage rail dropping very rapidly when AC is removed from a system that has
-                DC power on. The Power Supply keeps the BMC running for a longer period so it saw the voltage
-                drop out during its sensor scan and generated events for it. The fix is to ignore voltage
-                lower threshold crossings on this sensor if AC power is removed with DC power on. This issue
-                affects all platforms, not just BlackBear Pass.
-EPSD100019074:  Setting the user specific ranking- Ranking should be unique and less than number of working
-                PS, setting should reject invalid numbers now.
-EPSD100019097:  WashingtonPass: MBE/DBE memory error did not sent SNMP and Email Alerts - fixed.
-EPSD100110613:  Rapidly adding SEL entries would lead to SEG fault and reboot of BMC due to very slow
-                inefficient code inherited from a previous SEL model; code removed.
-EPSD100221386:  Turn compression off during the build for now. (See EPSD100221387)
-EPSD100221387:  The BMC was not able to uncompress a firmware image that had been compressed during the build.
-                Found and corrected the problem. The BMC is able to process compressed binary images.
-                Enabled image compression when invoking the bcrypt utility.  Enabling compression contributes
-                to the resolution of this defect by reducing the image transfer time, but it doesn't get the
-                overall update time down to two minutes.
-EPSD100221945:  The refresh button at the bottom of the sensor reading page wasn't set to disable after a
-                request, allowing for multiple rapid-fire requests with a very large overhead. The refresh
-                button is now locked until request completes, to prevent ASP floods on the sensor reading page.
-EPSD100225831:  RMCP PING packets with non-0xff sequence were being dropped, but non-0xFF sequence numbers
-                are allowed when the sender wants an ACK reply.  This is fixed.
-EPSD100225916:  BMC 1.0 with boot flag alone, didn't reflect the boot area version.  Fix: Image selection update
-                happened during the call to the opcode update. Thus when only boot block update flag was set,
-                the Active image change didn't happen, even though the new image was written to the flash.
-                Moved the logic, to the BootHandlerInfo, so once the image update is done, the active image change
-                is marked in Boot update handler code itself.
-EPSD100226012:  BMC console spewing messages about invalid GPIO.  This issue was caused by Blade specific
-                code executing while sensor scan was done on HSBP Disk status sensors. The Blade specific
-                code was meant for different sensors that use the same sensor numbers as some of the HSBP Disk
-                Status sensors. The fix is to not execute the blade specific code for non-blade systems and not
-                execute the non-blade code for blade system whose sensor numbers overlap.
-EPSD100226117:  A change to disable DIMM Thermal Margin sensors while in OLTT mode was reverted.  Blades must
-                also comprehend OLTT mode.
-EPSD100226147:  Add the capability of having Deassertion events in the SEL contain a different severity than
-                the associated Assertion. Currently, all Deassertion severity codes are 0 (informational). Other
-                events should be non-0 severity. This change only affects the first extended SEL byte for
-                deassertion events. It does not affect System Health status.

01.00.2344   (Maps to 00.28)
Note that the major number is incremented.  These changes are all for the Silver release.

-none:          Changed power-off fan speed for half-width products to 45% from 50%
-none:          An earlier fix caused the Syslog to fill with unnecessary RMCP messages.  This has been fixed.  
-none:          Updating Default and FCT SDRs for the following platforms:
-               BlackBearPass, CanoePass, CopperPass, CrownPass, GrizzlyPass,
-               IronPass, JeffersonPass (both SKUs).  
-none:          Update HSBP FW to version 00.12 to correct issue where drive fault was setting drive fault LED
-               to blink rather than the (correct and expected) solid-on.
-none:          Added code to support MX25L12845E flash parts in SPI Flash driver. (These are larger parts than
-               the "Macronix MX25L12805D" which they replace.)

-EPSD100018658: The status LED was blinking rather than solid-on when the CATERR signal occurred. It had been
-               incorrectly programmed as a critical error rather than as a non-recoverable error as required
-               by the EPS.
-EPSD100018668: For multi-node platforms, Node3 was unable to get the HDD Presence logs correctly.  This has
-               been corrected.  
-ESPD100225166: Corrected a logic error which was causing all RMCP ping packets to be dropped; initiating
-               IPMI 1.5 sessions should now work (returning RMCP ack.) 
-EPSD100225582: The Fan LED table in the code was not correct for the R1000 chassis. The only fan sensor that
-               lit the correct LED was sensor 0x30. This has been fixed.  
-EPSD100225595: Webgo was segfaulting when saving SEL with invalid offsets.  The description string tables for
-               generic and sensor-specific events were being copied regardless of offset.  Invalid offsets
-               were being fed to strncpy, which caused the web server to segfault. This change explicitly
-               sets the size of the 2nd and 3rd dimensions of the description tables (thus, initializing
-               invalid offsets to 0), so any strncpy operations on invalid offsets would stop at a length of 0.

00.27.2225

-none:          Modified build script to copy libraries from MKPDK build to proper folder for distribution to
-               vendors who use a pre-compiled image to build and test against.  
-none:          Modified a script to copy file(s) to conf rather than linking, to eliminate an error msg.  
-none:          For BLADES ONLY, SEL logging has been modified so that it is 'circular' - that is, the entries
-               wrap around with 3639(dec) entries. There is no SEL full event generated when a circular SEL
-               wraps around. The Record ID will go from record ID 0xFFFE to 0x0001 at wraparound.
-               Non-Blade platforms will still use the regular non-circular SEL which generates an "Almost Full"
-               when entry 0x0AA9 is created, and "FULL" message when 0xFFFE is reached. Non-Cicrular SELS stop
-               logging once they have 0xFFFE entries.
-none:          Enabled Washington Pass Cold Redundancy default setting.  Cold Redundancy and Automatic Rank
-               Cycling should now be the defaults.
-none:          Blade configuration for bonding driver (arp monitoring) was not working correctly.
-               TEMPORARILY, using mii monitoring for blade LAN failover.  Blades should all have standard ARP
-               configuration (no disable/enable.)
-none:          The sensorCBTemp function was emitting an error nonstop. This has been fixed.  
-none:          LAN2 configuration wasn't being done.  LAN2 should now be configured with LNP/EP when appropriate.  
-none:          For blades: Code added to CmmDetect to check for test board, and return if that's the case.
-               This has no effect on non-blade systems.
-none:          Continued changes for BMC Watchdog Timeouts.  Because watchdog timeout was firing under heavy
-               network loads, they have been increased, an additional retry was added to process pinging before
-               starting the throttling down, and "disable Channel" guarding was added around the NCSI driver code
-               that reads the system MAC, to prevent catastrophic failure that could be caused if the read
-               was interrupted.
-none:          Added customization features to build to support chinese-language regionalization during compile.
-none:          For blades, modified adviser/fdserver/cdserver "check for blade" to be more generic, checking
-               the platform to see if it's a blade, rather than checking to see if it's a KingIsland.
-none:          Updated CopperPass SDR to version 04,
-               updated CanoePass SDR to version 26,
-               updated SwiftCurrentPass SDR to version 21,
-               updated LincolnPass/LincolnPassDP SDR to version 10,
-               updated JeffersonPass/JeffersonPassDP SDR to version 20,
-               updated WashingtonPass/WashingtonPassDP SDR to version 05,
-               updated GranitePass SDR to version 09.
-none:          The expected behavior when there is a fan failure and temperature critical event at the same
-               time, is to turn system power off.  This should now work for LincolnPass.
-none:          Updated PSU Firmware for 750W S4/00 F Power Supply to revision 76.  CR settings have been
-               modified for better efficiency.
-none:          BIOS was sending its Build ID as Ascii Encoded, BMC was thinking it was BCD encoded.
-               This has been changed in BMC (BIOS 38).  BIOS 38 is the reference BIOS for testing this build.

-CUST:          changes to ethernet driver were required.  A major customer was experiencing ring buffer
-               corruption.  BMC reset did not reset the Linux tulip driver so interrupts and HW DMA were
-               happening while the HW ring buffer was being configured during re-initialization.  This is
-               very rare (race condition).  Additionally, a change from the standard 2.6.15.4 tulip driver
-               (Thurley) was merged to 2.6.28.7 (Romley) to restore interrupt-enables to their previous
-               state after start_xmit() rather than simply always enabling.

-EPSD100012790: System Health status - if a redundant device's status has been overridden by another redundancy
-               sensor, then its status will now be shown as the same as the sensor which is overriding it
-EPSD100015109: see EPSD100223564
-EPSD100016692: Corrected PDK commands to provide correct number for decoding some SEL record types.
-EPSD100017142: see EPSD100017725
-EPSD100017185: see EPSD100224402
-EPSD100017314: Get Node Manager Statistics command has been changed to behave more like a 'Datacenter."
-               From the check-in comment: According to ME FW architects NM functionality on the server platform
-               is treated as a part of the datacenter system. It is assumed that there is a datacenter level
-               control unit that is able to collect NM statisics and store them in order to provide historical
-               data. Moreover in general server platforms are reset quite seldom so statistics reset will also
-               occur rarely. Per this, it is recommended to send "Reset Node Manager Statistics" (0xC7) after
-               DC on and before the use of "Get Node Manager Statistics" (0xC8). BMC adds a "Reset Node Manager
-               Statistics" call on a DC-on detection.
-EPSD100017384: Wrong DIMM Fault LEDs were lighting on DIMM Faults.  CPU Memory channels start from 1,
-               BMC Identity memory channel starts from 0.  Changed so the BMC has the same numbering,
-               thus no accidental errors when checking memory mapping.
-EPSD100017657: Updated HSBP firmware to version 0.11, fixing Issues: (1) The Fault shouldn't LED steady off
-               when remove a HDD from ESRTII RAID5/1. - it should now light appropriately. (2), Removing the
-               node which connects to the HDDs, the fault LED should be off. (3) If i2c cable is not plugged,
-               SGPIO should work normally. (4) On JFP, the HDD sensors (F0-F2) of upper BMC node should no longer
-               be mapped to the HDDs belong to bottom BMC node.
-EPSD100017725: LincolnPass - IPMI OEM command was returning 0xC1 as the node slave addresses when all
-               four nodes were populated and powered up to an OS. This should now correctly respond with
-               the actual node slave addresses (0x20, 0x22, 0x24, 0x26).
-EPSD100018393: see EPSD100223564
-EPSD100018499: For Washington Pass depop SKU and possible others, a board which did not have all CPUs
-               populated was issuing the "cpu missing" beep code (1-5-2-1) and an CPU Missing event was logged.
-               This should not be the case for systems which do not require all CPUs to be there, and has been
-               corrected. Note, a missing CPU that should be there should still generate this event.
-EPSD100222897: Due to PECI passthru issues, the DIMM THRM MRGN sensor was logging a Thermal Margin Critical Error
-               (discovered during DC Cycle stress tests.) If a fan failure happened during this spurious error,
-               the BMC would automatically shut down the system. To previous fixes, this fix adds the step of
-               directly querying the DIMM thermal thresholds via IPMI OEM command even if the PECI doesn't have
-               valid data.
-EPSD100223564: BMC Watchdog Reset events were missing from EWS and SELLOG.zip human-readable test files.
-               These have been added to the event logging so they should now appear when using those
-               interfaces to view the SEL.
-EPSD100223582: see EPSD100224402
-EPSD100224402: Human-readable SEL decoding for PCI and DIMM events have been added for PCI types 0x70 and 0x71,
-               GID 0x33; and DIMM types 0x6f and 0x08, GID 0x33.  Thses will now include bus, function and
-               device(PCI) or CPU/Slot(DIMM).
-               Also, this includes a minor enhancement to filter on sensor type rather than sensor number.
-EPSD100225082: Changed BMC accese to pSoC temp sensor so it will no longer report high critical/HDD Faulty
-               unless this is actually the case.
-EPSD100225083: BMC "master" will now control power-supply fan speeds even when the "slave" node has been shut down.
-EPSD100225177: BMC was, under some situations, failing to call fdserver/cdserver restart, so the system was
-               not attaching USB.  This code was replaced with safe-system logic and verified by 3 days of
-               update testing, but the scenario needs further investigation.
-EPSD100225381: For King Island, the rKVM Session Sensor was reporting a session as terminated when it wasn't.
-               This has been fixed.

00.26.2169

-none:          Updated code of DIMM thermal margin event source.  Should generate extended SEL per EPS 
-none:          Updated Default.sdr and FCT.sdr of Canoe Pass to version 25.  
-none:          Updated Default.sdr and FCT.sdr of Crown/Iron Pass to version 13.
-none:          Updated King Island SDRs. Added "MDR" and "BMC Reset" event-only SDRs.
-               - Added support for "MezzCard Present" sensor.  
-               - Added logging of BIOS reporting regular DIMMs or LVDIMMs.  
-               - Corrected Type/Length Code for "MDR" and "BMC Reset" SDRs.
-none:          The reset.c module in the uboot code was originated by Intel and not Emulex.
-               Replaced Emulex GPL header with the Intel GPL header in several places.  
-none:          The CPU IIO Error Register dump was not complete, and missed the 0x100 - 0x3FF range. Fixed.  
-               CPUBUSNO(0) query was also fixed so it can be obtained properly for other than socket#0.
-none:          Updated King Island SDRs as follows: 
-               - Updated SDR version to D.08.  
-               - Sync'ed with Canoe Pass SDR 0.24.  
-               - Updated Entity Instance to 0x01 in several SDRs to sync with Canoe Pass.
-               - Changed "VR WD Timer" sensor name to "VR Watchdog" to match common Romley sensor name.
-               - S2600CP.sdr: BMC Health(0x10) Deassertion Event Mask from 1000 change to 0000.
-               - Corrected Sensor Type and Event / Reading Type for Mem P1 Thrm Trip and Mem P2 Thrm Trip sensors.
-               - Removed unused Agg Thrm Mgn 3, 4, 5 sensors.  
-               - Updated threshold and conversion factors for BB +1.05V P1Vccp and BB +1.05V P2Vccp sensors.
-               - Customized "Agg Thrm Mgn 1" sensor to aggregate "P1 Therm Margin" and "P2 Therm Margin" sensors.
-               - Customized "Agg Thrm Mgn 2" sensor to aggregate DIMM Thrm Mrgn 1, 2, 3, 4 sensors.  
-none:          Modified platform.c and MDS files for LizardHead Pass platform specific sensors 
-none:          Updated Default.sdr and FCT.sdr of Granite Pass to version 08.
-none:          BMC Watchdog Timer has been firing under excessive broadcast traffic.  This has been
-               corrected to enter a RX SUSPEND state when too many RX packets are queued and/or the
-               watchdog timers are too close to expiration.  It should resume RX operation when these
-               states are corrected.  Also incoprporated changes provided by Emulex to set the timer
-               correctly based on link speed.
-none:          NC-SI devices were not being created under heavy network traffic, because RX packet
-               drops were causing NC-SI command responses to be lost, resulting in drivers erroring
-               out and closing multiplexer operations inappropriately.  This change corrects that
-               issue by ensuring that (1) all NC-SI channels in a packet are disabled (stop
-               receiving external packets) during discovery and configuration process, and (2) fixing
-               NC-SI command retry logic to set the expected ID to invalid value after the LAST of the
-               required retries are exhausted, rather than after the first timeout.  This also fixes
-               a minor memory leak when retries were exhausted.
-none:          For BLADES, NCSI must not ignore errors from Deselect Package command during the pre-disable
-               step before discovery. Blades expect this to fail, and this may (will) add significantly
-               to boot time.  Note that blades SHOULD ignore the errors from the Disable Channel command,
-               because the error response may come from a number of different setup situations.
-               This is a tricky case and while it works for chassis systems, it doesn't work for
-               blades in some cases, so this code is REVERTED for blades only, pending further debug and test.
-none:          NCSI driver changes interfered with DHCP, so removed logic to suppress broadcast packets to
-               interfaces that don't have an IP. Check needs to be qualified with whether DHCP is enabled or not.
-none:          Missing completion code from response of remote device for OEM SlotIPMB command has been corrected.
-none:          [on Crown Pass] EWS node manager power policy send alert function wasn't able to send
-               to snmp receiver and mail server. This should work now.
-none:          Changed method of detecting core count for DTS sensor; The CoreCount reg in the CPU
-               was incorrectly read. Now using a new method of reading the CPU core count.
-none:          Because the BIOS may not always find a particular BDF when a PCI error occurs, it will
-               sometimes return an generic PCI error to the BMC.  The BMC no longer assumes that there
-               is a valid BDF in DE2 and ED3.  Debug loging has been changed to dump the entire PCIe
-               space when there is a generic PCI error.

-MARKETING:     Per marketing request, streamlined node manager configuration web page to match 
-               feature set of existing Active System Console setup screens. This change removes
-               all NM 2.0 configuration options (multiple domains, triggers). All NM 2.0 features 
-               are still available via standard IPMI commands.

-EPSD100017007: The event Log web page was not filtering some of the events based on their
-               category.  Now, summation of the 3 categories (Sensor Specific, BIOS generated
-               and System Management Software generated) of events should match with the
-               "All Events" display.
-EPSD100017138: see CCB70
-EPSD100017645: EMI testing was finding excessive clock noise on some pins. This change turns
-               off the signal on RMM4 DNM CKL125 when it isn't being used.
-EPSD100017654: see CCB70
-EPSD100017978: see EPSD100017007
-EPSD100017979: Web interface did not provide filters for "SMI Timeout" and "NMI Capabilities"
-               sensors in sensor reading page of EWS.
-EPSD100017989: see EPSD100017007
-EPSD100018022: Username length was incorrect in EWS help text.  User name was listed as minimum
-               of 4 characters. Per IPMI spec (and BMC implementation) should be 1-16 characters.
-               Updated help text with correct values.
-EPSD100018123: The completion code for Get Dimm information has been modified in EPS and code
-               to return the 0xC7 error code when attempting to use the command to read a BMC data region.
-EPSD100018130: Hot Plug configuration error for power supplies, fixed in BMC 25 for 460 and
-               1200W PSU drivers, now fixed for 750W supplies.
-EPSD100018262: Chassis Control Power Cycle command was updated in BMC 25 to use Power Supply PWR_GOOD#
-               as the gate for on/off actions.  An improper value was being returned on power-off which
-               was sometimes causing the power-on to fail; this has been corrected.
-EPSD100223672: With this build, support for DePop SKU boards is expanded such that there is no
-               longer any requirement for separate SDR files, nor are special builds required for
-               alternate SKU boards.
-EPSD100223707: Management Engine (ME) was not configured to enable 4 PSU, in previous versions
-               (till BIOS 37) sent only 2 psu address properly. Implemented logic, to depend on the
-               PSU status sensor & update the PSU address accordingly in ME. (Note: Romley has either
-               2 or 4 PSU systems only).  This change removes the workaround which patched the problem
-               in earlier BIOS revisions.   NOTE, THIS NOW REQUIRES BIOS 37 OR LATER.
-EPSD100224773: OEM timestamped and OEM non-timestamped events (RT 0xC0-DF and 0xE0-FF respectively)
-               don't contain standard SEL formatting (such as generator ID, sensor type, sensor number,
-               etc.). Changed EWS output and hex/text SEL zip output to reflect proper formatting.
-EPSD100224356: Added legal disclaimer in the EWS System Debug Log page, modified display strings,
-               renamed the debug log files. Feedback said the tests were unclear, this should make
-               it clear what they are doing.  
-EPSD100224974: When Normal SEL record was added using Add SEL Record, the Extended data byte 0 was
-               uninitialized (FF). Now for extended SEL, the extended data will be initialized to 0
-               for normal records.
-EPSD100225023 (Partial): No error was being displayed on EWS' NM Config page for unresponsive
-               Node Manager.  Added error alert message when NM Config page in the EWS couldn't
-               communicate with the Node Manager (unresponsive or in firmware update mode). This
-               is only part of the resolution; The remainder must be fixed in the Node Manager.
-EPSD100225069: During testing, unexpected King Island: BB +1.1V STBY events were logged. 
-               This is a known issue similar to EPSD100011518 (Canoe Pass).  This is normal
-               silicon behavior. P1V1_STBY_SSB will always drop after SLP_S5# asserts.
-               King Island BMC fix is similar to Canoe Pass: Modify BB +1.1V STBY sensor to
-               only be monitored when DC power is on.

00.25.2083

-none:          A number of fsafe_boot and uboot files were incorrectly generated,
-               before handoff to Intel, and contained the Emulex GPL header.
-               This has been replaced with the current AMI GPL header per their
-               10/6/2010 release of that header, plus modifications made by Intel
-               under the GNU General Public License.
-none:          The firmware images for 1200W S3F and 460W S3F were updated to replace
-               earlier images which contained a critical bug.
-none:          There were issues with BMC performance on a large, busy network; this
-               has been corrected so that the BMC response will no longer be degraded
-               by excessive network packets.
-NONE:          Added code to enable replacement of root public key from uboot via
-               serial console interface, including notification that it was successful.
-               Cleaned up PostBuildDev script, added support for replacement key.
NONE:           To correct unsigned images, BUild 25 is an auto-signing build.  In the
-               previous candidate autosigning was being done using the development
-               public key rather than the production public key.  This has been changed
-               to use the development public key.  Unsigned images should now update correctly.
-NONE:          King Island: IPMB traffic will now use I2C Bus#2 when in UBoot. (i.e.
-               IPMI communication with CMM will be on SMB A on a test mid-plane during boot.)
-NONE:          debug dump contained 'iBMC' which is not a permitted name in this product.
-               Removed when discovered.
-NONE:          redundant init code removed for IO Temp sensor (PCA9546)
-NONE:          Added changes for signon banners and warnings for serial console
-NONE:          FOR BLADES: Added code to synchronize CMM attempts to configure network
-               interfaces with BMC startup scripts.  
-NONE:          Implemented support for Multi-core MSR dumps. Previously would only dump
-               first core MSR plus uncore MSRs.  
-NONE:          WashingtonPass: Added NodeID support and ability to read PSOC sensor.
-               Added thermal check feature.  
-NONE:          Fixed a recurring but evasive memory issue where the BMC would reset after
-               about 15 hours of DC-Cycle test.
-               This was due to memory fragmentation. Additional memory leaks, and one FD
-               leak have been fixed.
-NONE:          unnecessary info message when status LED is grey, found in unit test, and has been fixed.
-NONE:          Due to limits of "busybox" the command "/etc/init.d/networking stop" was not
-               stopping udhcpc instances.  This has been fixed by other means, so there should
-               no longer be any instances of udhcp running when the system has been configured for DHCP.
-NONE:          as of XXXX VERSION fwpiaupd now supports the correct return code (0x82) indicating
-               incompatible image.  Attempt to load an unsigned image with the corrected version of
-               this utility should now issue fail a message. [NOT AVAILABLE AT BUILDTIME.]

-NONE:          new 1200W S3 PSU firmware received from Delta.
-NONE:          Update FCT/Shipping SDR of Copper Pass to version 02.  
-NONE:          Update FCT/Shipping SDR of GranitePass to version 07.  
-NONE:          SwiftCurrentPass SDRs updated to 2.5 
-NONE:          Update FCT/Shipping SDR of Crown Pass/Iron Pass to version 12.  
-NONE:          Update LincolnPass Default.sdr and FCT.sdr to v0.9 
-NONE:          Update FCT.sdr and Default.sdr of Canoe Pass to version 24 
-NONE:          JeffersonPass SDR18 check in

-NONE:          For King Island (blades) the Lan Config was corrected to allow CMM to set
-               IP, gateway, and netmask.

-NONE:          Fixes tulip1 being assigned an out of range MAC address
-NONE:          Fixes issue where CMM initiating a FW update would disable IP stack (Blades)
-NONE:          Added stub handler for failover command to prevent accidentally getting
-               blade's uboot into a bad state.

-NONE:          The PECI docment had misleading information about thread ID construction,
-               resulting in incorrect handling of all core MSR dumps.  The thread ID is an
-               absolute value, not a bit field mask.
-               As a result, "all core MSRs dump" will now work as intended.

SPRD 2.1.1.5.7: SEL should include DIMM event source -- this was not functional. It has been added
-               to the extended SEL information (see the EPS).


-EPSD100014368: Jefferson Pass and similar platforms share one pSoC with two BMCs. Now, only one
-               of the two BMCs will have access to pSoC hardware, and will share the other data
-               with the peer BMC using an OEM IPMB command.
-               This was initially discovered as a spurious "HSBP PSOC" Sensor in the SEL after
-               a system was idle for several minutes.
-EPSD100014472: in the Web Service, FRU Page loading was very slow.  We now first check the validity
-               of device 0, and if it is valid, we use a direct read, otherwise falling back to the
-               standard method. This addresses some of the situations which were causing that issue.
-EPSD100015654: Will now generate correct email advisory (if SMTP/Alert Table/PEF are configured
-               correctly) for PSU Fan 3 or 4 failures.  
-EPSD100015865: see also EPSD100014368
-EPSD100016082: also see EPSD100017257; Changed Get LAN Configuration to return the IP Source which
-               was passed to the IMPI stack.  Cleaned up transition from Dynamic to Static in IPv6.
-               As support of fix for Unable to Change BIOS Setup - Server Management Screen, changed
-               safe_system() calls to ext_safe_system() calls, for thread safety and to protect from
-               safe_system() returning before command completes.
-EPSD100016506: the NCSI driver looks up the virtual interface for ethernet packets based on MAC
-               address, and was formerly sending broadcast packets only to eth0 and not eth2.
-               For broadcast packets, it now clones the SKBs and forwards the packets onto all
-               virtual interfaces. (This bug was preventing eth2 from being given a DNS address from
-               a DHCP server.)
-EPSD100016288: IPMBMessageNew() was not correctly handling incorrect response data from the
-               GetTemp copmmand.  This has been corrected - the response length is now checked.
-EPSD100016591: BIOS controls the virtual serial port bit rates and BMC cannot modify them (in Romley),
-               so IPMI now reports an appropriate info parameter (Nonvolatile Bitrate) and issues an
-               appropriate error when attempting to set through IPMI.
-EPSD100016625: RMM4 Speed LED behavior has been changed to match new Beta motherboard speed LED
-               behaviors (and to match the HW Spec.)
-               Now, Green==1Gbps, Amber==100MBps, Off=10MBps.  
-EPSD100016858: also see EPSD100222996
-EPSD100017005: CCB directed addition of additional Video Ram in some products to permit higher-resolution
-               video modes.  Changes to videocap driver to allow larger resolutions for rKVM.
-               (Can now change to 1280x1024x32 under Windows 7 or Windows 2008 R2.)
-EPSD100017043 see EPSD100016591
-EPSD100017092 see EPSD100017005
-EPSD100017110: On web interface the virtual front panel was not in synch with the real front panel
-               when a generic fault occured e.g. a power supply fault.  This has been corrected.
-EPSD100017221: All 24 DIMM Fault LEDs should now be used to display memory error information
-               instead of only using the first 16.
-EPSD100017275: Pending Task logic modified to accumulate network changes until no new changes have
-               come in for 100mSec.  Without this change, the addition of a third LAN channel and
-               IPv6 protocols had increased the time required to configure network interfaces to
-               over 2 minutes; the configuration process now takes less than 15 seconds.
-               Network configuration is also done using ext_safe_system() with 30-second timeout
-               for thread safety issues.
-EPSD100017312: also see EPSD100017110
-EPSD100017584: LincolnPass Lan2 support: Status LED will now go amber when a VRD Hot event occurs.
-EPSD100017615: Previous AMI fix to re-read the SEL was not closing the
-               temporary IPMI session, eventually causing too many open sessions
-               failure.  This has been corrected.
-EPSD100017813: System was not powering down after VR Watchdog timeout. Previously, power on/off was
-               keyed off the SYS_PWR_GOOD# signal. This has been changed to use the power supply
-               PWR_GOOD# signal.  Systems should now correctly handle VR Watchdog timeout.
-EPSD100017984: Some servers were shipped without having the public key programmed into the factory image.
-               With BMC 24, the executing image is expected to have a valid public key.
-               If the public key is missing, the configuration is considered invalid, and no firmware update is allowed.
-               Added code that checks for a blank key region, and programs in the production public key if that is encountered.
-               BMC should now be able to update correctly when presented with an image which has no public key.
-EPSD100017985 see EPSD100017984
-EPSD100018022: Help text in the web interface "User add/modify" page has been corrected to give the
-               IPMI 2.0 values; passwords can be 0 to 20 characters in length and the help text will
-               now reflect this.
-EPSD100221307: Decoding for OEM Reserved SEL events has been implemented.
-EPSD100221653: 'Get CPU and Memory Temperature' IPMI command can return 0xFD, 0xFE, and 0xFF for
-               special error cases.  Those error cases should initiate a limited retry situation.
-               This was causing spurious DIMM Thrm Mrgn Critical errors in systems left running
-               long enough to see the error cases.  This should no longer happen.
-EPSD100222996: SNMP and SMTP alerts will now be generated for Power consumpation exceeding NM policy settings
-EPSD100223639: BMC Watchdog Timer should now stop at UBoot after a fourth timer event causes BMC Reset.
-EPSD100223672: A technical issue in the mapping between platform Product ID and differences in
-               Platform Enumeration values (SKUs) resulted in the necessity to create special builds
-               to support different Platform Enumerations.  The start code has been modified to support
-               changing this, but the actual implementation of separate SDRs by Platform Enum is being
-               held until next release to allow for more in-depth testing.
-EPSD100224075: PEF Capabilites Flags changed to indicate that diagnostic interrupt support is NOT
-               provided, as specified by the Romley EPS.  
-EPSD100224272: also see EPSD100016082
-EPSD100224275: Global SEL Enable/Disable was being ignored by the sensor monitor. This has been corrected.
-               Events will still be logged for Platform Events (i.e. events received over the system
-               interface) as required by IPMI 2.0 spec.  However, internally monitored events will not
-               be logged.  Note, some system entities (Management Engine, BIOS) are able to autonomously
-               re-enable event logging, and may be configured to do so.
-EPSD100224276: multiple SNMP traps will no longer come from one event.  When two or more event table
-               entries have the same severity, the lowest numbered entry should trigger the PEF,
-               per IPMI 2.0 section 17.13.
-EPSD100224277: Allow EWS to disable IPv4 Lan Channel via setting to 0.0.0.0 as static IP. EWS was
-               incorrectly preventing this.
-EPSD100224290: Failed graceful shutdown through the Web interface should not result in irrelevant
-               messages about checking feature cables. (The Romley architecture does not support
-               those cables/connectors.)
-EPSD100224293: Incorrect power state shown after failed graceful OS Shutdown has been corrected.
-               The BMC Web Page will eventually auto-refresh with an additional error message.
-EPSD100224310: see also EPSD100224428 
-EPSD100224377:  Event Log Page in web interface should now give the error descriptions for BIOS POST errors.
-EPSD100224418: Power Supply Fan Speed control was disabled by debug code which has been removed with this release.
-EPSD100224428:  Add limits to the firmware update lock so that other processes aren't starved and
-                the watchdog timer doesn't expire.
-EPSD100224446: Incorrect configuration error offset was being logged with power supply status errors,
-                resulting in slow PSU FW initialization.  This has been corrected.
-EPSD100224488: BMC would sometimes show a BIOS ID in the webpage when the BIOS chip was missing.
-               This was because the restore-defaults operation did not clear BIOS ID nor SMBIOS
-               information. The command will now mark that information for deletion/refresh.
-EPSD100224515: Valid OEM commands will now return their own completion codes, not those of
-               previous invalid commands.
-EPSD100224631: PowerSupply Cold Redundancy is now configured to prevent a rotation period less than
-               1 day and more than 6 months, per CRPS documentation.
-               Attempting to set outside those limits will mean IPMI will return the 0xCC completion code.
-EPSD100224794: Attempting to delete multiple users would sometimes decrement the
-               user counts to go to 1 when there were still more users, which
-               prevented deleting users after a certain point.
-               An additional bug involving change of user access could
-               result in the number of users being 0, which can cause MsgHandlr to
-               hang, or in expecially degenerate cases, to abort and restart the BMC.
-               This has been corrected; you should be able to add the full number of
-               users via the web interface (up to 15) then delete the last 13, without
-               causing any kind of failure.  There will always be two users defined, one
-               being root, the other an administrator user.


00.24.1954

-none:          Several fixes have been made to the build process, and GPL headers were replaced
-none:          Several fixes have been made to the build process, and GPL headers were replaced
-               in files where they were missing from imported source.
-none:          /etc/network/ifstate was a broken link to /var/ifstate, which is actually in
-               /var/run/ifstate.  Link fixed. (Unknown whether this was causing any problems
-               but fixing broken links is always good.)
-none:          For King Island, disabled PECI PCIe map creation since blade configuration is static.
-none:          For King Island, disabled reboot after detecting new MAC addresses.  Blade
-               systems do not need to do this reboot.
-none:          Updated FCD/Shipping SDR of Canoe Pass to version 23
-               Updated FCD/Shipping SDR of Crown and Iron Pass to version 11
-               Updated WashingtonPass FRUSDR to version 03 
-none:          PCA9546 initialization was moved to a different function, to support correct
-               Get IOM Temp sensor reading in all circumstances.

-EPSD100016506: redux - Fix for Static IP Configuration (in 00.23) introduced a regression, and
-               has been reverted to previous behavior for now.

-EPSD100016322: The Exit Air Temp sensor is highly sensitive to power consumption and fan PWM
-               readings. Since PWMs can lag behind power state changes by several seconds
-               (especially during DC-on), delaying readings prevents false positive threshold
-               events for this sensor. The SDR will also need to activate averaging for this
-               sensor as well. To be checked-in independently.
-EPSD100016351: CATERR sensor SEL event has been incorrectly recorded as a Thermal Trip Critical
-               event. This will now record the correct kind of event.
-EPSD100016423: Timing correction for sensor checks during power-down. VDD_PWR and OnCtrl were
-               treated as simultaneous by scan, but do not actually happen at the same time in
-               hardware. Will now wait for one second after OnCtrl assertion before checking
-               for VDD_PWR to be asserted, and wait 2 seconds before checking for Vccp after
-               system power on.
-EPSD100017083: IO Module Presence events were being logged multiple times. This is because the
-               sensor was defined as manually armed but was implemented as auto-rearmed.  The
-               PreRearm callback has been changed to permit only manual re-arm.  This fix also
-               corrects a similar problem with the SAS Module Presence sensor.
-EPSD100017106: see EPSD100017312
-EPSD100017234: see EPSD100017312
-EPSD100017312: Status LED in the virtual front panel was not being automatically refreshed.
-               It should now be auto-synced with current status LED, and auto-refresh with
-               default of 40 seconds.
-EPSD100017375: Corrected code that was preventing any change of password for anonymous user.
-EPSD100221414: see EPSD100221418
-EPSD100221417: Intel-specific data was being included in the non-INtel system diagnostics
-               file; this has been removed.
-EPSD100221418: Same filename was used for Intel and Regular system diagnostics zip files.
-               They now go to different filenames as expected.
-EPSD100223290: see EPSD100223879
-EPSD100223582: EWS SEL display page was not showing complete info for some BIOS SEL events.
-               Should now show specific DIMM, CPU, and PCIE information for all DIMM, CPU,
-               and PCIE faults.
-EPSD100223594: see EPSD100223879
-EPSD100223879: HSBP Firmware revision 00.10 and BMC updated so that HSBP firmware corruption
-               is detected and corrected. This also fixes bugs reported as HSC firmware crash
-               unrecovered, and BMC Firmware health sensor detecting that it cannot talk with
-               HSBP sensors.  
-EPSD100224021: PEF Event (Action) will now create appropriate system event log entries when PEF
-               logging is enabled.
-EPSD100224043: The BMC was crashing after Resolve IP address OEM commands due to interations.
-               Fix: arping can now receive ARP responses via shared NIC, arping can now receive
-               SIGALRM when called by MsgHndlr, and retry of Resolve IP OEM command reduced to
-               avoid cmdtool timeouts.
-EPSD100224045: BMC (IPMI channel getciphers command) was incorrectly reporting that all cipher
-               suites described in IPMI 2.0 spec were supported, when in fact only the ones in
-               the BMC EPS are supported.  The command should now provide a correct list
-               (11 vs 16 suites.)
-EPSD100224288: Message for repeated attemtps to gracefully shutdown the system has been changed
-               to request that the user wait for the shutdown to complete when it is in process.
-EPSD100224297: BMC was resetting due to buffer overruns when Read Platform Debug command was
-               issued with invalid offset and/or lenght.  These values are now verified before
-               the command is executed.  
-EPSD100224300: PCIDE debug dump was failing at various BDF because the PECI completion code was 
-               returning one of the 'done' states. Instead, it will now wait for the ME error
-               code to be returned.


00.23.1884

- none     For King Island, will now check correct device names to see
-          if Fab1 configuration should be initiated.
- none, possible link with EPSD100223290.
-          False positive Management Subsystem Health errors were logged
-          for PSOC disks. Management Subsystem Health scans are now disabled
-          during update and initialization of PSOC disks.
- none     JeffersonPass SDR updated to version 17
-          update Canoe Pass FCT and Default SDRs to version 22.
-          King Island, updated SDR to match latest CP SDR, removed unnecessary syslog
- none     Corrected some (unspecified) problems with WashingtonPass porting.
- none     Backed out code that was introduced solely for desk-top debug and development.
- none     Set GPIO Port 14 as GPIO with write to PINMUXCTL in GPIO_init.
-          This ensures that when gpio port 14 is read later, that the
-          slot id is correct.  This is a partial fix, will follow up to
-          determine why a read immediately following configuration of the port
-          does not return the correct pin status.

- EPSD100015109 see EPSD100015109 
- EPSD100015805    Incorporated rMedia fixes from AMI. Option USB Key emulation type
-          "Hard-Disk" was not working. Remounting virtual device would sometimes fail.
-          Fix was included to address this.
- EPSD100015886 see EPSD100016730
- EPSD100016324 see EPSD100015805
- EPSD100016574    ME version info is not available in EWS for Operator and User privs so
-          could not be displayed.  This information is now cached for the web service.
- 
- EPSD100016585    Fixed 'user' level permission items on Alerts webpage.
-          The alert configuration web page was attemtping to use operator and admin
-          commands when a 'user' level username was logged in. While these didn't
-          succeed, they returned cryptic error messages. Per IPMI spec, 'get PEF'
-          commands may be used by operator and administrator privilege users.
-          The 'set PEF' commands are admin-only. 'User' level users may not view or set PEF parameters.
- 
- EPSD100016657 see EPSD100016730
- EPSD100016692    Web service was showing bogus errors in BIOS update, due to shifting error. Fixed.
- EPSD100016716 see EPSD100016730
- EPSD100016730    Added fix for spurious "PWR Unit Redund" events which were showing up due
-          to an i2c bus-7 transaction error.
- EPSD100220118    With media redirect (RKVM) the mouse was hard to control during SLES installation.
-          Added a new mouse mode, "Other", for this situation.
EPSD100220999 see EPSD100016591 
- EPSD100221392    BMC EWS: System diagnostics were failing to run, after few days. Changed to use
-          extended safe system call which can survive long timeouts.
- 
- EPSD100223447    Updated for config error - PSU mismatch with DPS 750W version 5.x.70
- EPSD100223485 see EPSD100223593
- EPSD100223499    BMC was showing wrong GUID after continous execution of GUID command;
-          value was not cached in "permanent" memory so wasn't persisting across BMC reset.
-          It should now remain unchanged across resets.
- EPSD100223593    Updating HSBP firmware was failure-prone on platforms with more than 1 HSBP.
-          The PSOC chip has a timing issue that it will pull down the SCL_DAT line always if
-          BMC access it too quickly. BMC has timing fixes to correct this behavior and to
-          improve performance HSBP management threads in general.
- EPSD100223642    HW Watchdog events were not providing appropriate SEL log.  This has been fixed.
- 
- EPSD100223818 see EPSD100223593
- EPSD100016059    PSU Watts values as displayed by EWS and IPMI were different, with scaling
-          and offset from the SDR. These are now correctly acquired for the 1200W and 750W PSU's.
- 
- EPSD100016506    With more than one NIC on the same network, when one NIC lost its link, there
-          was an appx half chance that stale routes would be left, causing the live NIC(s) to stop
-          working.  Monitoring link status now so that NIC without link can be deconfigured after
-          a timeout period.  This allows the live NIC to continue and cleans up stale routes.
- EPSD100016555 see EPSD100016506

00.22.1814

- none     Should now be able to use a domain PWM of a fan domain as an
-          input to another domain.  
- none     FOR KING ISLAND: VLAN id should no longer be overwritten in /conf
-          after reboot.
- none     FOR KING ISLAND: Fixed direct PECI to work for multiple commands,
-          and added remaining sensors.  (Blade-specific)
- none     LAN CloseSession() session ID 0xffffffff now means close _all_ sessions
- none     Several blade sensors were not readable without code in
-          platform.c. Added premonitor stubs to prevent the sensormonitor
-          from accessing the sensor HAL for these sensors.
- none     The calculation for an aggregate sensor value will now treat the margin
-          reference value as a signed number when the sensor is signed.
- none     Updated FCT/Shipping SDR of Granite Pass to version05.
-          Updated FCT/Shipping SDR of Canoe Pass to version 21.
-          Updated JeffersonPass FCT/Shipping SDRs to V16
-          (Note, the FRU/SDR files provided as a convenience to testers in
-          the test-release package may or may not have the most recent
-          FRUSDR but the factory build will have the most recent checked
-          in version.)

- EPSD100013152
-          Corrected filtering of events from the ME, so that unavailable
-          readings will be ignored as expected.  This should eliminate
-          spurious "SSB Temp Sensor " events on reboots.

- EPSD100014074
-          There should now be a SEL entry generated when there is a FW update failure.
- EPSD100014472
-          Some webpages were identified as loading "slowly".
-          In this case, Subjective "slowness" was caused by a
-          non-responding ME.  Removed second IPMB bridge message
-          for non-responding satellite controller sensors. This
-          should save ~5 seconds on a sensor load for each
-          non-responding sensor. Also protected against the corner
-          case where a satellite controller doesn't respond to a
-          request, and we start another request within 5 seconds.
-          This was causing extremely rare segfaults in the web server.
-          Also, fixed a potential memory leak.
- EPSD100014837
-          Support added to permit more than the two commonly available
-          NIC IP addresses to be edited via the Web interface's LAN
-          configuration page, when there are more than two LAN interfaces.
-          (For LincolnPass, there is a second baseboard Lan, LAN2.)
- EPSD100015525
-          VRD Hot Event was mis-identified as non-Recoverable in the code,
-          was changed to Non-Critical per the EPS/EAS.
- EPSD100015628
-          Includes latest image for 750W and 460W PSU (includes
-          READ_EIN + PSU Mimatch fix) and modified the Set PSU
-          command parameter issued to Node Manager as a workaround
-          for a Node Manager issue where it incorrectly ignores whether
-          PSU 3 - 8 address is set to non-zero; Node Manager expects
-          12 bytes for Set PSU configuration (send psu address 0 for
-          PSU 5 - 8) Includes a timing correction, so that PSU
-          configuration will be set, even after DC cycle etc.
-          Tested against BIOS release 32.
- EPSD100016283
-          A workaround has been provided for abnormal voltage sensor
-          (0xD7) SEL generated during DC cycle testing.
- EPSD100016305
-          CPU Throttling events are sometimes not seen in the SEL
-          when the CPU Thermtrips. If The CPU temperature rises to the
-          Thermtrip point quickly, the upper threshold crossings of the
-          Therm Ctrl % sensors might not be seen by the sensor code. The
-          code now forces SEL entries for those sensors on a ThermTrip
-          assertion if they have not already asserted.
- EPSD100221652
-          Corrected Grizzly Pass SDR to specify correct sensors for 
-          Mem VR Hot and to specify correct FSC fan speed curves, per
-          FCS thermal spreadsheet version 5.6
-          This should correct unexpected events during overnight tests.
- EPSD100222120
-          BMC now filters the Inlet Air Temperature (and other temperature sensors)
-          to limit the value returned from IPMI Get OEM Reading commands
-          to the Node Manager, which can only accept ranges of 0-100.
-          This prevents spurious Node Manager readings, but also
-          introduces a level of inaccuracy due to the Node Manager limitation.
- EPSD100222897
-          To prevent spurious DIMM thermal margin sensor asserts due to a bad
-          non-zero threshold value returned from the ME PECI Proxy (caused by
-          an incomplete DIMM Configuration by the BIOS during system power-on)
-          the BMC will now wait until the BIOS completes setting up DIMM and
-          sending the DIMM Configuration to the BMC before the BMC queries the
-          DIMM threshold value.
- EPSD100222995
-          Status LED was solid-on amber when fans failed in a
-          full-redundancy chassis (conflict in specs.)  This
-          has been changed to a blinking amber.
- EPSD100223298  see EPSD100013152
- EPSD100223452
-          Fixed initializations so that PSU redundant sensor reading during
-          DC OFF will be 0xA rather than 0x12.
-          Corrected handling of ABORT by i2c controller so that PSU redundant
-          sensor reading will now be 0xA rather than sometimes changing to 0x1.
- EPSD100223622
-          Fixed a possible LPCReset thread deadlock situation.
- EPSD100223623
-          BMC builds a PCIe mapping table during system power-on. It is
-          used for speeding up the PCIe dump later if needed. This table
-          construction no longer continues after system power-off is detected.


00.21.1758

- none:
        Incorrect Voltage sensor code and web display of power statistics for Washington Pass fixed.

- none: Added a method for communicating detailed BMC status to the BIOS via
        general purpose mailbox registers.  THIS WILL REQUIRE BIOS CHANGES TO TEST
        - the BIOS does not yet support this functionality.
- none: BlackBear Pass platforms should no longer crash when running the BMC IPMI
        stack just because of the platform.
- none: Canoe Pass Factory and Shipping SDR updated to version 20. (IN CODE)
        NOTE: has not changed in Utilities because internal release site has not been updated.
        Therefore FRU/SDR zip file provided with Canoe Pass in this release has 18 in it.
- none: Updated Crown Pass and Iron Pass factory and shipping SDRS to version 09 (IN CODE)
        NOTE: has not changed in Utilities because internal release site has not been updated to 09.
        Therefore FRU/SDR zip file provided with Crown Pass in this release has 08 in it.

- none: Code didn't support OEM command to get current TDC.  Support has been added.

- none: Enabled gcc optimization option "-O1" for cyrpt library, which can speed up BMC image validation time.
- none: Fixed issue on King Island where the SDRs weren't getting updated to the SDRs
        in the new FW image after a FW update.
- none: For blades, allow direct PECI commands again. PECI passthrough behavior should remain unchanged.
- none: For Crown Pass, Granite Pass, and Iron Pass systems, the SAS/ROC temperature sensor
        should now be at the correct address (0x2D)
- none: Porting fixes from kernel 2.6.39.3 to handle memory leaks for IPv6 packets when IPv6 is disabled.
- none: (may be related to EPSD100223294) EWS should now be able to parse the firmware update OEM SEL log.


- EPSD100013597 see fix at EPSD100014056
- EPSD100014056: BMC should now be able get PSU blackbox data without failure.
                 (it was miscounting bytes in the protocol)
- EPSD100014145: The BIOS version string has been null-terminated, which should allow it to be displayed now.
                 It should show correctly on "System Information" web page entry when it's available.
- EPSD100015434:  see EPSD100015915
- EPSD100015542: Incorporating AMI fixes for rKVM relative mouse mode under RHEL 5.x
- EPSD100015628: do i2c bus recovery, when bus is in Hang state, even if it is not by us (BMC)
- EPSD100015854:  see EPSD100015915
- EPSD100015865: Changes to JP FRUSDRT to allow it to getHSBP temperature sensor correctly
- EPSD100015886: see fix at EPSD100015628
- EPSD100015915: Abnormal SEL clear and timestamp during DC/AC cycles should no longer occur.
- EPSD100016036:    See fix at EPSD100223074
- EPSD100016073: Increased the buffer length, to store the version string This should ensure
                 that the SDR Package Version does not show "SDR Package 0." in EWS.
- EPSD100016081: see fix at EPSD100016073 
- EPSD100016090: see fix at EPSD100016073 
- EPSD100016192: The HSBP FRU data should now be retained across AC power cycles.
- EPSD100221257: The DIMM thermal trip sensor (0xC0/0xC1) should now monitor when in standby mode by default.
- EPSD100221639: PEF task crashes should now be fixed:
                 Incorrect email address combined with multiple SMTP requests could cause socket-open delays.
                 Since the WDT timeout is 45 seconds, and SMTP can wait 30 seconds, a border case where a
                 socket-open was attempted at the 15 second mark, plus a 30 second timeout would hit the
                 45 second total limit.
                 Solution was to put SMTP functions into their own threads as the requsts were processed.
- EPSD100221946: Updated both Default and FCT sdr files for Grizzly Pass to bring it up to the latest FSC
                 spreadsheet version (5.5). Also added the new FRUSDR package for Grizzly Pass (S2600GZ_06).
                 Note that this change also incorporates the new Naming convention for FRUSDR packages.
                 To fix the LAN NIC Temperature anomaly, filtering is now enabled for that sensor in the SDR files.
- EPSD100222730:  see - EPSD100015542
- EPSD100222794:  see - EPSD100221946
- EPSD100222935: Added a mutex to lock out the exit firmware transfer mode command while the flash is being
                 programmed.  This will protect from the most common timeout-induced problems.  
- EPSD100222975: Correct logging so incompatible power supplies will cause the expected error to be logged.
- EPSD100223074: DHCP Lan config for secondary devices should now be retained when LAN failover is enabled.
                 Changes to LinkMonitor functions on blade platforms to cause ethernet devices on second
                 tulop mux to start up as eth0 and eth1 instead of as eth2 and eth3.  Ignores link status changes.
- EPSD100223105: see the fix at EPSD100222975
- EPSD100223110: Web Console should now allow passwords of length less than 8 characters, even 0.
- EPSD100223126: see fix at EPSD100016073
- EPSD100223145: TAM has been extended to support BMC warm reset.  It can be accomplished as follows:
                 (1) stop the TAM module; 
                 (2) clean up any existing alarms before removing TAM mapping tables;
                 (3) remove all TAM mapping lists;
                 (4) restart the TAM module if new SDR contains at least one TAM SDR record and the TAM
                     module is physically connected.  
- EPSD100223159: Issue:Send Embedded FWupdate status should now be supported in SMM interface.
- EPSD100223170: related: EPSD100223014
                 To prevent a problem which was occuring with the umount command under certain circumstances
                 involving BMC update, when umounting /conf, firmware update function will now force it to
                 retry five times even when it succeeds.
                 (This is because it was sometimes returning false successes.)
- EPSD100223254: System Information, Sensor Reading, and Virtual Front
                 Panel were performing automatic polling every 60 seconds, preventing websession timeouts
                 from occuring when the browser was pointed to those pages.  The webserver now knows to
                 ignore the polling when checking for the timeout.
- EPSD100223294: SEL with undefined event reading types should no longer have leftover information from
                 the previous event in the undefined area.
- EPSD100223342: Adding users via Web interface no longer loses users.
- EPSD100223343: Zero-length UDP packet should no longer cause IPMI/RMCP socket to close forever until BMC reset.
                 Should be able to send 0-length UDP packet and still do "ipmitool ... raw 6 1" successfully, etc.
- EPSD100223344: Serial Over Lan with RedHat 5.3 client at 9600 baud was sticking due to improperly nice() interactions.
                 Transmission will now start even if the transmit buffer is empty, rather than waiting on pending
                 interrupts that may or may not ever come.
                 Priority changes are also moved outside the critical area so they don't insert a potential 'clear'
                 of those interrupts.  This means SOL should no longer hang randomly but inevitably at this data
                 transmission rate.  

00.20.1680

- none:            some no-longer-used security code is now disabled in all platforms.
- EPSD100219721:   Multiple DHCP instances running cause inability to revert to static
                   IP. Prevented changing BMC Lan IP source via BIOS or IPMI command.
                   No longer running multiple instances, problem has been verified fixed
                   in unit test of this build.
- EPSD100223014:   Restore of BMC settings has been moved to BMC reboot, since unmounting
                   the configuration directory to permit changes to be activated, cannot
                   be done while it's in use, and it's in use while the BMC is running.
- EPSD100222935:   BMC was sticking in validating state.  This was due to an interaction
                   with the fwpiaupd tool (which had an unexpectedly short timeout) and
                   the firmware transfer status not being correctly updated when SHA256
                   validation of correct transfer failed.  This has been fixed in the BMC
                   and should be tested with fwpiaupd.efi LATER than 11.3, when that
                   becomes available.


00.19.1673

- EPSD100013106:    Get DIMM Information IPMI OEM command should now return a correct completion code when
-                   a DIMM slot is empty.
- EPSD100013269     SEE FIX AT EPSD100220255
- EPSD100013589     SEE FIX AT EPSD100220255

- EPSD100014145:    BIOS ID should now be readable under system information after DC-on completes
-                   all updates.  There may still be short intervals where the value is undefined.
- EPSD100015469:    The BMC WDT feature requirements state that the BMC watchdog feature will only
-                   allow up to 3 resets of the BMC CPU (such as HW reset) or entire FW stack
-                   (such as a SW reset) before giving up and remaining in the uBOOT code. Reset
-                   count was allowing 5, has been corrected.
- EPSD100015643:    Added feature for Swiftcurrent Pass DCMI to dynamically check for secondary
-                   LAN channel support; this corrects an issue with Get DCMI Capabilities command
-                   returning an incorrect value.
- EPSD100015644:    added severity table entry to HSC status sensor type.  Should now report
-                    health of HSC status for EWS use.
- EPSD100015841:    Restricts ADMIN operations (i.e. Get Power Statistics) to Admin, no longer permitted
-                   for OPERATOR or USER roles.
- EPSD100015917:    DIMM thermal margin sensors should no longer issue spurious critical events during
-                   DC power cycle.  NOTE, legitimate critical events should still be logged as expected.
- EPSD100220255:    fixes for KVM incorporated from AMI - Show/Hide Cursor should now work
-                   the same for LINUX users, the mouse in relative mode should work correctly
-                   for LINUYX, the BMM/RMM WeboConsole should be able to redirect USB drives,
-                   DVDs, and ISO images using Windows7 with IE8.  
- EPSD100221049:    SMASH-Lite wasn't updating the list of SEL records in real-time, instead creating a static
-                   list when user logged in.  Especially noticable when user cleared the SEL using SMASH. 
-                   This should now show the single SEL entry for 'entries have been cleared' once the user
-                   clears the SEL using SMASH.
- EPSD100221369:    Porting fix to Romley: BMC user SOL Payload enable/disable status should now
-                   persist across BMC reset
- EPSD100221945:    Various GoAhead Webserver fixes have been applied to address unexpected crashes, due
-                   to memory leaks, infinite loops, bad fd_mask size, and unexpected segfaults.
-                   This MAY correct the reported apparently-random webgo server crashes.
- EPSD100222041:    Enabling BMC TAM was causing BMC crashes due to infinite loops.  This has been
-                   found and fixed; updating TAM SDR's using FRUSDR then resetting the BMC should
-                   no longer result in BMC crashing.
- EPSD100222747:    [UT] Memory and CPU power policy set in EWS could not easily be deleted due
-                   to mistake in array index. Fixed; should now be able to delete NM Policy.
- EPSD100222892:    BMC FW Health SEL events should now be logged correctly when HSBP sensors are
-                   unavailable. When SDRs have been loaded for BMC FW Health and HSBP temperature
-                   and/or disk-status sensors, if the HSBP is disconnected (or otherwise fails) the
-                   BMC FW Health sensor should issue a SEL log for the HSBP sensors being unavailable.
- EPSD100222897     SEE FIX AT EPSD100015917


- HSD tracker # 1319684 - Rose city CRB:
-                   KCS driver would intermittently add an extra byte in KCS read when operating
-                   under heavy stress, such as ME FW update.  This was causing issues which were
-                   identified in SampleUpdateTool tests.  Fixed to prevent the protocol from
-                   performing specific operations except in ISR context. ME FW update should now
-                   operate flawlessly from protocol level.

- none:             checked in missing files to make jviewer jar files work, and reverted change
-                   in select time function to match Thurley implementation.
- none:             Removed unnecessary Get Device ID response data manipulation for blades from UBOOT.
- none:             fwpiaupd.efi was timing out when validating images due to long setup times
-                   (> 1 minute).  At least 20 updates may be required to show whether this
-                   problem is occurring.  Timing was modified to be under 1 minute.
            NOTE: This will need to be added to ongoing validation tests.

- none:             A legacy kludge was allowing Get Device ID from OpCode in fw xfer mode to
-                   return a truncated response.  This is out of spec and can mislead external SW
-                   into acting as if the boot block was executing.  The response will now be
-                   the complete information normally returned (including aux info) and will return
-                   OpCode Major/Minor while OpCode is running.  fwpiaupd.efi should still operate
-                   without issue.
- none:             FSC was not recognizing PS Fan faults for discrete Fan sensors.  PS Fan Sensors were
-                   showing unavailable for Event Reading types 0x06 for those systems which use Event
-                   Reading Type 0x03.  Generalized so that FSC recognizes both 0x06 and 0x03 for Reading Types.
- none:             The OEM AddSel command would allow less data to specified in the command than was set in
-                   the first extended SEL byte. Fixed the code to check for not enough data in the command
-                   to match the number of valid data entries specified in the first extended data byte.
-                   If insufficient data is provided, the command should now return 0xCC (Invalid Data Field)
-                   completion code.
- none:             Code clean-ups have been applied for several issues discovered by an automated analysis tool.
- none:             FSC CLAMP headers were being ignored if their unique ID was greater than 0x7F.
-                   They should no longer be ignored.

00.18.1612

- EPSD100014081: Resolved error 204 in EWS when disabling lan failover while selecting
-                channel 3 or 8 in the dropdown (Can't enable LAN failover in BMC web
-                console).  Failover is now disabled first before attempting to set
-                properties for the non-primary channel. 
-   UNRESOLVED:  reconnecting to EWS after entering a static IP for channel 3 or
-                channel 8 in the lan failover menu may fail. Workaround is to ping
-                from the BMC debug serial console.
- EPSD100221631: SSB Temperature Sensor was asserting critical with system power off,
-                due to an error in the MDS entry. This has been fixed on the BMC side
-                but will also require an update to an SDR package which has the
-                Power Supply fan sensors as discrete rather than threshold.
- EPSD100014859: BIOS ID display should now be shown in the EWS under System Information.
- EPSD100015422: Refresh rate for VFP has been changed from 3 minutes to 40 seconds,
-                and the useless NMI button has been removed.
- EPSD100014338: Pressing "reset" in the Virtual Front Panel should no longer force the
-                system to reset to the BIOS setup screen.
- EPSD100221851, EPSD100221626:
-                CLTT DIMM offset data will be preserved across BMC resets.
- EPSD100015182: for LincolnPass, MDS file now allows correct voltage display via web interface
- EPSD100015382: for LincolnPass, removed unnecessary assert/deassert events for BB+1.1V STBY after AC cycle
- EPSD100015572: for LincolnPass, removed unnecessary assert/deassert events for Voltage BB+5.0 after AC/DC cycle.
- EPSD100015408: Per EPS Modification request: Status LED will go solid blue or solid green, as 1Hz blink is not
-                supported in hardware.  Status LED will show solid GREEN during DC Off state as per EPS.
- EPSD100015334: Web interface should now display/suppress appropriately based on sensor severity for non-BMC sensors.
- EPSD100014368, EPSD100015027, EPSD100015024, EPSD100015026, EPSD100220824,
- EPSD100221346, EPSD100221628, EPSD100014016:
-                GPIO/HDD status sensor interactions will no longer provoke multiple SEL events during power-up.
- EPSD100015650: Status LED should remain green during DC Power Off
- EPSD100015642: for JeffersonPass, several DC power-cycle testing issues have been corrected or first-caused.
-                I2C bus hanging was corrected by replacing the bridge board.
-                System power-off was corrected by adding more fans to the test unit to prevent thermal events.
-                ME Not Ready was found to be due to insufficient wait before trying PECI ping.  This has been
-                modified in the test
-                A separate tracker was filed for PECI Ping() not ready after 1-second wait after DC-On.
- NONE: Added memory and filehandle monitoring tools watchmem.sh and lsof. *To be run by developer manually.
- NONE: Added arp utility for table management; added gratuitous arp to expedite connection when failover is disabled.
- NONE: Adjusted Intel DIB location to prevent overlap with other data structure in non-release builds.
- NONE: Added beep code (pattern 1-5-1-2) per EAS, for VR Watchdog timer timeout. Set timeout to 500mS per EPS.
- NONE: corrected race condtion between GetLanFailover and GetLanChannel requests to BMC. Refreshing network config
-       pages with failover enabled should now display correct options.
- NONE: Removed 'nopc' option for firmware update, since post-R16 builds do not need this feature.
- NONE: Added Copper Pass platform support.
- NONE: Now sets proper Status LED state when multiple simultaneous failures occur.
- NONE: Adding preliminary support for LizardHeadPass platform
- NONE: Replaced King Island compile-time overrides with runtime overrides, corrected SDR string
-       length of KI Hot Swap sensor, disabled FRU/SDR write/modify commands which are not required
-       for blade platforms. 
- NONE: Added syslog for when a blank public key is detected.  This helps identify whether the public
-       key has been modified for BMC development.
- NONE: Added "Slot ID" sensor (number 0x6D) for blades. 
- NONE: changed 1.1V standby to 1.1V non-standby mode for Granite Pass (SSB does not support standby)
- NONE: changed 1.1V standby sensor monitoring mode to non-standby for Crown Pass (does not support standby)
- NONE: changed 1.1V standby sensor monitoring mode to non-standby for Iron Pass (does not support standby)
- NONE: modified file headers to use standard intellectual property/license headers.
- NONE: Corrected GPIO table of Granite Pass.
- NONE: Updated Factory/Shipping SDR for Granite Pass to version 3.
- NONE: Updated Swiftcurrent Pass default and factory SDR per sys config table 2.1
- NONE: Updated Factory/Shippiing SDR of CanoePass to version 18.
- NONE: Updated Factory/Shippiing SDR of CrownPass/IronPass to version 08.

00.17.1552

- EPSD100011518: Voltage /BB +1.1V STBY (#0xDD) lower non-critical event logged
      during system boot up for Canoe Pass and Washihngton Pass platforms.
      Symptom: BB +1.1V STBY lower non-critical SEL while system reset 
- EPSD100013106: "Get DIMM information" IPMI OEM command returned wrong completion code.
- EPSD100014784:
      Asserted and Deasserted events will now be logged for BB+1.1V
      STBY after AC cycle of the system
- EPSD100221807: When modifying existing user, no CALLBACK privilege can be chosen.
- EPSD100221588:
      Added NM suspend period command support to web server.
- EPSD100220597:
      Changed LED blink rates.  When BMC is running in u-boot, ID LED
      should blink at 3Hz, and Status LED should blink at 1Hz.
      Note, CanoePass does not use gpio_22 for status LED, instead, it
      uses serial gpio port5/pin0.
- EPSD100221966:
      DCMI managment string will now support hyphen (-) not underscore (_)
- EPSD100222218: corrected dos-vs-unix formatting issue in sysdiag.sh
- EPSD100221536:
      Corrected rKVM issue where rKVM keyboard and mouse event queues were
      getting hung in EFI. Also fixed the web page mouse mode configuration
      to work like a normal radio button & change the text to recommend
      Absolute mode for Red Hat/Fedora as well as Windows.
-
- SPRD Nos: 4.1.2.5.36 and 4.1.2.5.37:
      Files containing IHC (OIB) support - file headers were in old format
      Changed the file headers to suit to the current platform and fixed the
      issues raised by IHC (IOB) team
-
- SPRD 4.10.2.5.1:
       Update the official PSU FW image for 460W and 750W CRPS
       (Note, still pending update for 1200W)
-
- SDR09:
      Added SDRs, MDS, and platform support for Jefferson Pass.
-
- NO TRACKER PROVIDED:
      BMC Update Failed - could not exit FW Transfer mode
      This only happens when flashing a new BMC image and then
      updating it in force update mode.
- NO TRACKER PROVIDED. REQUIRED BY GPL RULES:
      Added GPL header to BMC Reset driver header file. Was missing.
- NO TRACKER PROVIDED, linked to SVN 1500:
      Enhanced the Process/Thread Monitoring Module
- NO TRACKER PROVIDED:
      Some source files were changed after WashingtongPass Porting.
      These changes were merged to this source tree.
- NO TRACKER PROVIDED:
      Requirement for Iron Pass:
      For blades, reset network parameters to defaults on every boot.
- NO TRACKER PROVIDED:
      Updated the MDS of Granite Pass.
- NO TRACKER PROVIDED:
      Numerous changes for King Island support:
    - The following changes are blade/KingIsland specific: 
    - Added support for blade power control.
    - Added blade OBSM code.
    - Added event forwarding code.
    - Added blade specific handling for PRP and 4 second power button override.
    - For blades, power button is level triggered in order to detect button deassertions.
    - Added "Hot Swap" sensor (number 0x6C).
    - Sync'ed up KI config overrides with latest config changes.
    - Removed unnecessary KI config overrides.
    - Disabling unnecessary DCMI commands for blades.
    - Now correctly faking out successful completion code for Set SEL Time over KCS.
- NO TRACKER PROVIDED:
      Changes to DCMI capablity cmd to reflect support for Secondary Lan in response bytes.
- NO TRACKER PROVIDED:
      Updated SwiftCurrentPass MDS.zip according to change in SVN1537
- NO TRACKER PROVIDED:
      Default.sdr and FCT.sdr of Crown Pass and Iron Pass was not
      the newest.  Updated Default.sdr and FCT.sdr of Crown Pass and Iron Pass
      to version 07.
      Default.sdr and FCT.sdr of Canoe Pass wasn't the newest.
      Updated Default.sdr and FCT.sdr of Canoe Pass to version 17.
      Default.sdr and FCT.sdr of Granite Pass wasn't the newest
      version.
      Updated the Default.sdr and FCT.sdr ofr Granite Pass to version 02

00.16.1504

- EPSD100015094: Modified bonding driver to close slave device while changing MAC address.
        Required only for RMM4 devices.
- EPSD100014528: Corrected issue where opening Port80 device failed.  
- EPSD100014749: SMASH set dnsserveraddr no longer brings all links down & up unnecessarily.  
- EPSD100015183: compatibility support for fix re: SPRD 4.2.1.5.1 for power-good sensor.
        Query now shows correct status information during firmware updates.
- EPSD100220309: Corrected warm reset failure mode following MAC or Rubix changes.
- EPSD100221391: Added "System Diagnostics Type" section in the help.  
- EPSD100221538: Fix to allow EWS in remote client to read single node power consumption.
- EPSD100221630: Added global PEF enable/disable to alert config web page.  
- EPSD100221639: fixed PEF Task crashing the BMC when PEF Global State is enabled
--EPSD100221801: Changed the Sensor type for Power Supply Fan sensors from threshold to
        discrete as per CCB #42. This change in the FW also requires a change in the SDRs 
        for the PS Fan Sensors. (Cf: CCB42)
        NOTE: In order to read the PS Fan Sensors correctly, a modified SDR record is
        required for each PS Fan sensor to make it work properly.
- EPSD100221889: Changed FRU data for Niantic IOM to permit write to IO and SAS module FRU devices.
--None: Granite Pass DIMM fault LED and Fan fault LED settings corrected.
- None: Fixed constant for new memory map
- None: Removed the no-longer-extant RMM3 file system from fstab



00.15.1476
- EPSD100013149: There will be a web page error "WEBVAR_JSONVAR_HL_GETALLFRUINFO is
undefined" while trying to access the "FRU Information" page.
- EPSD100013671: Generate CATERR signal to ground, sysytem didn't reset.
- EPSD100014341: Ground the signal for "SMI TIMEOUT" more than 90seconds, sysytem 
didn't reset.
- EPSD100014390: DHCP hostname can't be ping successfully if change the dynamic 
network to another channel.
- EPSD100014472: Some web pages are loaded very slowly in EWS.
- EPSD100014473: EWS web page cannot be displayed after login EWS for a few minutes.
- EPSD100014511: Issue Generate CATERR by connecting the CATERR signal pin to ground
for 1 second, the system fault LED have no changed.
- EPSD100014572: Timeout waiting for OBF after sending last byte of request 
when excute cmdtool 20 c0 02 43 4c 52 aa.
- EPSD100014591: Virtual FP LED status in EWS is not match in Real FP.
- EPSD100014684: Fail to ping UUT with DHCP host name.
- EPSD100014718: Remove two fans, status LED is amber blinking.
- EPSD100220631: System will not reset after connecting CATERR signal to the ground.
- EPSD100220640: System does not reset after SMI timeout.
- EPSD100221304: Event Log Viewer needs to include the sensor in the description
that is causing integrated BMC FW Health event to be logged.
- EPSD100221567: Unable to get Pwr Unit Redund sensor reading - tools report 
either unknown, Not Available, or not readable.
- EPSD100221568: The upper thresholds for the System Fans show as 0 RPM.
- EPSD100221651: BMC should clear time stamp after Restore SDR command is given to
ensure the correct SDR version is read
- None: MTT sensor will show warning in EWS.
- None: For blades, only implement network configuration changes when the Lan 
Config "Set In Progress" parameter is set complete. For all platforms, fix script
to disable all active vlans for any particular interface (not dependent on current
setting of vlanid file.)
- None: GPIO table of Granite Pass isn't right.
- None: BMC MAC address on SwiftCurrentPass is overlap to the host MAC address.
- None: Reenabled thread so that DHCP client will resend request when configured
for dynamic IP.
- None: Swap the channel number of INTERNAL_CHANNEL and LAN_RMCP_CHANNEL2. After 
the swap, LAN_RMCP_CHANNEL2 is channel 0x02.
- None: Change the CMD_OEM_SEND_FW_UPD_STATUS from 0x29 to 0x44.
- None: Remove internally disabled bit of DIMM thermal margin sensor and let the
SDR sensor unavailable control determine it.
- None: Update default.sdr and FCT.sdr for Canoe Pass.
- Urbanna 190273: rKVM/Remote media client not tracking source port forwards.




00.14.1421
- EPSD100013028: The character input under EFI /lLinux shell is not synchronous
with the SOL console
- EPSD100013598: Export the debug information from Regular System Diagnostics
and Intel System Diagnostics use the same content and same password.
- EPSD100013812: Intel system diagnostics file and regular system diagnostics
file can be uncompressed with the same password
- EPSD100013870: Can't receive DBE/MBE log by snmptrap and email.
- EPSD100013944: No assert and deassert SEL events are logged for ERR2 timeout
sensor.
- EPSD100013974: Add a new user, no CALLBACK privilege can be choose.
- EPSD100014061: Add a new user, no CALLBACK privilege can be choose in EWS.
- EPSD100014127: Intel system diagnostics file and regular system diagnostics
file can be uncompressed   with the same password.
- EPSD100014266: NM Capabilities sensor reading  is different in EWS and with
cmdtool.
- EPSD100014279: No response by channel 1 or channel 3 with ipmitool when
both channel 1 and channel 3 ip are configured and connected.
- EPSD100014370: No VLAN settings configuration pages in EWS.
- EPSD100014503: Sometimes system reboot hang after downgrade BMC.
- EPSD100014510: Issue ground the ERR2 signal pin for more than 90seconds,
front panel status LED and   the system fault LED have no changed.
- EPSD100014619: Remote linux client Terminal couldn't get UUT's deviceID
after configured VLan 3000.
- EPSD100014620: Remote linux client Terminal couldn't get UUT's deviceID
after configured VLan 2000.
- EPSD100014633: Can't receive SBE/MBE log by snmptrap and email.
- EPSD100220152: FW SOL DPCCLI EFI Shell  remote display missing one character.
- EPSD100220259: SOL:  keyboard input off by one character - the first one
- EPSD100220723: NM Capabilities sensor reading  is different in EWS and with
cmdtool
- EPSD100220943: Node manager policy can't be edit or delete from Integrated
BMC Web Console
- EPSD100221025: -nodownrev flag doesn't work while doing BMC FW update
- EPSD100221105: NM Capabilities sensor reading  is different in EWS and with
cmdtool
- EPSD100221195: No VLAN settings configuration pages in EWS
- EPSD100221253: Can not disable user in EWS
- EPSD100221254: Can not disable any user in EWS
- EPSD100221255: In EWS-Configuration->User, "User Status" item uses lower
case for "disable" but upper case for "ENABLE".
- EPSD100221325: When system fans are boosting due to fan failure, BMC sensor
reading is still "not available" for some fans
- EPSD100221331: Cannot establish BMC OOB session when client is on a
different subnet than BMC lan channel
- EPSD100221412: Same password works to extract both the Intel and Regular
Diagnostics.html files
- EPSD100221418: Same filename used for the Intel and Regular System
Diagnostics zip files
- EPSD100221437: Default DHCP Host name has invalid character - colon
- EPSD100221481: Unexpected LAN NIC Temp SEL entries
- EPSD100221502: Notify user of logout once LAN Failover is Enabled
- EPSD100221523: LAN Channel names in EWS not consistent
- 190253: Activate Payload Command - Response data maximum inbound &
outbound payload size invalid
- 190254: Set Channel Access - Changing non-volatile channel field
immediately changes volatile
- None: For Blades, match Linux by hardcoding uboot slot 5 for I2C
slave address 0x38 for desk debug
- None: Since uboot is single threaded, sprinkle calls to check input
channels (KCS, LAN, and IPMB) throughout the long-running portions of
firmware update so that it will at least respond within 5 seconds to
update status requests
- None: For Blades in Uboot, enable and read KI slot ID pins in
recovery mode. Temporarily force slot id 0x3f to enable desk debug
mode until first KI hardware arrives
- None: For blades, add KI gpio table that includes slot ID pins. Allow slot
ID pins to be enabled in the gpio driver. Temporarily force blade slot ID to
0x3f to enable desk mode until initial KI hardware arrives
- None: For blades, modify KI gpio tables in rubix and linux to match planned
hardware config. 
- None: ODC can't build code because two libs didn't copy to working folder.
- None: BIOS fail to add the SEL in SMM mode because of Ext SEL Record 
- None: Debug only - improve uboot support for RMM 
- None: Catch KI params version
- None: Generate different system diagnostics. 
- None: Fixed calculation error with DIMM offsets for dynamic CLTT
- None: KI platforms were not enabling eth2 (second onboard NCSI channel.)
- None: Flakey network performance in failover mode when MAC address of the
bond changes.
- None: Using EWS, Enabling LAN Failover a second time would take down the
network interface. 
- None:  Fix in NodeMgr Thread to handle the PTM wakeup message correctly
+ Hide all PS address from ME, during PS update state
- None: Updated syslog diagnostic script to unzip and re-zip logs as necessary
- None: Modified dynamic CLTT DIMM offset code to handle decending DIMM offset values
- None: Fixed the 90-second SMI deassertion issue.
- None: LincolnPass NCSI can't work 
- None: Update SCP Default.sdr and FCT.sdr to version 11 
- None: Added CR support in JP and also workaround for address the corner case
in PSFW failure
- None: Fixed the 90-second SMI Timeout deassertion issue. 
- None: For blades only, fix issue preventing EFI fwupdate in linux
- None: After changed, only one BMC can be in CMC role at anytime.
- None: Sometime CR is not configured properly in stress test 
- None: Fixed the CR rotation when Power supply is removed or inserted
automatically     
- None: DIMM numbering was incorrect for DIMM offsets
- None: Primary interface wouldn't always come up with IP address on reboot in
failover mode 
- None: For blades only, neither linux nor Uboot may boot up with an IP address
remembered from a previous boot
- None: Obscure race condition in NCSI driver 
- None: No RMCP after BMC reboot




00.13.1335
- EPSD100013107: [FW EVL]The reading of the sensor is not available,but the
indicative string is OK in EWS.
- EPSD100013208: ME version is different under EWS and BIOS setup menu.
- EPSD100013515: Some sensors health show OK_ , but it's reading value is Not
Avaliable
- EPSD100013599: AC cycle the system, information event for BMC FW Health is
logged.
- EPSD100013828: It was fail to setup Resume on AC Power Loss to Reset and
Last State.
- EPSD100013844: It was fail to setup Resume on AC Power Loss to Reset and
Last State.
- EPSD100013870: [UT] Can't receive DBE/MBE log by snmptrap and email.
- EPSD100014144: [EWS]The reading of the sensor is not available,but the
indicative string is OK.
- EPSD100014214: Exit Air Temp(0x2E) Sensor status always show 0xE0 (Not available)
- EPSD100014361: [FW EVL]error information display after click Chassis ID
button if log into EWS with operator or user privilege
- EPSD100220037: HW Watchdog Timer command ./BMCResetApp -c WDT_BLOCK_REFRESH 1
does not reset BMC
- EPSD100220461: Bromollow HSBP PSOC FW reported drive presence not correct.
- EPSD100220557: Keyboard Macros in Media Redirection/KVM does not work properly.
- EPSD100220587: HSBP FRU Read/Write Failure
- EPSD100220601: ME version display differently under EWS and BIOS setup menu.
- EPSD100220656: [BIOS EVL]SUT can't be waken up from S1 and S5 via NIC1 under
Win2K8.
- EPSD100220974: Exit Air Temp sensor health = critical and value = 0 degrees C 
- EPSD100220980: Exit Air Temp Sensor (0x2E) works intermittently and give
suspect readings 
- EPSD100221003: in the EWS, if the sensor is in "N/A" status, the indicative
string is "OK".
- EPSD100221103: Cannot establish BMC OOB session or login to BMC EWS after
the server has been up and running for at least a day
- EPSD100221202: BLACK_BOX_UPDATE Command (0xDE), causing PSU FW to behave
differently
- EPSD100221240: When system is powered off, the [BB +3.3 RSR PGD] sensor is
at critical and should not be
- None: The file headers do not match the standard IP header
- None: Update SSL/Java certificates 
- None: To sync privilege level of Get & set stack types cmds with pdkcmd.c
- None: Fixed issue with missing FSC domain config information and advanced
fan failure 
- None: Updated the CPU dump script. 
- None: Thurley fix for KVM crashes 
- None: First extended SEL byte showed sensor specific severity not system
health contribution.
- None: Test PSU FW for S4F PSU updated, and s2F test FW is removed
- None: Error messages about wrong sensor number spewing to the BMC console.
- None: CFM sensor value incorrect 
- None: Advanced fan failure was not detecting failed fans
- None: For blades, revert to static build number from configs.genimage,
reorder aux bytes in GetDeviceID command, and disable overly complicated
rmcp sequence number scheme as it's not compatible with the CMM. 
- None: Catchup KingIsland genimage with new memory locations 
- None: Catch up KingIsland build copy list override files 
- None: Merge SVN 820 from Bromolow in order to fix power good drop issue. 
- None: Need to synchronize with the last drop from Emulex Changed naming
from Pilot2/AVIATOREVB to Pilot3/PILOT3HORNET




00.12.1288
- EPSD100220896: [FW EVAL] Failed to issue command "Run Init Agent" when running
sdr_initAgent_scanning.tcl in FTF
- EPSD100220832: System unable to boot when the ME FW force update mode jumper
is asserted
- EPSD100220778: BMC 11 causes board to power cycle when in Manufacturing Mode
- EPSD100220705: IPMI command for NC_SI failed with completion code "0xFF"!
- EPSD100220701: JP node gets VR Watchdog timeout when another node powers on.
- EPSD100220688: FCT and Shipping SDR setitngs in the BMC image do not match
what is in the Grizzly Pass FSC config sheet
- EPSD100220677: [FW EVAL] Failed to issue command "Run Init Agent" when running
sdr_initAgent_scanning.tcl in FTF
- EPSD100220673: Uboot1 can't be updated successfully
- EPSD100220642: [FW EVL]It cannot enable or disable Lan Failover in EWS if set
BMC with dynamic IP address.
- EPSD100220641: NMI and ID button cannot be workable by push VFP in EWS
- EPSD100220621: WD Timer configured for Messaging interupt but no timeout
action causes BMC to crash
- EPSD100220603: KCS and IPMB buffer Size does not match with EPS
- EPSD100220561: BMC cannot read more than 2 bytes when 2 PSU's are inserted in
to the system
- EPSD100220560: Uboot1 can't be updated/downgraded  successfully
- EPSD100220514: [FW EVAL]SSB Temp sensor(0x22) reading isn't stable.
- EPSD100220513: [FW EVL]the sensor readings of PS1/PS2 Curr Out% are not
available.
- EPSD100220512: [FW EVL]the sensor readings of PS1/PS2 Temperature are not
available
- EPSD100220511: [FW EVL]the sensor readings of PS1/PS2 Fan are not available
- EPSD100220510: [FW EVL]the sensor reading of Pwr Unit Redund is not available.
- EPSD100220491: Enable Prefetch for A1 Silicon
- EPSD100220489: [EWS] System not force enter BIOS Setup when choose "Reset Server"
and " Force-enter   BIOS Setup".
- EPSD100220489: [EWS] System not force enter BIOS Setup when choose "Reset Server"
and " Force-enter   BIOS Setup".
- EPSD100220438: Reading more than 2 byte of data returns 0xFF, when 2 power
supplies are plugged in
- EPSD100220326: Sensor Reading Periodically Becomes Unavailable.
- EPSD100220308: [FW EVL]The sensor reading values  of  "PS1/PS2 Power In" are
incorrect
- EPSD100220302: System cannot enter BIOS setup automatically after choosing
"reset server"and "force-enter BIOS setup"
- EPSD100219985: IPMB buffer Size does not match with EPS
- EPSD100219932: Can not read sensor value of LAN Temp
- EPSD100219660: SSB Temperature sensor 0x22 frequently reports a scan status of
0xE0
- EPSD100219653: All power supply sensors are non-functional with the new power
supply module
- EPSD100013892: System could not boot up successfully after reset SUT under MFG
mode.
- EPSD100013888: SUT can't reset under EFI Shell, BIOS Setup and DOS while SUT is
in MFG mode.
- EPSD100013878: System could not boot up successfully after reset SUT under MFG
mode.
- EPSD100013869: [BIOS EVL]System can't power up after reset SUT under MFG mode.
- EPSD100013742: [UT]Chassis ID LED can't be turned off via the virtual chassis
ID button.
- EPSD100013569: Check PSU FW version by Master Write Read Command got version
255.255.255.
- EPSD100013358: Remove one Power Supply , the status led is solid amber.  It
should be green blinking according the test procedure.
- EPSD100013278: [EWS] System not force enter BIOS Setup when choose "Reset
Server" and " Force-enter   BIOS Setup".
- EPSD100013211: The 460W and 750W PSU didn't cold redundancy function.
- EPSD100013165: Power Supply status presence sensor deasserted while AC power
on.
- EPSD100013152: After booting up , there are events about the "Lower Non
Critical and Lower Critical of SSB Temp are going low" in SEL.
- EPSD100013139: Remove the cable of one of the power supply, there is no power
redundancy event in SEL.
- EPSD100012749: LAN NIC Temp(2F) Sensor status always show 0xE0 (Not available)
- EPSD100012748: Agg Thrm Mgn (C8, C9, CA, CB, CC) Sensor status always show
0xE0 (Not available)
- EPSD100012459: Issue the Get LAN Thermal Profile Data command got response
is 0xE0.
- EPSD100011942: SSB Temp sensor(0x22) reading wasn't stable.
- EPSD100011756: The CPU_0_DISABLE LED is always amber while system power on.
- None: Fixed the AC power regain detection issue in CR 
- None: Debug -- backtrace on fatal signal
- None: Modified IPMB code such that there are no responses to requests made
to the general call address
- None: Added the completion code in Get CR config command 
- None: Power supply cold redundancy support
1. Enabled the CR feature by default
2. Addressed the Viktor request to add delay and put the PS in warm redundant
mode during Rotation
3. Added the data checking in CR config command
4. Upgraded Copyright header in newly added files for ProtexIP 
- None: ID LED is not working in Virtual front panel
- None: Initaling the EFI payload status by default 0
- None: FCT/Ship SDR for Canoe Pass need to be updated
- None: Fix SetSensorReading() for discrete sensors.
Also, for blades, add framework for progress sensor.
- None: For Blades only, add Set/Get BIOS ID command and facilities for storage
in the flash based FRU area. 
- None: Extra bytes were accepted in the SetDIMMOffset command
- None: Fix to rely only on the capability command, to find whether PSU Device
supports PEC or not.
- None: Driver changes to support I2C general call 
- None: Fixed issue with signed numbers in aggregate sensor calculation
- None: Removed incorrect error prints on the BMC console
- None: IPMB has been rewritten, the delay for old IPMBMessage()in plat_dbg.c
isn't necessary.
- None: Intel Proprietary header added, to resolve the ProtexIP issue
- None: Crown/Iron Pass FCT/Shipping SDR need to be updated. 
- None: Module presence and temperature sensors (0x0E, 0x0F, 0x26 & 0x2D) not
working
- None: Shorten excessive exit fw transfer mode delay in uboot to a few seconds
- None: Blade specific mainboard IDROM information will be stored in the flash
FRU area
- None: Moved libfwum to oemprop directory + fixes related to PSU FW update
- None: Modifications for no NMI button on Halfwidth project
- None: JP board gets VR Watchdog timeout when another JP board powers on
- None: Sensors 27, 2C, D4, EA, EB not functioning
- None: PilotIII SMBus reads failing after 2 bytes 
- None: Virutal front panel help is not working 
- None: System Airflow sensor SDR coefficient needs to be two bytes 
- None: Removed KI override for PostBuildDev to pick up latest build changes.
- None: Get rid of extra "up with config" for the bonded interface
- None: Stale sockets remain after enabling failover mode
- None: Add required HSC lib to KingIsland build.




00.11.1229
- EPSD100013575: To preserve battery life, disable the Pilot3 battery-backed
         register access clock
- EPSD100013466: BB +1.5DDR lower / lower-non critical asserted events are
         logged while intall 1.... 
- EPSD100013257: Add hot-plug support for RMM4-Lite
- EPSD100013109: System couldnt detect HDDs of HSBP and that bridgeboard PBA
         ver is G16439-102
- EPSD100012457: Add DIMM thermal margin JeffersonPass specific configuration
- EPSD100012329: There is 1.35V or 1.5V DIMM voltage sensor SEL log reported
         during system power 
- EPSD100012032: P1/P2 DTS Therm Mgn sensors 0x83, 0x84 status always show
         0xE0 (Not available) 
- EPSD100012021: [FW EVL]The sensor reading of DIMM Thrm Mrgn 1/2 is incorrect 


- None: Add DIMM thermal margin sensor initialization on SCP 
- None: Change FAN sensor number on SCP 
- None: Node ID slave address sensor command (for identifying the slot #) 
- None: Added a workaround for JKTN bug #3246620
- None: Sync KingIsland overrides with all of the latest changes in the trunk. 
- None: Added BMC "Features" for Blades and Half Width products and removed some
  obsolete leftovers from Thurley.
- None: Modified the MSID mismatch SEL event along with CPU faulty LED generation.
- None: Fix KingIsland ME address. Prevent workaround for JKTN bug #3246620 for
  blades only (for now.)
- None: Base KingIsland SDR and MDS on CP instead of HB.
- None: Added additional BIOS PCIe sensor event traps for the PCI dump. 
- None: Support for Grizzly Pass DIMM Aggregate sensors 
- None: The 240VA Fault should be an offset in the Power Unit Sensor and not a seperate sensor.
- NOne: The Chassis Status Current Power State byte needs to reflect a 240VA fault.
- None: Recompile JViewer w/out debug 
- None: Need to implement Thermal Checking which powers down the system when a
    fan fails and a temperature sensor has an upper critical event asserted.
- None: Removed creation of unused IPMB msg queues.
- None: Fixed the FSC crash due to the bad SDR.
- None: Disable power supply PEC support as a workaround for the SMBus issue 
- None: Improve rKVM Mouse performance
- None: JeffersonPass does not support component fault LEDs
- None: Update MDS.zip for SCP to sync up with r1222 
- None: Only the factory image must contain the root public key. The release
    image provided to customers must not contain the root public key.
- None: Support for Crown Pass/Iron Pass/Granite Pass DIMM thermal Margin sensor




00.10.1181
- EPSD100220082: BMC Linux Kernel Hangs after FW update
- EPSD100013116: There is no SEL logged for Mem therm trip when heated the DIMM.
- EPSD100012799: With full install memory, the system cannot get BMC ID by
        "ipmitool 20 18 01" under DOS, but BMC ID was visible in the BIOS menu.
- EPSD100012797: Sometimes the BMC could not be detected in the BIOS setup, and
        the system would boot slowly.
- EPSD100012041: Change code for getting DIMM real reading using ME command 0x4B 
- EPSD100011430: Run Windows DC reboot cycle test fail, and the POST code display "94".
- None: Need to compare the MAC address from ncsi driver and from uboot environment variable.
- None: Configure and De-configure Vlan cause "No response from RecvLANPkt". 
- None: /conf/interfaces was not upated correctly when setting failover mode
- None: Bus number of RdPCIConfig() need to be parsed according to the BIOS implementation.
- None: Fixed debug dump script
- None: Change default IPMI IPv6 Prefix to 64 
- None: When failover is enabled LinkMonitor shouldn't monitor eth0 any longer but instead slaveeth0. 
- None: Bonding driver must use deprecated MII / ETHTOOL ioctls to determine
        link status because of RMM4 ethernet driver
- None: System call should return exit status of child only if child exited correctly.
    ifup/down sometimes returns 1 though successful
- None: When disabling failover mode, make sure the dismantle bond before downing interface
- None: BTP crash on incsi driver load, because it only has one channel, but
    define NCSI_CHANNELS=2 in project.Def
- None: FSC fix for RunInitAgent command
- None: Revert to code that disables IPv4 config page after save to match IPv6 page
- None: Prevent changes to lan channels other than 1 when failover is enabled. 
- None: Reverse MAC addr read by new NCSI driver. For some reason, causes goahead web server to not work
- None: i350 doesn't need to reverse MAC address.
- None: Made dynamic CLTT Romley specific 
- None: Changed the fan speed under a fault condition to be the fault value
    plus any contributing clamp records
- None: Some sensors were not being discovered and thus not monitored for faults 
- None: Removal of SPRD 4.1.2.5.39 (Default DHCP).
- None: Added BMC WDT event severity on the front panel. 
- None: Fixed the information alignment problem in IE when Error is generated 
- None: Added ncsi support for JeffersonPass
- None: In code, there are places, where without status initialization, 
    hal_hw api's are called (mostly in for loops). 
- None: Adding function comments to the PSU fwupdate feature 
- None: Fixed the FSC issue due to incorrect power state.
- None: Added ioctl in BMC WDT driver to block the sw reset. 
- None: Critical fix for BMC10. Fix unusable performance of remote Media on Windows 7 clients




00.09.1108
- EPSD100219973: BMC Crashes under stress test
- EPSD100219933: Swift Current Pass BMC FW consists of out dated FRUSDR
- EPSD100219561: Swift Current Pass BMC FW does not support "Restore SDR" command! 
- EPSD100012841: Issue the Get PS1 Fan Profile Data command got response is 0xE0. 
- EPSD100012807: It will not report "therm trip" event when removed the CPU heat sink. 
- EPSD100012804: The VRD Hot senor will not report any event when heated VRD controller. 
- EPSD100012750: PS1 Fan(A0) Sensor status always show 0xE0 (Not available) 
- EPSD100012650: The reading of FP temp doesn't change whatever it's heated or cooled.
- EPSD100012589: Sensor "IB other 0xEF" SEL log when system execute Power on,reset and power off.
- EPSD100012588: Sensor "PCH 0xEE" SEL log when system execute Power on, reset and power off.
- EPSD100012505: Removing two fans, a asserted event for "Non-redundant:
         Sufficient Resources from Insufficient Resources" is logged.
- EPSD100012250: AMI fixes for rKVM encrypt and RHEL6 mouse movement 
- EPSD100012235: It can't get the CPU information and DIMM information under EWS.
- None: Add HSC Rev0.6 image
- None: Swapping the Status LED and Power LED in virtual front panel
- None: Minor bug fix with fans-off feature 
- None: Removed delay at the beginning of FSC startup 
- None: Some HSBP chip can't work under 3.3V/24MHZ. Lower the frequency to 12MHZ
    in R0.6 to fix this issue.
- None: Remove JViewer Video Encryption option
- None: Fix 2 DIMM problmes related to BIOS x20 change
- None: The display of CPU information(EWS) is not stable
- None: Change JeffersonPass FAN connection and sensor21 slave address
- None: Too many BMC console messages when ME is not responding properly




00.08.1054
- EPSD100011756: Add CPU fault LED GPIO definition and fix CPU0 disable LED
         always amber issue
- None: Power Supply Power In Sensor scale factor is fixed at 4
- None: Move WWW section to fixed 10MByte address location so both WWW and
    Root have plenty of room to grow as features/fixes are added
- None: Fixed issue with printing FSC fault messages 
- None: Adjust desk slot ID and temporarily disable IPMB related delay for
    blade only
- None: Fix DIMM VRD Hot sensor number isn't right in callback function
- None: Code can't be built by ODC because no libptm.so in relevant folder.
- None: Fix the MsgHndlr crash problem
- None: KingIsland platform now based on CanoePass instead of HermosaBeach
- None: Reverse byte order of MAC address from device in uBoot.
- None: Change shipping SDR and FCT SDR for Canoe Pass




00.07.1011
- EPSD100012253: NMI was triggered on the AC-on 
- EPSD100012294: Fail to upgrade BMC FW from 0.07 to 01.00
- EPSD100012567: The help information of "IPv4/IPv6 network" and "Power statistics"
        cann't display in EWS
- EPSD100012588: Detect MEM voltage sensor "PCH 0xEE" SEL log when system
        execute Power on, reset and power off.
- EPSD100218772: SNMP and SMTP alerts are not getting sent when configured for both
- EPSD100219276: I2C communication with PMBus PS fails after running several days
- None: Disable BMC watchdog if running after warm reset 
- None: RUBIX - Need well defined sticky ram area to survive BMC soft resets. 
- None: Additional proc monitor debug output from Fulton. Helps identify stuck process
- None: Fix a hidden logic in LoadSensorProperties().
- None: MIB Update needed for Romley
- None: Add in missing libs, modules, and apps missing from KingIsland plat.
- None: Allow PECI passthrough bypass for blades (temporarily)
- None: Merge SVN build 899, 901 & 978 changes into Grizzly Pass
- None: BMC stopped responding to ARP requests.




00.06.982
- EPSD100011708: Couldn't get correct ME FW version in System Information
- EPSD100011942: SSB Temp sensor(0x22) reading wasn't stable
- EPSD100012031: The speed reading from cpu 2 fan is always 0
- EPSD100012161: SYS FAN1~SYS FAN5 present sensor health always show "Unknown"
- EPSD100012250: KVM Keyboard/Mouse encryption option doesn't work 
- EPSD100012429: PS sensor can't be read
- EPSD100012430: PS sensor can't be read
- EPSD100012431: PS sensor can't be read
- EPSD100218772: GPIO edge events not being detected properly
- EPSD100218915: Various problems seen in Embedded Web Console
- EPSD100219240: Cursor type incorrect for help link
- EPSD100219276: Communication to PMBus PS is lost
- None: Modification for JeffersonPass PowerOn image release 
- None: Need to update the IP headers for the HSBP fwupdate files
- None: Disable PS debug printing 
- None: Updating passphrase to match BTP
- None: Fan Tach8/9/10/11 can't work
- None: Remove HSBP files for KingIsland plat
- None: KingIsland plat must ignore SetSELTime from BIOS and the ICH RTC.




00.05.934
- EPSD100011704: NM Capability sensor always shows Unknown health in EWS.
- EPSD100011633: Fan tach readings unstable at 19,000 RPM or higher
- None: The PDKLinks.sh script isn't copying the correct libraries for
    libfwum.so, and libipmi.so.
- None: The frusdr.efi utility encounters occassional errors during a HSBP FRU
    Update
- None: Modify CP baseboard temperature sensor slave address and voltage sensor
    number.
- None: Klockwork fixes for 6943, 10437, 10805, 11115, 11134, 12092, 13283, 13284
- None: Removed debug code that was inadvertently checked in with the
    FwupdateCmd.c file.
- None: Add default SDR and FCT SDR for Canoe Pass
- None: PSOC temperature readings were returning as unavailable. Fixed sensor
    logic




00.04.904
- EPSD100218951: Fan Speed Control boosts fans to 100% when Mem Therm Margin
    sensors disabled in OLTT mode
- EPSD100218643: sensor 0x78 sending warnings in the sel log during S5 stress test
- EPSD100218419: PECI command WrPkgConfig() isn't functional
- EPSD100011752: Sometimes , after updating the BMC FW or Fru , there will
    be a Virtual CDROM device in BIOS Boot Option.
- EPSD100011256: [SOL]Reset system, Screen transition fail after POST.
- None: Sensors in Web Interface can have conflicting status fields
- None: MDR code is not threadsafe
- None: Modify IPMI BMC cold reset command handler to post a delayed reset
    message to msghndlr ensuring response will be sent first before reset.
- None: Web Console: remove HSC & LCP versions from Sys Info page 
- None: Finish adding KingIsland platform and product ID's to code where
    appropriate. Use HermosaBeach tables where needed.
- None: Grizzly Pass pre-power on image will not allow system to boot
- None: Change SCP Processor FAN Tach and Memory VR hot GPIO according to
    FAB1 Schematic 
- None: Prevent corrupt SMBIOS tables from displaying in EWS
- None: Management NIC MAC address isn't right
- None: Add fan fault LED GPIO setting 
- None: PWM4/5/6/7 can't be read and changed. 




00.03.867
- EPSD100218643: sensor 0x78 sending warnings in the sel log during S5 stress test
- EPSD100218554: Pressing the NMI button not working when sending the IPMI
         command Get SM Signal
- EPSD100218489: Can not read PSOC HSBP FW's version in EWS
- EPSD100218419: PECI command WrPkgConfig() isn't functional
- EPSD100011708: ME Version not displaying in EWS
- EPSD100011606: No Processor presence asserted event has been logged
- EPSD100011545: No asserted event is logged for thermal trip
- EPSD100011531: [EWS Media Redirection] Using the virtual CD-ROM to install
- EPSD100011525: Virtual DVDROM disappear during the installation.
- EPSD100011252: RKVM must support four concurrent sessions
- EPSD100011239: Mount USB key, or windows 2008 ISO, no device been found in
        BIOS Boot Option when using DNM.
- EPSD100010971: [EWS] Sensor readings status and health didn't match the realistic
- None: Needed buffer overflow protection for reading uboot environment variables
- None: New syslogd did not allow /conf to be unmounted for fw update
- None: Filter syslog restart messages from log
- None: Too many log entries filtered out
- None: Generic timer implementation doesn't handle signals safely with linuxthreads
- None: Root.bin becomes larger when adding more code, which casues the
    overlap with Www.bin space in flash space 
- None: Change web server banner
- None: Changed all default SDRs for ME address 2C instead of 88. Also fixed
    channel numbers for ME sensors
- None: BUILD (integrated) BMC broken 
- None: ME address is incorrect and is hardwired in the code in various places.




00.02.806
- None: Build without platform name not working
- None: Added the ability to decrypt using two keys
- None: Building busybox with head, tail, and less
- EPSD100218483: CPU1 missing is not detected
- EPSD100217664: DIMM thermal margin sensor in reading unavailable mode
- EPSD100218243: The fw update utility is passing the platform check switch,
  but it's not working with the BMC.
- EPSD100011435: Fix LED behavior on RMM4 DNM Fab2 
- EPSD100011331: When power on SUT or enter OS, system states LED to be Amber
  on FP and M/B.
- EPSD100011402: After power core replug in/out , the system would always power on.
- EPSD100011405: The onboard speaker doesn't sound when system power on without CPU.
- EPSD100218416: Signed firmware update is writing to sector 0 where rubix is
  stored rendering the BMC non-functional if updating with a generic (integrated) BMC build


00.01.748
- First release supporting the Romley EP baseboard products

===============================================================================
                            FEATURES ADDED
===============================================================================
01.23.7783

No new additions in this build.

01.23.7685

No new additions in this build.

01.22.6890

-CCB 179: Support Intel Xeon Phi cards in EPSD platforms.
-CCB 212: Add a button on Web to enable/disable IPMI stack.

01.19.5018

No new additions in this build.

01.19.4942

No new additions in this build.

01.18.4442

No new additions in this build.

01.17.4151

-CCB126: Required the IPMI command "Get SM Signal" to support LCP module control
-        buttons which should function similar to the front panel Power,
-        Reset and NMI buttons.
-CCB132: EWS power statistics page uses "Get Node Power statistics" command.  As per
-        Node Manager specification, returned values for this command is applicable
-        only for a particular/specific time period. Hence it is suggested that
-        customer be informed of this difference, with a text message showing time
-        from which statistics were taken at the Power statistics Page in EWS. In EWS,
-        Power statistic page, should contain Statistic Reporting Period field along
-        with statistics.
-CCB144: Disable POST code LED output after system has completed POST. Fix driver
-        interface rejecting all non-GPIO-specific calls.
-CCB52: Add an OEM command to get the CPLD version.

01.16.3908

No new additions in this build.

01.15.3885

-CCB531: Requirement is to display 0W instead of .Not Applicable. for Non PM Bus Power Supplies.

01.14.3855

-CCB138: Remove Intel branding from virtual front panel background image.  Since this image
-         is outside of the scope of EWS OEM updates, we have removed the Intel branding so
-         that OEMs can rebrand everything with only the EWS OEM updates.

01.13.3724

No new additions in this build.

01.12.3663

-CCB100: Detect the node presence in chassis. Provide an OEM command to respond with data that
-        indicates which nodes are populated in a multiple node system.
-        Provided - see cmdtool 20 c0 63

01.11.3597

No new additions in this build.

01.10.3560

-CCB651: Change FCT/Shipping SDR of CanoePass, CopperPass, CrownPass/IronPass, and GranitePass to comply with CCB#651.

01.09.3404

No new additions in this build.

01.08.3329

No new additions in this build.

01.07.3244

-CCB106: adds "Get drive fault LED status" and "Set drive fault LED status" IPMI commands
-CCB118: requested firmware update utilities and other tools to be able to display the BMC build number.
-        To support this, we have added the build number into the RSA signed image header generated for builds.

Agate Beach:
-none: Agate Beach CRB/SRP specific changes. Removed the PCH thermal trip SDR as this GPIO is not working fine on Agate Beach fix the H/W issue and add this record later
-none: Agate Beach CRB/SRP specific Plat GPIO changes/updates

-HSD4163462: On Agate Beach CRB/SRP BIOS is starting the FRB2 timer but not changing the BIOS POST complete GPIO to LOW after completing the BIOS POST.  As a result FRB2 timer expires and RESET the system. Actually this is a BIOS issue and need to be fixed in BIOS. Opened a BIOS tracker requested for fix but BIOS fix will come only after few weeks so providing a workaround in BMC specific to Agate Beach CRB to Disable FRB2 timer. After BIOS fixes this issue this workaround will be removed.

Denlow:
-none: ADDING Platform porting code for Rainbow Pass of Denlow family.

Romley:
-none: Added JacksonPass to ADM1275 initial platform list
-none: Add zlib license info to oem ews documentation.  Per zlib license, "an acknowledgment in the product documentation would be appreciated but is not required."  So here it is.

-CCB027 Requires OEM Cmd to enable/disable BMC Services. This implements a command to enable/disable BMC Services and another to get current state.  Currently controls sshd (SMASH), webgo (Web Console), and adviserd (rKVM).
-  Addendum to r3293. Modify Restore Factory Defaults script to remove "do not run" marker files so all services are enabled by default again.

-SPRD 4.8.1.5: Required initiated changes for Front Panel LCD module.  Added file headers for ButtonMonitor.c and ButtonMonitor.h.  Removed LCDButtonEvent.h and LCDButtonEvent.c files as ButtonMonitor is implemented as a separate thread.  Fixed issues observed during unit level testing.

01.01.2484  (maps to 00.29)

-CCB69:          BMC command implemented to read the ID and system fault LED - Netfunction is 0x30 command is 0xB0

00.30.2607 

-CCB93:         Reduce RMM4 link speed on some platforms for EMI reductions. This change
-               clears the bit in the PHY that says to advertise gigabit speed during auto-negotiation
-               and then restarts auto-negotiation.  Note this is done in standard UBOOT init path,
-               not during network init because UBOOT network init only happens if not booting linux, and
-               linux network init doesn't happen until long after the RMM hardware may have already negotiated
-               to gigabit which would be confusing.
-               On platforms Canoe/Iron/Crown/Copper/Granite/SwiftCurrent/Freemont Pass, RMM4 DNM should
-               only connect at 100MBps (Orange speed LED). On all others, should still connect at
-               1GBps (Green speed LED).

01.00.2344   (Maps to 00.28)

-CCB 63:        This is a new feature that allows the user to define a hardware device connected to the BMC.
-               The BMC will then monitor the device and report the value as an IPMI sensor.
-               The IPMI sensor can then be mapped into the fan speed control if needed.

00.36.3156


-none:          When support was provided for ews-update utility to allow modification of some EWS
-               components, no provision was made for reverting to factory settings.  We now allow
-               the use of a custom zero-length image (with appropriate header) to erase the
-               modification images.  The ews-update utility (available separately) is used to
-               generate and send this image.

00.34.2939

-none:          Adding JacksonPass: Porting check in Part 3
-none:          Adds new de-pop PBA (G49054-XXX) for JeffersonPass. Halfwidth projects will auto load
-none:          the de-pop SKU SDR when PBA# of FRU is G49054-XXX.

00.32.2781

-CCB74:         Because power supply stability issues can arise if power supplies are updated to an earlier
-               revision of the power supply driver, the BMC will now check the most significant bit (bit 7)
-               of the PSU FW major revision number.  If its set to 1 then the BMC will refuse to downgrade
-               the supply to any earlier revision. (ONLY applies for this revision of BMC and later - earlier
-               BMCs will not be smart.)

-CCB95:         Addendum to previous fix for PDK migration:  A new entry has been added to the PEF table, so
-               there is now a version 11 of the PDKMigration code.  The BMC will now run the PMConfig migration
-               check whenever the BMC reboots.  BMC reboots are caused by hard power-cycle, firmware upgrade,
-               IPMI restart directive, and watchdog timeout.
-               Items listed in the MigrateTbl may be configured by the user to have different values for
-               InitType: DFLT_TO_NEW, OLD_TO_NEW, or NONE. The InitNewPMConfig function will copy the old
-               or default PMConfig data into the new structure before handing it off to the MigrateFn to
-               handle the finer details of migration.


-none:          Added logging of the Set Fan Control Configuration request data and of the attempt to restore
-               this data from PMConfig so we can diagnose any issues related to the availability of the
-               DIMM Thrm Mgn sensor readings.
-none:          This build adds a PSU FW image for 1600W Samsung CRPS PSU (PSSF162202A_S2_0_5_10)
-               Note: while the driver is in the build, it IS NOT tested as of the build due to 
-               hardware unavailability.

-EPSD100019395: Added support for TwinVille LAN controller (for LizardHeadPass platform)
-EPSD100019751: Enabled the use of LDAP authorization for SMASH logins to BMC. To use this, there must be an
-               LDAP server (not the BMC) which can authorize a user with a given password, and the BMC must
-               be configured to allow LDAP with that server, and to map to an allowed set of functions. The
-               pam configuration has been modified to permit LDAP authorization, and the name LDAP name services
-               daemon "nslcd" has been added to the BMC to provide the interface to ssh to authorize through
-               LDAP. SMASH has also been modified to permit and recognize the difference between "local" and
-               "LDAP" users.  Login to SMASH is done using the command "ssh <ldap-username>@<bmc-ip-address>".


00.26.2169

-none:          Added Romley EN EaglePass Power-on Porting
-none:          (King Island) Added support for "SOL Session" sensor.
-CCB70:         The half width exit air temp sensor has been modified to use the individual node
-               power reading not the power supply power reading.

00.25.2083

-none:          A number of fsafe_boot and uboot files were incorrectly generated,
-               before handoff to Intel, and contained the Emulex GPL header.
-               This has been replaced with the current AMI GPL header per their
-               10/6/2010 release of that header, plus modifications made by Intel
-               under the GNU General Public License.
- none:         Added a directory "Build.<platform>/Output/Release/PowerON" where the
-               RubixUBoot.bin file is stored so it can be located for Power On images.
- none:         Added support for developer-signed builds since unsigned images will
-               generally no longer run (except for blade systems).  Developer keys are
-               not the same as the release key but should not be handed to customers.
-               A third set is available for limited-distribution customer demoes.
- none:         Added LizardHeadPass specific SDRS to development tree and to configurations.
- none:         For MIC PCIe add-in cards, two new commands have been added.
-               SlotI2CMasterWriteRead and SlotIPMB
-               These new commands set and lock the PCIe SMBus mux and
-               block until the IPMB or I2C transaction is complete.
-CCB 67:       adding OEM command to retrieve satellite FW update status through BMC.  Implemented
-              such that "cmdtool 20 c0 38" will return 0 (all clear) or a number where bit0=1 for
-              HSBP Update in progress, bit1=1 for PSU Update in progress.
-CCB 68:       Fans-Off feature will now be disabled by default, and a command has been added to
-              enable or disable the feature.

00.24.1954

-none:          Added more diagnostic info to the diags.
-none:          Added code to log (during boot) the BMC and Uboot versions to
-               the BMC syslog in /conf/messages
-none:          For non-blade platforms, removed the ability to upgrade from
-               unsigned to signed image, and to run as unsigned image. This is
-               part of the process of providing the required ability to replace
-               the public key. All developer builds created via MakePlat.php
-               will be created using a developer key which will permit the image
-               to run, but which will be different from the key used to create
-               the release images. Note that this will require the user to enable
-               the force-firmware-update jumper when changing between release and
-               developer images.
-               Blade platforms will still be able to run and to upgrade unsigned
-               images as usual, for the time being.
-               (Auto-generation of unit-test images for this feature will be
-               provided in a later release build.)

-CCB 64:        A BMC command has been added to allow setting a "Power On Delay"
-               which is only effective during AC Power-on, when power restore
-               policy is "always on".
-CCB 58:        Detection of a FRU device on a Grizzly Pass Riser board required
-               a change to add the device numbers to the FRU device table.
-               This change adds FRU device numbers 11 and 12 for the FRU devices
-               on Riser 1 and Riser 2 boards respectively.

-EPSD100224169: Added the decoding of aux device ID bytes in EWS main system info
-               page, so that the SVN revision (part of the version info) is now
-               displayed.  This allows us to differentiate between different
-               builds of the firmware which have the same major/minor numbers.

00.23.1884

- none    Added a "Depopulated SKU" build for JeffersonPass as JeffersonPassDP. Uses a version of JP_14 SDR.  
- none    For King Island only, check for Mezz card presence before attempting to initialize tulip1.
          If no incsi devices have been initialzied, assume Fab1 PO board and initialize tulip1.  
- none    King Island Support: Developer test code for SSB Temp sensor i2c to PCH instead of ME proxy.
          Skip sensor readings for processors that are not present (DTS and BB_P1_2V_P2_VCCP*).
          Skip PECI ProcThrottle reads _at all times_ for processors not present.
          Also cleaned up code by deleting commented-out obsolete code.
- none    Added Washinton Pass support for IOM Temp auto-detection
- none    For blades, changes to support making KVM Session, RMediaSensor
          and Serial Tapper sensors available in all power states.

00.22.1814

- none     Graceful Shutdown option added to Web interface
- none     FOR KING ISLAND: Added blade specific "Progress" sensor (sensor 0xFE).

00.21.1758

- none:    FOR KING ISLAND: Merged in AMI King Island drop M02, which includes the
-          following changes for blades: 
-          Added rKVM / media redirection support for blades.  
-          Added cMedia (chassis media) support for blades.  
-          Added serial tapper support for blades.  
-          Added "KVM Session", "RMediaSensor", and "Serial Tapper" sensors
-          for blades.
- none:    added JeffersonPass special HW design for IO model MUX PCA9547
- none:    For King Island, removed hard-coded Slot ID and hard-coded IPMB addresses.
- none:    Image added for 1200W S2 PSU - received from Delta

- none:    Added LizardHead Pass specific sensors and MDS changes
-          Also added LizardHead Pass specific GPIO commands.  
- none:    Added WashingtonPass NIC and FRU porting

- none:    Reserving sensor numbers in
-          development/oem/firmware/IPMI/oem/Intel/Porting/IBMC/sensorCB.h
-          for these blade sensors: KVM, rMedia, serial tapper sensors.

- EPSD100223230: Help Content added for the new feature Wen Session Timeout

00.19.1673

- none:   Enabled mmu and dcache in UBOOT to improve firmware update while in
-         forced-update mode.  Update time was clocked at 20m40s prior to fix,
-         should now be around 6m40s.
-         NOTE: ncsi was showing unworkable due to parts of this fix, but a
-         workaround has been installed which only enables the mmu and dcache
-         when entering xfer mode.  This will be corrected when root-cause
-         analysis and fix are determined.
- none:   FOR BLADES, Added IDROM to FRU remapping. IDROM data can now be read
-         using the IPMI FRU Read command.
- none:    Several King Island platform configuration elements have been added - 
-         UBOOT will configure eth0 as NCSI port A connected to the onboard NIC,
-         and eth1 as NCSI port B connected to the I/O Mezz.
-         NCIS now has Powerville NIC entry (with PCI device ID specific to King
-         Island) in its intel_packages[] table.
-         IPBM will now perform platform init for the King Island platform.
- none:   PSU image has been updated to accept the 750 and 460 Watt power supplies
-         used, e.g. in Jefferson Pass platform
- none:   LinkMonitor was using a clumsy and ineffective process when it detected
-         that a network link had come back online.  It will now use ifdown rather
-         than ifconfig down so that DHCP processes will be cleaned up.
-         Max Safe System Command length has been extended due to possible long
-         wait time for return from DHCP Refresh commands.
- none:   Added extra sensor numbers needed for the 4-socket LHP platform.
- none:   Added BlackbearPass platform
- none:   Needed API to time operations in the FW for profiling/debugging.  Created
-         Timer API to allow for timing FW operations.

00.18.1612
- CCB 49: Adds fan failure as an input to the DCLTT DIMM offset. If a fan failure is detected
	  the minimum air velocity from the SDR is used in the DIMM offset calculation. 
- SPRD: Added the generation of a Beep pattern 1-5-1-4 when a power Supply is mis-matched and
	  there is an unexpected Power Down as per the SPRD.  Power Unit sensor will no longer
	  interfere with the mis-match beep when it detects an unexpected power drop.
- SPRD 4.1.2.5.3: System should preserve BIOS ID string in non-volatile memory. Implemented.

00.16.1504

- CCB42: Added ability to monitor digital fan sensors & have them contribute to fan
boost on a failure.
- CCB654: Added support for asserting an offset if a PSU is in a degraded or
        non-responsive state.  Thus, PSU firmware update fail (e.g. can't exit
        update mode), will now create an event log

00.15.1476
- CCB 17: Use both TMP75 and FRU to detect SAS and IO Module Presence.
- CCB 72: Romley Product CCA_Half-Width MEM_Event SGPIO Remap.
- None: HSBP FW Updates in half width environment modification.
- None: Need to be able to install the Intel public key for images that have a
blank public key.
- None: Update LincolnPass GPIO mapping according to FAB1 board; Add Memory group;
update Default.sdr and FCT.sdr.
- None: IHC support.
- None: Half-width CR suppport.
- None: Feature enhancement.
- None: Secured firmware image enabled.


00.14.1421
- CCB 28: Request is to capture platform debug data on additional fatal error
conditions.
- CCB 10: Estimated drive power
- CCB 647: Node and GPGPU power sensors
- CCB 23: Change Graphics PCI Subsystem Device ID to 0x103 to indicate to Matrox
video driver that 16MBytes of graphics memory is supported.
- CCB 654: Add FW update status sensor and related OEM command. Add HSC status sensor.
- None: Added debug command to disable the FSC fans-off feature 
- None: Work In Progress for the Chassis Management Controller (CMC) Feature
for the Half-Width Server Products




00.13.1335
- CCB23: Reserve 16MBytes of memory for host video
- CCB31: Removed the CPU Fault LED control on CATERR. 
- CCB657: CPU Fault LED - "MSID mismatch between CPU1 and board"
- None: Implement Jefferson Pass Power Supply sensor values broadcast from
master node to slave nodes.
- None: Work In Progress for the Chassis Management Controller Feature for
the Half-Width Server Products


00.12.1288
- None: Grace OS shutdown CCB. 
- None: Add support for FRU devices found on IO and SAS modules




00.11.1229
- 4.3.1.5.1: The BMC shall provide access to a unique chassis identifier. 
- 4.5.6.5.3: First revision of firmware image security.
- None: Add dmesg output to debug logging.
- None: Add Barton Hills NIC to list supported by incsi driver. (for old CanoePass boards)
- None: Refactored IPMB related code including Half-Width CCB #649.
- None: CCB650 - Support to access discrete EEPROM on system backplane for half-width
- None: OEM Get Reading Command Added for Node/GPGPU Power Readings.
- None: Enable PCI Express Prefetch for A1 Pilot 3 Silicon.




00.10.1181
- None: 4.6.3.5.2 - PSU Blackbox support in debug logfile
- None: Implement CCB 653 (240VA Fault sensor)
- None: OEM commands for uploading debug log file.
- None: Add LAN Failover enable option to embedded web server
- None: Add help text for LAN Failover configuration items 
- None: Failover for IPv6 
- None: Add Romley EN Half-Width SKU Lincoln Pass PO porting 
- None: Initial checkin of processor DTS sensor implementation
- None: Connect Set LAN Failover command to actual bonding driver configuration
- None: Preserve the SMBIOS data given by BIOS 
- None: Modified the MSR dump. 
- None: Added code to SDR reload of DTS sensor info 
- None: Add IPv6 support 
- None: 4.1.1.5.9 -- Add secondary ncsi channel support. 
- None: 2.1.1.5.6 -- DIMM Thermal margin sensor.
- None: Added power supply domain bit to main domain config FSC record 
- None: Enable code behind "Enable LAN Failover" checkbox on IPv6 configuration page. 
- None: Added Intel specific debug log option from the web page. 
- None: Added PECI command to write DIMM offsets for Dynamic CLTT 
- None: Integrate PSU Blackbox logging into diagnostic process (4.6.3.5.2).
- None: Enable IPv6 multicasts in new NCSI driver 
- None: Implemented CCB 651 for dynamic Power Supply Redundancy.
- None: Added power supply fan speed control 
- None: Added LAN channel 8 for GranitePass, IronPass, JeffersonPass, CrownPass, GrizzilyPass.
- None: PSU FW update . SPRD 4.10.2.5.1 
- None: Added the CR feature in Romley 
- None: Finish support for ARP monitoring failover mode (blades specific.)




00.09.1108
- None: Implementing the virtual Front panel in BMC web page
- None: Implementing the OEM command to support the OOB EFIpayload boot in BIOS
- None: Romley CATERR# feature implementation 
- None: Initial implementation of the system aggregate sensors 
- None: Added ability to ignore fan tach readings when fans are in the "Off" mode 
- None: Romley BMC MDRV2 feature implementation.
- None: Add support for power supply fan tachometer sensors 
- None: Add bonding driver kernel module, utilities, and sysfs 
- None: Added SMBIOS dump app. 
- None: Add Granite Pass platform support.
- None: 4.1.2.5.39 - The embedded UI shall default to DHCP 
- None: 4.1.2.5.55 - The embedded web UI shall provide a method to save the SEL to a file 
- None: Support MDRv2 SMBIOS table dump for the platform debug
- None: Added Lan Failover OEM IPMI command and bonding driver configuration script. 
- None: Initial checkin of Dynamic CLTT code 




00.08.1054
- None: Blade specific power control extensions
- None: Added entity presence feature to FSC clamp and stepwise header records 
- None: Removed unused FSC files
- None: Added partial support for the fans-off feature to fan speed control 
- None: Added System Airflow (CFM) sensor 
- None: Modified System Airflow SDR record to allow multiple entries in the same record 
- None: Configure node manager policies from web server
- None: Added the ability to have more that one main domain configuration
	records for the same domain 
- None: Added the ability to handle FSC clamp and step header records with
	non-exitent temp sensors
- None: Initial check in for Exit Air Temp sensor 
- None: Implement SEL Extension Data
- None: UBoot blades changes
- None: Romley WDT feature 
- None: DCMI 1.1 errata 1 related changes
- None: Add DIMM thermal trip monitor feature for Romley platforms 
- None: Iron Pass/Crown Pass platform porting code
- None: IPMI OEM command methods to get and set the IPMI stack type 
- None: Move uBoot KCS fw update commands to generic command handler that can
	also be used by IPMB and LAN.




00.07.1011
- None: Romley BMC WDT feature implementation
- None: Enable IPv6 in linux kernel & busybox. Embedded Web server IPv6 config
	not ready yet.
- None: Added support for Iron Pass/Crown Pass
- None: Implement BlackBox feature for PMBus POwer Supplies.
- None: Add KingIsland config files. 




00.06.982
- None: Merge of AMI 01052011 feature drop. Includes web features:
	ForceBIOSEntry, ForceHTTPS, LED Status, new cipher suites, RC4 KVM Encryption




00.05.934
- None: Add support for IPv6 to the embedded webserver network configuration
- None: Adding support HSBP/PSoC FRU accesses, and updating to the newer PSoC
- None: Added support for specifying the fan boost speed for each domain based
	on a fan failure in aonther domain
	firmware.
- None: Added ability for fan speed to be increased above boost value
- None: Reserve temperature sensors for future use




00.04.904
- None: Disable FSC module for blades
- None: Jefferson Pass PPO Porting 
- None: Allow SDRs to be static for blades. Copy default SDR to /conf every
	boot. Disable SDR modification commands. 
- None: BMC Shall display CPU information in Web Console
- None: Add MakeFile for JeffersonPass PPO Porting 




00.03.867
- None: Enable 8MB bmc.ima generation for KingIsland only
- None: Added API to determine if product is a blade
- None: Ported IDROM command handlers
- None: Added handler for SetOrGetAlertStatus Cmd allowing access to system
	fault and ID LED status
- None: Add support for PSOC-based temperature sensors
- None: Added Romely EN SwiftCurrent Pass platform support 
- None: Added compression to syslog rotation
- None: Adding King Island platform




00.02.806
- CCB #640: Add support for the front panel FRU device (FRU device #4).




00.01
- First release supporting the Romley EP baseboard products

===============================================================================
                             REFERENCE MATERIAL
===============================================================================
Common (integrated) BMC Firmware EAS
(integrated) BMC Firmware Common Core EPS
